2003-12-24  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* SEMI: Version 1.14.6 (Maruoka) released.

2003-12-18  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-region): Set environment variable
	LANGUAGE as well.  GNU gettext gives precedence to LANGUAGE over
	LC_ALL, when different language code is specified.  Thanks to
	Tatsuya Kinoshita <tats@vega.ocn.ne.jp>.
	[cf. <emacs-mime-ja:1599>]

2003-12-17  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-messages-locale): New user option.
	(pgg-gpg-process-region): Set environment variable LC_ALL when
	pgg-gpg-messages-locale is specified.

	* pgg-def.el (pgg-messages-locale): New user option.

	* mime-pgp.el (mime-verify-application/pgp-signature): Copy
	messages from pgg-errors-buffer.
	(mime-add-application/pgp-keys): Ditto.

2003-12-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-edit.el (mime-edit-normalize-body): Don't use the
	`(replace-match "\\1\r\n")' form since it may convert the unibyte
	string into multibyte in Emacs 21.4.

2003-12-14  Yoichi NAKAYAMA <yoichi@geiin.org>

	* mime-play.el (mime-mailcap-method-sentinel): Restore deleting
	directory routine and protection of 1st arg of `message' dropped
	in the last change.
	(mime-mailcap-delete-played-files): Ditto.

2003-12-12  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* mime-play.el (mime-play-delete-file-immediately): New user option.
	(mime-mailcap-method-sentinel): Use it.
	(mime-mailcap-delete-played-files): New function; set up for
	`kill-emacs-hook'.

2002-05-18  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* mime-play.el (mime-activate-mailcap-method): Don't use
	`binary-to-text-funcall'. (Thanks to TANAKA Shingo)

2003-12-14  Tatsuya Kinoshita  <tats@vega.ocn.ne.jp>

	* mime-edit.el (mime-charset-type-list): Add entry for iso-8859-1[45].

2003-12-12  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-edit.el (mime-edit-user-agent-value): Add a setting for
	XEmacs CHISE.

2003-12-07  Yuuichi Teranishi  <teranisi@gohome.org>

	* mime-play.el (mime-require-safe-directory): Check the owner of the
	directory if it already exists.

2003-12-06  Yuuichi Teranishi  <teranisi@gohome.org>

	* mime-play.el (mime-require-safe-directory): New function.
	(mime-store-message/partial-piece): Use it.

2003-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-play.el (mime-store-message/partial-piece): Fix
	mis-designed parenthesis in the `let' form.

2001-11-27  Daiki Ueno  <ueno@unixuser.org>

	* mime-w3.el: Don't use `url-register-protocol' if it is not
	fboundp; announce `url-cid' feature instead.
	[cf. <Wanderlust:8566>]

	(url-cid): Change return value for the current URL package.

2003-06-09  Yuuichi Teranishi  <teranisi@gohome.org>

	* pgg-gpg.el (pgg-gpg-process-region): Undo the last change;
	Add --yes option to overwrite existing output file;
	Remove needless set-default-file-modes.

2003-05-29  Yuuichi Teranishi  <teranisi@gohome.org>

	* pgg-gpg.el (pgg-gpg-process-region): Undo the last change.

2003-05-15  Yuuichi Teranishi  <teranisi@gohome.org>

	* pgg-gpg.el (pgg-gpg-process-region): Use `make-temp-file' instead of
	`make-temp-name'.

	* pgg-pgp5.el (pgg-pgp5-process-region): Ditto.
	(pgg-scheme-verify-region): Ditto.
	(pgg-scheme-snarf-keys-region): Ditto.

	* pgg-pgp.el (pgg-pgp-process-region): Ditto.
	(pgg-scheme-verify-region): Ditto.
	(pgg-scheme-snarf-keys-region): Ditto.

	* smime.el (smime-process-region): Ditto.
	(smime-verify-region): Ditto.

	* mime-pgp.el (mime-verify-application/pgp-signature): Ditto.
	(mime-verify-application/pkcs7-signature): Ditto.

	* mime-play.el (mime-activate-mailcap-method): Make a temporary
	directory of a temporary file for the mailcap application.
	(mime-mailcap-method-sentinel): Follow the change above.
	(mime-store-message/partial-piece): Set `default-file-modes' for
	`make-directory'.

	* mime-edit.el (mime-edit-split-and-send): Remove local variable
	`mime-edit-draft-file-name'.

2003-05-12  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* mime-edit.el (turn-on-mime-edit): Protect 1st arg of `message'.
	* mime-view.el (mime-preview-follow-current-entity): Ditto.

2003-05-11  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* mime-w3.el (mime-preview-text/html): Protect 1st arg of `message'.
	* mime-play.el (mime-mailcap-method-sentinel): Ditto.
	(mime-view-message/external-anon-ftp): Ditto.
	(mime-view-message/external-url): Ditto.

2003-04-05  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* mime-view.el (mime-preview-toggle-display): Use boundary with
	children.

2003-02-08  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* semi-def.el (mime-should-use-popup-menu): New function.
	(mime-select-menu-alist): Renamed from select-menu-alist, change
	its behavior according to mime-should-use-popup-menu.
	* mime-play.el (mime-play-entity): Change accordingly.

2003-02-08  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* mime-view.el (mime-save-situation-examples): Bind print-length
	and print-level.

2003-01-10  NAKAJI Hiroyuki  <nakaji@tutrp.tut.ac.jp>

	* README.ja: new file, Japanese translation of README.en.
	Spaces between ascii and Japanese characters are added.


2002-11-15  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* SEMI: Version 1.14.5 (Awara-Onsen) released.

2002-11-05  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* mime-view.el (mime-preview-find-boundary-info): Change the name of
	the argument from get-mother to with-children along its effect.

2002-11-03  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* mime-edit.el (mime-edit-decode-single-part-in-buffer): Decode text
	part only.

2002-04-16   Daiki Ueno  <ueno@unixuser.org>

	* mime-edit.el (mime-file-types): Add setting of *.jpeg for image/jpeg.

2002-10-26  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* mime-view.el (mime-preview-find-boundary-info): Fix logic. Do not
	refer next to next part before examining the next part.

2002-08-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-edit.el (mime-edit-user-agent-value): Add
	`xemacs-extra-name'.


2002-07-08  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* SEMI: Version 1.14.4 (Hosorogi) released.

	* Makefile (ARC_DIR_PREFIX): New variable.
	(ARC_DIR): Use `ARC_DIR_PREFIX'.

2001-08-10  Kenichi OKADA <okada@opaopa.org>

	* semi-def.el (mime-browse-url-regexp): Allow nntps and ftps.

2001-06-12  Yuuichi Teranishi <teranisi@gohome.org>

	* mime-view.el (mime-display-multipart/related): When "start"
	parameter specifies part, treat the part as root.

2001-06-12  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* mime-view.el (mime-display-multipart/related): New function; set up
	for `mime-preview-condition'.

2001-04-19  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-bbdb.el: Load "bbdb-hooks" when the symbol function
	`bbdb-extract-field-value' is not bound or it is set up as an
	autoloaded function. [cf. <emacs-mime-ja:799,842,843,844,845,846>]

2001-04-17  YAMASHITA Junji   <ysjj@unixuser.org>

	* semi-def.el (mime-browse-url-regexp): Allow https.

2001-03-06  Hiroya Murata     <lapis-lazuli@pop06.odn.ne.jp>

	* mime-edit.el (mime-edit-set-parameter): Get rid of the duplicated
	optional fields.

2000-12-28  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-view.el: Revert to use `static'.


2000-12-28  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* SEMI: Version 1.14.3 (Ushinoya) released.

	* mime-view.el (mime-view-read-situation-examples-file): Don't try
	to read situation-examples-file is it is nil.
	(mime-situation-examples-file): Avoid to read
	situation-examples-file at compile time.

2000-12-28  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-view.el (mime-view-read-situation-examples-file): Display
	warning. [cf. <emacs-mime-ja:680>]

2000-12-27  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-view.el (mime-view-mailcap-files): New user option.
	(mime-view-read-mailcap-files): Renamed from
	`mime-view-read-mailcap'; read `mime-view-mailcap-files'.

	* mime-view.el (mime-view-read-situation-examples-file): New
	function; don't occur error.
	(mime-view-read-mailcap): New function.

2000-12-27  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-play.el (mime-play-messages-coding-system): Renamed from
	`mime-mailcap-method-messages-coding-system'.

	* pgg-def.el (pgg-messages-coding-system): Change default value to
	nil.

2000-12-27  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-play.el (mime-activate-mailcap-method): Fix typo.

2000-12-26   Daiki Ueno  <ueno@unixuser.org>

	* mime-play.el (mime-mailcap-method-messages-coding-system): New
	variable.
	(mime-activate-mailcap-method): Use it.

2000-12-26   Daiki Ueno  <ueno@unixuser.org>

	* pgg-def.el (pgg-messages-coding-system): Use `defvar' to define.

	* pgg-pgp.el (pgg-pgp-messages-coding-system): Abolish.
	(pgg-pgp-process-region): Use `binary-funcall' instead of
	`binary-to-text-funcall'.

	* pgg-pgp5.el (pgg-pgp5-messages-coding-system): Abolish.
	(pgg-pgp5-process-region): Use `binary-funcall' instead of
	`binary-to-text-funcall'.


2000-12-25  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* SEMI: Version 1.14.2 (Daish-Dòji)-A released.

	* README.en (Required environment): Update to FLIM 1.14.2.

	* mail-mime-setup.el (mail-setup-hook): Don't add
	`eword-decode-header'.

2000-12-23  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-view.el (mime-view-define-keymap): Return
	`mime-view-mode-map' instead of set up as local keymap; don't call
	`mime-view-define-keymap-hook'.
	(mime-display-message): Add new optional argument `keymap'.

	* mime-play.el (mime-store-message/partial-piece): Use
	`binary-insert-encoded-file' and `binary-write-decoded-region'
	instead of `binary-insert-file-contents' and
	`binary-write-region'.

2000-12-23  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* smime.el (smime-process-region): Use `binary-funcall' instead of
	`binary-start-process-shell-command'.
	(smime-verify-region): Use `binary-write-decoded-region' and
	`binary-insert-encoded-file' instead of `binary-write-region' and
	`binary-insert-file-contents'.

	* pgg-pgp5.el (pgg-pgp5-messages-coding-system): New variable.
	(pgg-pgp5-process-region): Use `binary-to-text-funcall' instead of
	`binary-start-process-shell-command'.
	(pgg-scheme-verify-region): Use `binary-write-decoded-region'
	instead of `binary-write-region'.

	* pgg-pgp.el (pgg-pgp-messages-coding-system): New variable.
	(pgg-pgp-process-region): Use `binary-to-text-funcall' instead of
	`binary-start-process-shell-command'.
	(pgg-scheme-verify-region): Use `binary-write-decoded-region'
	instead of `binary-write-region'.

	* pgg-gpg.el (pgg-gpg-process-region): Use
	`binary-to-text-funcall' instead of `binary-start-process'.


2000-12-22  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* SEMI: Version 1.14.1 (Kaga-Onsen) released.

	* README.en (Required environment): Require FLIM 1.14.1 or later;
	update required emacsen.

2000-12-22  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* pgg-gpg.el (pgg-gpg-process-region): Use
	`pgg-gpg-messages-coding-system'.

2000-12-21  Tadashi Watanabe  <watanabe@sigmaitec.co.jp>

	* pgg-gpg.el (pgg-scheme-verify-region): Use a "-" as the name for
	the file with the signed material.

2000-12-21   Daiki Ueno       <ueno@unixuser.org>

	* pgg-def.el (pgg-messages-coding-system): New user option.

2000-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-view.el: Don't use `static-cond'.


2000-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* SEMI: Version 1.14.0 (Iburihashi) released.

2000-12-19  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-edit.el (mime-edit-mime-version-field-for-message/partial):
	Use `mime-encode-field-body' instead of `eword-encode-field-body'.

2000-12-19  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-edit.el (mime-edit-translate-header): Use
	`mime-encode-header-in-buffer' instead of `eword-encode-header'.
	(mime-edit-encrypt-pgp-mime): Likewise.
	(mime-edit-translate-single-part-tag): Likewise.

2000-12-17  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* postpet.el: Require `mime'.

	* pgg-parse.el (pgg-format-key-identifier): Don't use
	`string-to-int-list'.
	(pgg-read-bytes): Likewise.
	(pgg-read-body): Likewise.

2000-12-16  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* smime.el: Require `raw-io'.
	(smime-process-region): Use `binary-start-process-shell-command'.

	* pgg-pgp5.el (pgg-pgp5-process-region): Use
	`binary-start-process-shell-command'.

	* pgg-pgp.el (pgg-pgp-process-region): Use
	`binary-start-process-shell-command'.

	* pgg-gpg.el (pgg-gpg-process-region): Use `binary-start-process'.

2000-12-15  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* pgg-def.el: Require `custom' instead of `pcustom'.

2000-12-15  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* Makefile (tar): Use `cvs tag -R' instead of `cvs tag -RF'.

2000-12-15  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* smime.el (smime-process-region): Don't use `as-binary-process'.
	(smime-verify-region): Use `binary-write-region' instead of
	`write-region-as-binary'; use `binary-insert-file-contents'
	instead of `insert-file-contents-as-binary'.

	* semi-def.el: Don't require `poe'.

	* pgg-pgp5.el (pgg-pgp5-process-region): Don't use
	`as-binary-process'.
	(pgg-scheme-verify-region): Use `binary-write-region' instead of
	`write-region-as-binary'.
	(pgg-scheme-snarf-keys-region): Don't use
	`write-region-as-raw-text-CRLF'.

	* pgg-pgp.el (pgg-pgp-process-region): Don't use
	`as-binary-process'.
	(pgg-scheme-verify-region): Use `binary-write-region' instead of
	`write-region-as-binary'.
	(pgg-scheme-snarf-keys-region): Don't use
	`write-region-as-raw-text-CRLF'.

	* pgg-parse.el: Don't require `poem'; require `custom' instead of
	`pcustom'.

	* pgg-gpg.el (pgg-gpg-process-region): Don't use
	`as-binary-output-file' and
	`insert-file-contents-as-raw-text-CRLF'.

	* mime-view.el: Don't require `emu'.
	(mouse-button-3): New variable.

	* mime-play.el (mime-store-message/partial-piece): Use
	`binary-insert-file-contents' instead of
	`insert-file-contents-as-binary'; don't use
	`as-binary-input-file'; use `binary-write-region' instead of
	`write-region-as-binary'.

2000-12-07  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-w3.el: Avoid error even if `w3' is not found.

2000-11-26  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-view.el: Use `mime-conf' instead of `mailcap'.

	* mime-play.el (mime-activate-mailcap-method): Use
	`mime-format-mailcap-command' instead of `mailcap-format-command'.

2000-10-19  Takanori Saneto  <sanewo@ba2.so-net.ne.jp>

	* pgg-pgp.el (pgg-pgp-process-region): bind process-environment
	locally so that setenv's effect won't last forever.
	pgg-pgp5.el (pgg-pgp5-process-region): Ditto.

2000-09-29  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-edit.el (mime-file-types): Fix to use application/msword
	instead of application/winword.

2000-08-11  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-display-text/plain): Display warning message
	when `mime-insert-text-content' fails.

2000-08-04   Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-region): Don't bind
	coding-system-for-read.

2000-07-04  Yuuichi Teranishi  <teranisi@gohome.org>

	* mime-image.el (mime-image-insert) [XEmacs]:
	Insert `string' only if it is non-nil.

2000-06-27   Daiki Ueno  <ueno@unixuser.org>

	* mime-image.el (mime-image-insert): Synch with the latest image.el.
	(mime-display-image): Don't pass underlying string "x".

2000-06-09   Daiki Ueno  <ueno@unixuser.org>

	* mime-edit.el (mime-edit-insert-key): Insert a text tag when
	the buffer has any trailing text.

2000-06-05  Shugo Maeda <shugo@ruby-lang.org>

	* pgg-gpg.el (pgg-scheme-insert-key): Don't quote user id.

2000-05-21   Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-region): Abolish redundant nconc.

2000-05-16   Daiki Ueno  <ueno@unixuser.org>

	* mime-image.el (mime-image-create) [XEmacs]: Don't call
	`make-image-instance' directly.

2000-05-02   Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-scheme-encrypt-region): Don't quote recipient;
	concatenate all arguments destructively.

2000-04-13   Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el: Fix author's mailing address.
	(pgg-gpg-process-region): Add --output option; set status fd to 2.
	(pgg-gpg-possibly-cache-passphrase): New function.
	(pgg-gpg-shell-file-name): Abolish.
	(pgg-gpg-shell-command-switch): Abolish.
	(pgg-scheme-lookup-key): Work on temp buffer.

2000-03-01  Yoshiki Hayashi <yoshiki@xemacs.org>

	* mime-image.el (mime-display-image): Don't wait for redisplay.


2000-07-12  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* REMI: Version 1.14.2 (Hokuhoku--DÒshima)-A released.

	* README.en (Required environment): Modify for FLIM-Chao 1.14.1.

2000-07-11  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-pgp.el (mime-view-application/pgp): Setup local variable
	`mime-view-temp-message-buffer' of preview-buffer.
	(mime-view-application/pkcs7-mime): Likewise.

	* mime-play.el
	(mime-preview-quitting-method-for-mime-show-message-mode): Don't
	use `mime-entity-buffer'; refer `mime-view-temp-message-buffer'.
	(mime-store-message/partial-piece): Use
	`insert-file-contents-as-binary' instead of
	`(as-binary-input-file (insert-file-contents ...))'; use
	`write-region-as-binary' instead of
	`(as-binary-output-file (write-region ...)); setup local variable
	`mime-view-temp-message-buffer' of preview-buffer.

2000-06-23  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-edit.el (mime-edit-preview-message): Set up local variable
	`mime-edit-temp-message-buffer'.
	(mime-edit-quitting-method): Refer `mime-edit-temp-message-buffer'
	to avoid to use `mime-entity-buffer'.

2000-06-21  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-view.el (mime-view-mode): Use
	`mime-entity-set-content-type' and `mime-entity-set-encoding'
	instead of `mime-entity-set-content-type-internal' and
	`mime-entity-set-encoding-internal'.

	* mime-w3.el (mime-preview-text/html): Use
	`mime-find-root-entity'.

2000-05-25  Tanaka Akira      <akr@m17n.org>

        * README.en: Update for CVS via SSH.

2000-04-28  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-edit.el (mime-charset-type-list): Add `iso-2022-jp-3'.


2000-03-01  MORIOKA Tomohiko  <tomo@m17n.org>

	* REMI: Version 1.14.1 (Mushigawa-Dòsugi)-A released.

2000-03-01  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-view-define-keymap): Add new binding
	`mime-preview-show-header' for C-c C-v C-f and C-c C-v h; add new
	binding `mime-preview-show-content' for C-c C-v C-c; add new
	binding `mime-preview-hide-header' for C-c C-d C-f and C-c C-d h;
	add new binding `mime-preview-hide-content' for C-c C-d C-c.
	(mime-preview-toggle-display): New function.
	(mime-preview-toggle-header): Add new optional argument
	`force-visible'; use `mime-preview-toggle-display'.
	(mime-preview-toggle-content): Likewise.
	(mime-preview-show-header): New function.
	(mime-preview-show-content): New function.
	(mime-preview-hide-header): New function.
	(mime-preview-hide-content): New function.

2000-02-25  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-situation-examples-file-coding-system): New
	variable.
	(mime-save-situation-examples): Use `with-temp-buffer'; try to
	save as `mime-situation-examples-file-coding-system'.
	- Use with-temp-buffer to load `mime-situation-examples-file';
	setup `mime-situation-examples-file-coding-system' when
	mime-situation-examples-file is loaded;

2000-02-25  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-view-define-keymap): Change keybind for
	`mime-preview-toggle-header' to C-c C-t h and C-c C-t C-f.

2000-02-24  Mito              <mit@nines.nec.co.jp>

	* mime-edit.el (mime-edit-normalize-body): Fix number of arguments
	against enriched-encode.

2000-02-23  Daiki Ueno        <ueno@ueda.info.waseda.ac.jp>

	* mime-image.el (mime-image-normalize-xbm-buffer): New inline
	function.
	(mime-image-create) [XEmacs || Emacs21]: Use it for XBM data.
	(mime-display-image): Don't create temporary file.

2000-02-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-delq-null-situation): Accept multiple ignored
	values.
	(mime-unify-situations): t is also regarded as an ignored-value.
	(mime-preview-follow-current-entity): Eliminate unused local
	variable `str'.

2000-02-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-play-find-every-situations): Renamed from
	`mime-view-find-every-situations'.

	* mime-view.el (mime-view-find-every-situations): Moved to
	mime-play.el.

2000-02-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-play-entity): Specify
	`mime-view-find-every-situations' as an optional argument
	`every-situations'.

	* mime-view.el (mime-unify-situations): Add new optional argument
	`every-situations'; use it instead of
	`mime-view-find-every-situations'.
	(mime-display-multipart/alternative): Modify `body' property
	instead of `body-presentation-method' property of
	preview-situation.

	* semi-setup.el: Use `eval-after-load' for text/html related
	setting.

2000-02-21   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* semi-def.el (mime-user-interface-product): Bump up to
	EMIKO 1.13.12.

	* pgg.el (pgg-temp-buffer-show-function): Use
	`shrink-window-if-larger-than-buffer'.

	* pgg-gpg.el (pgg-gpg-process-region): Fix cleanup form.

	* pgg-pgp.el (pgg-pgp-process-region): Ditto.

	* pgg-pgp5.el (pgg-pgp5-process-region): Ditto.

	* semi-setup.el (mime-setup-enable-inline-image): Remove checking
	of bitmap-mule; use `eval-after-load' instead of
	`call-after-loaded' to require `mime-image'.

	* mime-image.el (mime-display-image): Set default umask to 077.
	(mime-image-create): Use `nothing-image-instance-p'.

	* mime-pgp.el: When it is compiled, define `smime-output-buffer'
	and `smime-errors-buffer' to avoid compiler warning.

	* mime-edit.el: Ditto.

	* mime-pgp.el
	(mime-view-application/pkcs7-mime): Regard smime-type as
	"enveloped-data" unless it is specified.

	* smime.el (smime-directory-files): Abolish.
	(smime-verify-region): Abolish local variable `args'.

2000-02-20   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-image.el: Remove X-Face setting; require cl when compiling.
	(mime-image-format-alist): Remove image/x-mag and image/x-pic.
	(mime-image-type-available-p): New function.
	(mime-image-create): New function.
	(mime-image-insert): New function.
	(mime-display-image): Rewrite.

	* mime-edit.el
	(mime-edit-define-charset): Handle 'mime-charset-comment.

2000-02-18  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-view-define-keymap): Change binding of
	`mime-preview-toggle-content' from C-c C-t C-b to C-c C-t C-c.
	(mime-preview-toggle-content): Renamed from
	`mime-preview-toggle-body'.


2000-02-17  MORIOKA Tomohiko  <tomo@m17n.org>

	* REMI: Version 1.14.0 (Uragawara) released.

2000-02-17  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-view-define-keymap): Add new binding
	`mime-preview-toggle-body' for C-c C-t C-b.
	(mime-preview-toggle-body): New command.

	* semi-def.el (mime-add-button): Don't use overlay.

2000-02-17  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-preview-condition): Add default setting of
	multipart; declare body of message/partial, message/rfc822 and
	message/news are visible.
	(mime-display-entity): Check `*body' or `body' property of
	situation.

2000-02-17  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-display-entity): Find
	`header-presentation-method' only if `header-is-visible'.

2000-02-10  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-display-entity): Don't use
	`mime-goto-header-start-point'.

2000-02-10  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-display-message): Use `major-mode' of
	current-buffer as default value of `original-major-mode'; don't
	use `mime-entity-header-buffer'.
	(mime-preview-follow-current-entity): Use `mime-insert-header' to
	insert header; don't use `mime-entity-header-buffer',
	`mime-entity-header-start-point' and
	`mime-entity-header-end-point'.

2000-02-10  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-preview-follow-current-entity): Use
	`mime-view-entity-body' to find body.

2000-02-10  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-preview-find-boundary-info): Fix problem when
	entity is in boundary of mother entity.
	(mime-preview-follow-current-entity): Check header information of
	`mime-view-situation' property.

2000-02-09  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-preview-find-boundary-info): Use <last point>
	- 1 instead of <last point> to get `mime-view-entity' property.

	* mime-view.el (mime-preview-follow-current-entity): Fix problem
	in multipart entity.

2000-02-07  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* mime-pgp.el: Fix doc string.
	* pgg-def.el: Ditto.
	* pgg-gpg.el: Ditto.
	* pgg-parse.el: Ditto.
	* pgg-pgp.el: Ditto.
	* pgg-pgp5.el: Ditto.
	* pgg.el: Ditto.

2000-02-02  Nakagawa, Makoto  <Makoto.Nakagawa@jp.compaq.com>

	* pgg-pgp5.el (pgg-scheme-verify-region): Copy the contents of
	`pgg-errors-buffer' to `pgg-output-buffer'.

2000-02-02   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-temp-buffer-show-function): Don't check if the
	selected window is the only window.

2000-02-01  MORIOKA Tomohiko  <tomo@m17n.org>

	* semi-setup.el (mime-setup-enable-inline-image): Use "(fboundp
	'create-image)" to detect Emacs 21.
	Use `eval-after-load' instead of `call-after-loaded' to require
	`mime-image'.

2000-02-01  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-view-define-keymap): Change keybind for
	`mime-preview-toggle-header' to "\C-c\C-t\C-h".

2000-02-01   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-image.el: Add checking for `x-face-mule'.

	* pgg.el,pgp-gpg.el,pgg-pgp.el,pgg-pgp5.el
	(pgg-scheme-lookup-key): Rename from
	`pgg-scheme-lookup-key-string'.
	(pgg-scheme-decrypt-region): Use `pgg-scheme-lookup-key'.
	(pgg-scheme-sign-region): Ditto.

	* pgg-gpg.el (pgg-scheme-lookup-key): Generate *PGG-output* buffer
	if it does not exist.

2000-01-24   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* semi-def.el (mime-user-interface-product): Bump up to
	EMIKO 1.13.10.

	* mime-image.el	[Emacs21]: Require `image' when compiling.
	(image-normalize): Use `create-image' with 3rd arg `data-p'.
	 (create-image): Advice it to accept 3rd arg `data-p'.

	* pgg-pgp.el. pgg-pgp5.el
	(pgg-scheme-verify-region): Don't send buffer contents.

	* mime-pgp.el (mime-view-application/pkcs7-mime): Rename from
	`mime-decrypt-application/pkcs7-mime'; handle `smime-type'
	parameter; abolish local variable `representation-type'.

	* semi-setup.el: Rename `mime-decrypt-application/pkcs7-mime' to
	`mime-view-application/pkcs7-mime'.

2000-01-18   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el,pgp-gpg.el,pgg-pgp.el,pgg-pgp5.el
	(pgg-scheme-lookup-key-string,pgg-scheme-encrypt-region,
	pgg-scheme-decrypt-region,pgg-scheme-sign-region,
	pgg-scheme-verify-region,pgg-scheme-insert-key,
	pgg-scheme-snarf-keys-region): Prepend `pgg-scheme' to each symbol.

	* pgg.el
	(pgg-encrypt-region,pgg-decrypt-region,pgg-sign-region,
	pgg-verify-region,pgg-insert-key,pgg-snarf-keys-region,
	pgg-lookup-key-string): Don't use `luna-send'.

2000-01-17  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-view-entity-button-visible-p): Comment out.
	(mime-display-entity): Don't use
	`mime-view-entity-button-visible-p'.

2000-01-17  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-find-entity-preview-situation): New function.
	(mime-display-multipart/alternative): Use
	`mime-find-entity-preview-situation'.
	(mime-display-entity): Likewise; prefer`*entity-button' and
	`*header'.
	(mime-preview-toggle-header): Modify `*header' instead of
	`header'; update `mime-preview-situation-example-list'.

2000-01-17  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-unify-situations): Fixed.
	(mime-view-define-keymap): Add new binding
	`mime-preview-toggle-header' for C-c h.
	(mime-preview-find-boundary-info): New function.
	(mime-preview-follow-current-entity): Use
	`mime-preview-find-boundary-info'.
	(mime-preview-toggle-header): New command.

2000-01-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-play-entity): Modify for
	`mime-unify-situations'.

	* mime-view.el (mime-unify-situations): Add new optional argument
	`required-name'; use it instead of `method'.
	(mime-display-multipart/alternative): Use `mime-unify-situations'.
	(mime-display-entity): Likewise.

2000-01-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-reduce-situation-examples): New function;
	delete `mime-reduce-acting-situation-examples'.

2000-01-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-view-find-every-situations): Renamed from
	`mime-view-find-every-acting-situation'; changed to variable.
	(mime-situation-examples-file): Renamed from
	`mime-acting-situation-examples-file'.
	(mime-preview-situation-example-list-max-size): New variable.
	(mime-save-situation-examples): Renamed from
	`mime-save-acting-situation-examples'; save
	`mime-preview-situation-example-list' if it is not null.

2000-01-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-acting-situation-example-list): Moved to
	mime-view.el.
	(mime-acting-situation-example-list-max-size): Likewise.
	(mime-save-acting-situation-examples): Likewise.
	(mime-reduce-acting-situation-examples): Likewise.

	* mime-view.el (mime-preview-situation-example-list): New
	variable.
	(mime-acting-situation-example-list): Moved from mime-play.el.
	(mime-acting-situation-example-list-max-size): Likewise.
	(mime-save-acting-situation-examples): Likewise.
	(mime-reduce-acting-situation-examples): Likewise.
	(mime-view-load-hook): Abolished.

2000-01-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-play-entity): Use `mime-unify-situations'.

	* mime-view.el (mime-unify-situations): New function.

2000-01-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-compare-situation-with-example): Moved to
	mime-view.el.
	(mime-sort-situation): Likewise.

	* mime-view.el (mime-compare-situation-with-example): Moved from
	mime-play.el.
	(mime-sort-situation): Likewise.

2000-01-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* postpet.el: New module.

	* SEMI-ELS (semi-modules-to-compile): Add `postpet'.

	* mime-play.el (mime-delq-null-situation): Moved to mime-view.el.

	* mime-view.el: Add setting for
	`mime-display-application/x-postpet' to autoload "postpet".
	(mime-delq-null-situation): Moved from mime-play.el.
	(unpack): Moved to postpet.el.
	(unpack-skip): Likewise.
	(unpack-fixed): Likewise.
	(unpack-byte): Likewise.
	(unpack-short): Likewise.
	(unpack-long): Likewise.
	(unpack-string): Likewise.
	(unpack-string-sjis): Likewise.
	(postpet-decode): Likewise.
	(mime-display-application/x-postpet): Likewise.

2000-01-11  Nakagawa, Makoto  <Makoto.Nakagawa@jp.compaq.com>

	* pgg-pgp.el, pgg-pgp5.el
	(pgg-scheme-lookup-key-string): Fix number of arguments against
	call-process.

	* pgg-pgp5.el (pgg-scheme-verify-region): Analize process output
	to see whether verify successed or not.

2000-01-05  Katsumi Yamaoka   <yamaoka@jpl.org>

	* Makefile, README.en: Update for the new CVS server.

1999-12-28   Daiki Ueno       <ueno@ueda.info.waseda.ac.jp>

	* mime-edit.el (mime-edit-user-agent-value): Don't require
	`apel-ver' directly.

1999-12-28  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-edit.el (mime-edit-user-agent-value): Use `error' instead of
	`file-error' for the handler of `condition-case' because XEmacs
	does not signal an error named `file-error' if the required feature
	is not provided.

1999-12-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* semi-setup.el (mime-setup-decode-message-header): Comment out.
	(mime-edit-mode-hook): Don't use
	`mime-setup-decode-message-header'.
	(mu-cite/pre-cite-hook): Don't use `eword-decode-header'.

1999-12-14  Akihiro Arisawa   <ari@atesoft.advantest.co.jp>

	* mime-view.el (mime-preview-follow-current-entity): Fetch field of
	`mime-view-following-required-fields-list' from parent entity if it
	is not exist in current entity.

1999-12-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* README.en: Update for the recent ML address and ftp site.

1999-12-11  Daiki Ueno        <ueno@ueda.info.waseda.ac.jp>

	* smime.el (smime-encrypt-region): Delete entity header.
	(smime-sign-region): Ditto.

	* mime-edit.el: Fix autoload settings for `smime-sign-region' and
	`smime-encrypt-region.
	(mime-edit-sign-smime): Set Content-Type
	`application/pkcs7-signature' instead of
	`application/x-pkcs7-signature'; add Content-Description.
	(mime-edit-encrypt-smime): Set content-type
	`application/pkcs7-mime' instead of `x-application/pkcs7-mime'.

	* mime-pgp.el: Fix autoload settings for `smime-verify-region' and
	`smime-decrypt-region.
	(mime-decrypt-application/pkcs7-mime):
	Bind `inhibit-read-only' to t.

1999-12-09  Daiki Ueno        <ueno@ueda.info.waseda.ac.jp>

	* semi-def.el (mime-user-interface-product): Bump up to
	EMIKO 1.13.9.

	* smime.el: Require `static' when compiling.
	(smime-directory-files): New macro.
	(smime-find-certificate): Use it.

1999-12-08  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* smime.el (smime-verify-region): Abolish local variable `cert-file'.
	(smime-find-certificate): Rename from `smime-search-certificate'.

	* mime-edit.el: Add autoload settings for `smime-encrypt-region' and
	`smime-sign-region'.
	(mime-edit-process-multipart-1): Handle type "smime-signed" and
	"smime-encrypted".
	(mime-edit-sign-smime): New function.
	(mime-edit-encrypt-smime): New function.
	(mime-edit-enclose-smime-signed-region): New function.
	(mime-edit-enclose-smime-encrypted-region): New function.

	* mime-pgp.el: Add autoload settings for `smime-decrypt-region' and
	`smime-verify-region'.
	(mime-verify-application/pkcs7-signature): New function.
	(mime-decrypt-application/pkcs7-mime): New function.

	* semi-setup.el: Set up for `mime-verify-application/pkcs7-signature'
	and `mime-decrypt-application/pkcs7-mime'.

1999-12-08  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* smime.el (smime-x509-hash): Use `call-process' instead of
	`call-process-region'.
	(smime-x509-subject): Ditto.

1999-12-08  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* SEMI-ELS (semi-modules-to-compile): Add smime.el.

	* smime.el: New file.

1999-11-30  Tsukamoto Tetsuo  <czkmt@remus.dti.ne.jp>

	* mime-edit.el (mime-edit-decode-message-in-buffer): Don't decode
	the message header twice.

1999-11-30  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-remove-passphrase-cache): Add checking whether
	the passphrase has already been expired.

1999-11-26  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-edit.el (mime-edit-pgp-user-id): New variable.
	(mime-edit-sign-pgp-mime): Undo last change; refer
	`mime-edit-pgp-user-id'.
	(mime-edit-encrypt-pgp-mime): Ditto.

	* pgg-gpg.el, pgg-pgp.el, pgg-pgp5.el
	(encrypt-region): Refer `pgg-<impl>-user-id' if specified.
	(sign-region): Ditto.
	(decrypt-region): Ditto.
	(insert-key): Ditto.

1999-11-26  Nakagawa, Makoto  <Makoto.Nakagawa@jp.compaq.com>

	* mime-edit.el (mime-edit-sign-pgp-mime): Regard
	`pgg-default-user-id' as more preferrable if it's specified.
	(mime-edit-encrypt-pgp-mime): Ditto.

1999-11-22  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* semi-def.el (mime-user-interface-product): Bump up to
	EMIKO 1.13.8.

	* pgg.el (pgg-remove-passphrase-cache): Don't unbind passphrase.

1999-11-20  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-edit.el (mime-edit-sign-pgp-mime): Bind
	`pgg-default-user-id' to the canonical address of From field.

	* pgg-def.el (pgg-cache-passphrase): New user option.

	* pgg.el (pgg-read-passphrase): Refer `pgg-cache-passphrase'.
	(pgg-remove-passphrase-cache): Fill cached passphrase with `_'.

	* pgg-gpg.el, pgg-pgp.el, pgg-pgp5.el (sign-region): Refer
	`pgg-cache-passphrase'.

1999-11-17  Katsumi Yamaoka <yamaoka@jpl.org>

	* mime-image.el (mime-display-image): Use
	`mime-image-normalize-xbm' if the feature `xemacs' is provided or
	the variable `image-types' is bound.

1999-11-17  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-image.el (mime-image-normalize-xbm): Work for the future
	FSF Emacsen as well.
	(mime-display-image): Always use `mime-image-normalize-xbm'.

1999-11-17  Katsumi Yamaoka <yamaoka@jpl.org>

	* mime-image.el (mime-image-normalize-xbm): New macro.
	(mime-display-image): Use it.

1999-11-13  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-temp-buffer-show-function): New function.
	(pgg-display-output-buffer): Use it.
	(pgg-save-coding-system): Use buffer narrowing.
	(pgg-encrypt-region, pgg-decrypt-region, pgg-sign-region,
	pgg-verify-region): Assume that the current region has already
	been narrowed.

1999-11-13  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-def.el (pgg-default-keyserver-address): Default to
	`wwwkeys.pgp.net'.

	* pgg.el (pgg-save-coding-system): New macro.
	(pgg-display-output-buffer): New function.
	(pgg-encrypt-region, pgg-decrypt-region, pgg-sign-region,
	pgg-verify-region, pgg-insert-key, pgg-snarf-keys-region):
	Add documentation string; use `pgg-save-coding-system'.
	(pgg-fetch-key): Fix documentation.

1999-11-11  Akihiro Arisawa   <ari@atesoft.advantest.co.jp>

	* mime-image.el (image-normalize): Use `write-region-as-binary'.

1999-11-11  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-pgp.el, pgg-pgp5.el (verify-region): Set default umask to 077.

1999-11-10  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-gpg.el (pgg-gpg-process-region): Enclose `start-process'
	with `as-binary-process'.

	* pgg-pgp.el (pgg-pgp-process-region): Enclose `start-process'
	with `as-binary-process'.

	* pgg-pgp5.el (pgg-pgp5-process-region): Enclose `start-process'
	with `as-binary-process'.

	* mime-edit.el (mime-edit-set-sign): Remove duplication.
	(mime-edit-set-encrypt): Ditto.
	(mime-edit-encrypt-pgp-mime): Encode header before encrypting.

	* mime-image.el (image-insert-at-point): Check the number of the
	arguments of `insert-image'.
	(mime-display-image): Rewrite.

1999-11-10  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mime-play.el: (mime-save-directory): New variable.
	(mime-save-content): Don't force filename parameter to be used.

1999-11-09  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-pgp.el, pgg-pgp5.el
	(sign-region): Don't convert line break	code.

1999-11-07  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-pgp.el (mime-verify-application/pgp-signature): Don't
	scroll MIME-echo buffer, just set window starting point.
	(mime-add-application/pgp-keys): Ditto.

1999-11-06  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-sign-region): Add optional argument `cleartext'.

	* mime-ui-en.sgml, mime-ui-ja.sgml: Remove description about
	`pgp-functions-alist' and `pgp-function'; add description about
	`pgg-default-scheme' and `pgg-scheme'.

	* NEWS (PGP 5.0i and GnuPG are now supported for PGP/MIME):
	New section.

	* pgg-gpg.el, pgg-pgp.el, pgg-pgp5.el (encrypt-region): Add
	sender's user id to the recipients list if `pgg-encrypt-for-me' is
	specified.

	* pgg-def.el (pgg-encrypt-for-me): New user option.

	* mime-edit.el:
	(mime-edit-decode-multipart-in-buffer): Sync up with semi-pgpgpg_20.
	(mime-edit-decode-message-in-buffer): Ditto.
	(mime-edit-decode-single-part-in-buffer): Ditto.

1999-11-06   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-verify-region): Bind `pgg-scheme' in the predicate
	of whether to fetch signer's public key.
	(pgg-convert-lbt-region): New macro.
	(pgg-as-lbt): New macro.

	* mime-edit.el (mime-edit-encrypt-pgp-mime): Extract canonical
	address of From field to use it as default user id; tokenize
	bodies of the recipient fields.
	(mime-edit-make-encrypt-recipient-header): Undo last change.
	(mime-edit-translate-buffer): Do `undo-boundary'
	before translating.

	* pgg-gpg.el (sign-region): Use `pgg-as-lbt'.
	(pgg-gpg-process-region): Use `pgg-convert-lbt-region'.
	(encrypt-region): Don't ask passphrase.

	* pgg-pgp5.el (sign-region): Use `pgg-as-lbt'.
	(pgg-pgp5-process-region): Use `pgg-convert-lbt-region'.
	(encrypt-region): Don't ask passphrase.

	* pgg-pgp.el (verify-region): Fill errors buffer.
	(pgg-pgp-process-region): Use `pgg-convert-lbt-region'.
	(sign-region): Use `pgg-as-lbt'.
	(encrypt-region): Don't ask passphrase.

1999-11-06   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-parse.el (pgg-byte-after): Always pass the first argument
	of `char-after'.

1999-11-05   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-pgp.el (sign-region): Fix regexp for the beginning of armor.

	* pgg-gpg.el (encrypt-region): Don't use "--textmode" in GPG
	arguments, replace line break code with CRLF while signing
	instead.

1999-11-05   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-pgp.el (mime-verify-application/pgp-signature): Copy the
	messages in PGG buffers to MIME-echo buffer instead of binding
	`pgg-output-buffer'.
	(mime-add-application/pgp-keys): Likewise.

	* pgg-gpg.el (verify-region): Fill errors buffer whether
	verification has succeeded or not.

1999-11-05   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-gpg.el, pgg-pgp.el, pgg-pgp5.el (snarf-keys-region):
	Use `pgg-process-when-success'.

	* pgg.el (pgg-encrypt-region): Add autoload cookie.
	(pgg-decrypt-region): Ditto.
	(pgg-sign-region): Ditto.
	(pgg-verify-region): Don't modify the buffer; add autload cookie.
	(pgg-snarf-keys-region): Add interactive spec; add autload cookie.
	(pgg-insert-key): Add interactive spec; add autload cookie.

1999-11-05   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-gpg.el (pgg-gpg-shell-command-switch): New user option.
	(pgg-gpg-process-region): Bind `shell-command-switch' to the value
	of `pgg-gpg-shell-command-switch'.

	* pgg-pgp.el (pgg-pgp-shell-command-switch): New user option.
	(pgg-pgp-process-region): Bind `shell-command-switch' to the value
	of `pgg-pgp-shell-command-switch'.

	* pgg-pgp5.el (pgg-pgp5-shell-command-switch): New user option.
	(pgg-pgp5-process-region): Bind `shell-command-switch' to the value
	of `pgg-pgp5-shell-command-switch'.

	* pgg-gpg.el, pgg-pgp.el, pgg-pgp5.el (sign-region): Use fixed end
	position of the signature.

	* mime-pgp.el: Add autoload for `pgg-decrypt-region',
	`pgg-verify-region', `pgg-snarf-keys-region'.
	(mime-view-application/pgp): Don't use `pgp-function'.
	(mime-verify-application/pgp-signature): Ditto.
	(mime-add-application/pgp-keys): Ditto.
	(mime-pgp-command): Abolish.
	(mime-pgp-default-language): Abolish.
	(mime-pgp-good-signature-regexp-alist): Abolish.
	(mime-pgp-key-expected-regexp-alist): Abolish
	(mime-pgp-check-signature): Abolish.

	* semi-def.el (pgp-function-alist): Abolish.
	(pgp-function): Abolish.

	* mime-edit.el: Add autoload for `pgg-encrypt-region',
	`pgg-sign-region', `pgg-insert-key'.
	(mime-edit-sign-pgp-mime): Throw an error when
	`pgg-sign-region' returns nil; don't use `pgp-function'.
	(mime-edit-encrypt-pgp-mime): Throw an error when
	`pgg-encrypt-region' returns nil; don't use `pgp-function'.
	(mime-edit-sign-pgp-kazu): Don't use `pgp-function'.
	(mime-edit-encrypt-pgp-mime): Ditto.

1999-11-05   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-pgp.el (mime-add-application/pgp-keys): Don't display
	public key block; snarf keys immediately.

	* pgg.el (pgg-insert-url-with-program): Call program asynchronously.

1999-11-05   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-def.el (pgg-echo-buffer): New variable.

	* pgg.el (pgg-process-when-success): New macro.
	(pgg-insert-url-with-w3): New function.
	(pgg-insert-url-program): New variable.
	(pgg-insert-url-extra-arguments): New variable.
	(pgg-insert-url-function): New variable.
	(pgg-fetch-key): Use it.
	(pgg-encrypt-region): If called interactively, popup
	`pgg-echo-buffer' to display encryption status.
	(pgg-decrypt-region): Likewise.
	(pgg-sign-region): Likewise.
	(pgg-verify-region): Likewise.

	* pgg-gpg.el (lookup-key-string): Use `call-process' instead of
	`pgg-gpg-process-region'.
	(encrypt-region): Use `pgg-process-when-success'; if the output
	buffer is empty, don't copy errors, just return nil.
	(decrypt-region): Likewise.
	(verify-region): Check the contents of status buffer to looking
	for `GOODSIG' response.
	(sign-region): Accept optional argument `clearsign'.

	* pgg-pgp.el (lookup-key-string): Use `call-process' instead of
	`pgg-pgp-process-region'.
	(encrypt-region): Use `pgg-process-when-success'; if the output
	buffer is empty, don't copy errors, just return nil.
	(decrypt-region): Likewise.
	(verify-region): Likewise.
	(sign-region): Accept optional argument `clearsign'.

	* pgg-pgp5.el (lookup-key-string): Use `call-process' instead of
	`pgg-pgp5-process-region'.
	(encrypt-region): Use `pgg-process-when-success'; if the output
	buffer is empty, don't copy errors, just return nil.
	(decrypt-region): Likewise.
	(verify-region): Likewise.
	(sign-region): Accept optional argument `clearsign'.

1999-11-04   Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-verify-region): Ignore all errors encountered on
	calling `pgg-fetch-key'.

1999-11-04  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-pgp.el (mime-verify-application/pgp-signature): Enclose
	with `unwind-protect' to be sure of deleting *.asc files.

	* pgg-pgp.el (pgg-pgp-process-region): Set `PGPPASSFD' before
	starting PGP process.

	* pgg-pgp5.el (pgg-pgp5-process-region): Ditto.

1999-11-04  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-parse.el (pgg-parse-crc24): Don't use any `write' ops.
	(pgg-parse-crc24-string): Use `ccl-execute-on-string'.

1999-11-04  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-edit.el (mime-edit-set-sign): Preserve last status of
	`mime-edit-pgp-processing'.
	(mime-edit-set-encrypt): Ditto.
	(mime-edit-pgp-enclose-buffer): Process
	`mime-edit-pgp-enclose-buffer' consequently.

	* pgg-parse.el (pgg-decode-packets): Don't use
	`mime-encode-string'.
	(pgg-ignore-packet-checksum): Default to t.

1999-11-04  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el: Rename the field name `cipher-algorithm' to
	`symmetric-key-algorithm'.
	(pgg-verify-condition): Fix documentation.
	(pgg-decrypt-condition): Ditto.

1999-11-04  Katsumi Yamaoka <yamaoka@jpl.org>

	* mime-edit.el (mime-edit-preview-message): Inherit the value of
	`mime-edit-pgp-processing'.

1999-11-04  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-encrypt-region): Add interactive spec.
	(pgg-decrypt-region): Ditto.
	(pgg-sign-region): Ditto.
	(pgg-verify-region): Add optional argument `fetch' to fetch
	signer's public key.

	* pgg-def.el (pgg-default-keyserver-address): New variable.

	* semi-def.el (pgp-function-alist): Remove `lookup-key'.

	* mime-pgp.el (mime-display-application/pgp-signature): Abolish.
	(mime-display-application/pgp-encrypted): Abolish.
	(mime-display-application/pgp-keys): Abolish.
	(mime-pgp-keyserver-url-template): Abolish.
	(mime-pgp-keyserver-address): Abolish.
	(mime-pgp-keyserver-port): Abolish.
	(mime-pgp-keyserver-protocol): Abolish.
	(mime-pgp-fetch-key): Abolish.

	* semi-setup.el: Delete default setting of
	`mime-display-application/pgp-signature', 
	`mime-display-application/pgp-encrypted',
	`mime-display-application/pgp-keys'

1999-11-03  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-fetch-key): Protect `buffer-file-name'.

	* pgg-gpg.el (snarf-keys-region): Add `-' as extra argument of
	gpg --import; convert status code into an integer.

1999-11-03  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* semi-def.el (pgp-function-alist): Add `lookup-key'.

	* pgg.el, pgg-gpg.el, pgg-pgp5.el, pgg-pgp.el:
	Rename generic function `lookup-key' to `lookup-key-string';
	add optional argument `type'.

	* pgg-def.el (pgg-truncate-key-identifier): New macro.

	* pgg.el: Rename generic function `lookup-key' to
	`lookup-key-string'; add optional argument `type'.
	(pgg-fetch-key): New function.
	(pgg-snarf-keys-region): Fix typo.
	(pgg-lookup-key-string): New function.
	(pgg-read-passphrase): Use `pgg-truncate-key-identifier'.
	(pgg-add-passphrase-cache): Ditto.

	* mime-pgp.el (mime-pgp-keyserver-url-template): New variable
	imported from semi-pgpgpg.
	(mime-pgp-keyserver-address): Ditto.
	(mime-pgp-keyserver-port): Ditto.
	(mime-pgp-keyserver-protocol): New variable.
	(mime-pgp-fetch-key): New function.
	(mime-verify-application/pgp-signature): Prompt user to fetch
	signer's public key.

1999-11-03  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-fetch-public-key): New function.

	* pgg-pgp.el (lookup-key): New generic function.
	(encrypt-region): Use `lookup-key'; cache passphrase if the
	encryption has done successfully.
	(sign-region): Likewise.
	(decrypt-region): Use `lookup-key'.

	* pgg.el (pgg-scheme): Remove all slots.
	(pgg-decrypt-codition): Rename tag `cipher-algorithm' to
	`symmetric-key-algorithm'.
	(lookup-key): Add documentation about the new generic function.

	* pgg-parse.el (pgg-decode-armor-region): Remove autoload cookie.
	(pgg-armor-header-lines): New variable.

1999-11-02  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg.el (pgg-add-passphrase-cache): Use only four octets of the key.
	(pgg-read-passphrase): Ditto.
	
	* pgg-pgp5.el (lookup-key): New generic function. 
	(encrypt-region): Use `lookup-key'; cache passphrase if the
	encryption has done successfully.
	(sign-region): Likewise.
	(decrypt-region): Use `lookup-key'.

1999-11-02  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-parse.el
	(pgg-parse-public-key-encrypted-session-key-packet):
	Rename tag `public-key-identifier' to `key-identifier'.

	* mime-pgp.el
	(mime-display-application/pgp-encrypted): Refer it.

	* pgg.el (pgg-passphrase-cache-expiry): New variable.
	(pgg-passphrase-cache): New variable.
	(pgg-read-passphrase): Add optional argument `key'.
	(pgg-add-passphrase-cache): New function.
	(pgg-remove-passphrase-cache): New function.

	* pgg-gpg.el (lookup-key): New generic function.
	(encrypt-region): Use `lookup-key'; cache passphrase if the
	encryption has done successfully.
	(sign-region): Likewise.
	(decrypt-region): Use `lookup-key'.

1999-11-02  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* pgg-parse.el (pgg-parse-length-type): Fix typo.
	(pgg-parse-public-key-encrypted-session-key-packet): Use
	`pgg-read-bytes-string' instead of `pgg-read-bytes'.

1999-11-02  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-edit.el (mime-edit-sign-pgp-mime): Rewrite with PGG functions.
	(mime-edit-encrypt-pgp-mime): Likewise.
	(mime-edit-encrypt-recipient-fields-list): Return recipients as list.

	* mime-pgp.el: Add comment that this module is based on
	draft-yamamoto-openpgp-mime-00.txt (OpenPGP/MIME) and RFC 2440
	(OpenPGP Message Format) as well. 
	(mime-verify-application/pgp-signature): Use
	`pgg-verify-region' instead of `mime-pgp-check-signature'.
	(mime-display-application/pgp-signature): New function.
	(mime-display-application/pgp-encrypted): New function.
	(mime-display-application/pgp-keys): New function.

	* semi-setup.el: Set up for
	`mime-display-application/pgp-signature', 
	`mime-display-application/pgp-encrypted',
	`mime-display-application/pgp-keys'.
	(mime-setup-enable-pgp): Default to t.

	* SEMI-ELS (semi-modules-to-compile): Add `pgg', `pgg-parse',
	`pgg-gpg', `pgg-pgp' and `pgg-pgp5' instead of `mime-mc'.

	* EMIKO-VERSION, pgg-def.el, pgg.el, pgg-gpg.el, 
	pgg-pgp5.el, pgg-pgp.el, pgg-parse.el: New file.

	* mime-image.el (mime-display-image): Rewrite.

	* semi-def.el (mime-user-interface-product): Modify for EMIKO.
	(pgp-function-alist): Replace each method with PGG function.

	* mime-view.el (mime-view-popup-menu): New variable.
	(mime-view-popup-menu): New function.
	(mime-view-define-keymap): Bind `mime-view-popup-menu' to
	`mouse-button-3'.

1999-11-01  Tanaka Akira  <akr@jaist.ac.jp>

	* mime-view.el (mime-display-application/x-postpet): New function.
	(mime-preview-condition): Set up for
	'mime-preview-application/x-postpet.
	(unpack): New macro.
	(unpack-skip): New function.
	(unpack-fixed): New function.
	(unpack-byte): New function.
	(unpack-short): New function.
	(unpack-long): New function.
	(unpack-string): New function.
	(unpack-string-sjis): New function.
	(postpet-decode): New function.

1999-10-17  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* SEMI-MK (install-semi-package): Delte auto-autoloads.el
	and custom-load.el


1999-10-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* SEMI: Version 1.13.7 (Awazu) released.

1999-10-06  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mime-view.el (mime-preview-move-to-upper): Scroll
	according to mime-preview-move-scroll.

1999-10-05  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mime-view.el (mime-preview-scroll-down-entity,
	mime-preview-scroll-up-entity): Recenter when moving to
	a next entity.
	(mime-preview-move-scroll): New variable.
	(mime-preview-move-to-previous, mime-preview-move-to-next):
	Recenter according to the variable mime-preview-move-scroll.

1999-10-04  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-view.el (mime-preview-move-to-next): Attempt to go to the
	next page if the return value of `next-single-property-change' is
	greater than `point-max'.
	(mime-preview-move-to-previous): Don't move backward at the
	beginning of the buffer; attempt to go to the previous page if the
	return value of `previous-single-property-change' is less than
	`point-min'.

1999-09-29  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-display-multipart/mixed): Share cell of
	`major-mode'.
	(mime-display-multipart/alternative): Likewise.
	(mime-display-entity): Refer `major-mode' value of a situation
	instead of buffer-local-variable `major-mode'.

1999-09-29  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-preview-play-current-entity): Use
	text-property `mime-view-situation' as the initial value of
	acting-situation to add major-mode.

1999-09-29  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-edit.el (mime-content-types): Delete text/x-rot13-47-48 in
	default definition. [cf. <tm-ja:4904>, <tm-ja:4907>]

1999-09-27  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-edit.el (mime-edit-user-agent-value): Include
	`emacs-patch-level'.  It exists in XEmacs 21.1.1 or later.

1999-09-20  Yoshiki Hayashi <t90553@mail.ecc.u-tokyo.ac.jp>

	* mime-view.el (mime-preview-scroll-up-entitiy,
	mime-preview-scroll-down-entity): Use scroll-up and scroll-down
	instead of forward-line.
	(mime-preview-next-line-entity,
	mime-preview-previous-line-entity): Add optional argument LINES
	and scroll LINES lines if specified. Add doc-string.


1999-09-13  MORIOKA Tomohiko  <tomo@m17n.org>

	* SEMI: Version 1.13.6 (Komatsu) released.

1999-08-30  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-edit.el (mime-edit-mime-version-field-for-message/partial):
	Encode `mime-edit-version'.

1999-08-28  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-store-message/partial-piece): Use
	`directory-files' to check number of pieces.

1999-08-26  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-store-message/partial-piece): Don't refer
	`mime-preview-buffer'.

1999-08-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* SEMI-CFG: Use `if' instead of `when'.


1999-08-18  MORIOKA Tomohiko  <tomo@m17n.org>

	* REMI: Version 1.13.2 (-DÒike-Ikoinomori)-A released.

1999-08-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-view.el (mime-preview-original-major-mode): Modify the way
	of checking for the end of the buffer.

1999-08-17  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-view.el (mime-preview-original-major-mode): Don't use
	`get-text-property' at the end of the buffer.

1999-08-02  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-preview-follow-current-entity): Don't use
	`mime-entity-buffer'.

1999-05-17  KOSEKI Yoshinori  <kose@yk.NetLaputa.ne.jp>

	* mime-pgp.el (mime-verify-application/pgp-signature): Specify the
	name of `sig-file' explicitly for `mime-pgp-check-signature'.
	(mime-pgp-check-signature): Accept new arg `sig-file' and feed its
	value to the verify command.

1999-07-29  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-play-entity): Get media-type from situation
	instead of entity; display prompt and call `mime-save-content' if
	method is not found.
	(mime-detect-content): Call `mime-play-entity' even if media-type
	specification is not found in `mime-magic-type-alist'.

1999-07-28  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-view-entity-title): Use
	`mime-entity-read-field' instead of `mime-read-field'.
	(mime-display-message): Use `major-mode' of
	mime-entity-header-buffer as the default value of
	original-major-mode.

	* mime-play.el (mime-entity-safe-filename): Use
	`mime-entity-read-field' instead of `mime-read-field'.
	(mime-view-message/rfc822): New implementation.

	* mime-pgp.el (mime-add-application/pgp-keys): Use
	`mime-entity-number' instead of `mime-raw-point-to-entity-number'.

	* mime-partial.el
	(mime-combine-message/partial-pieces-automatically): Use
	`mime-entity-read-field' instead of `mime-read-field'.

	* mime-bbdb.el (mime-bbdb/update-record): Use
	`mime-entity-read-field' instead of `mime-read-field'; use
	`mime-entity-fetch-field' instead of `mime-fetch-field'.

1999-07-28  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-raw-find-entity-from-point): Deleted.
	(mime-raw-buffer): Deleted.
	(mime-preview-original-major-mode): Add new optional argument
	`point'; refer text-property `mime-view-situation' instead of
	using `mime-entity-buffer'.
	(mime-raw-point-to-entity-node-id): Deleted.
	(mime-raw-point-to-entity-number): Deleted.
	(mime-raw-flatten-message-info): Deleted.
	(mime-display-entity): Add text-property `mime-view-situation' to
	each entity.


1999-07-27  MORIOKA Tomohiko  <tomo@m17n.org>

	* SEMI: Version 1.13.5 (Meih-Dò)-A released.

1999-07-27  MORIOKA Tomohiko  <tomo@m17n.org>

	* NEWS (Don't expect raw-buffer): New subsection.
	(Now acting-method must not expect to run in raw-buffer): Changed
	as a subsubsection of subsection `Don't expect raw-buffer'.
	(Don't refer variable `mime-raw-buffer'): New subsubsection.
	(Don't refer variable `mime-preview-buffer'): New subsubsection.

	* NEWS (Requires FLIM 1.13 API): New subsection.

1999-07-23  MORIOKA Tomohiko  <tomo@m17n.org>

	* README.en (Required environment): Change required FLIM to
	1.13.1; change location of APEL and FLIM.


1999-07-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* REMI: Version 1.13.1 (Kubiki) released.

1999-07-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el
	(mime-preview-quitting-method-for-mime-show-message-mode): Don't
	refer `mime-raw-buffer'.

1999-07-21  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-store-message/partial-piece): Don't refer
	`mime-preview-buffer'.


1999-07-21  MORIOKA Tomohiko  <tomo@m17n.org>

	* REMI: Version 1.13.0 (Saigata) released.

1999-07-21  MORIOKA Tomohiko  <tomo@m17n.org>

	* Makefile (EXEC_PREFIX): Deleted.
	(elc): Change command-line interface to delete `EXEC_PREFIX'.
	(install-elc): Likewise.

	* SEMI-MK (config-semi): Change command-line interface to delete
	`EXEC_PREFIX'.

	* SEMI-CFG (EXEC_PREFIX): Deleted.

1999-07-07  Daiki Ueno  <ueno@ueda.info.waseda.ac.jp>

	* mime-edit.el (mime-edit-quitting-method): Don't refer
	`mime-raw-buffer'.

	* mime-view.el (mime-preview-follow-current-entity): Don't refer
	`mime-raw-buffer'.

1999-06-17  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-edit.el (mime-edit-user-agent-value): Modify for XEmacs
	UTF-2000-MULE.

1999-06-04  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-edit.el (mime-edit-user-agent-value): Modify code to get
	version number of XEmacs. [cf. <tm-ja:4561>]

1999-05-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-entity-situation): Don't refer `major-mode'
	of a mime-entity-buffer.
	(mime-display-multipart/mixed): Add `major-mode' of SITUATION to
	default-situation of children.
	(mime-display-multipart/alternative): Likewise.
	(mime-display-entity): Don't refer `raw-buffer'; use
	`mime-goto-header-start-point'.
	(mime-display-message): Add new optional argument
	`original-major-mode'; don't refer `raw-buffer'; use
	`mime-entity-name' to make name of `preview-buffer'; don't set up
	`mime-raw-buffer' of `preview-buffer'; use `original-major-mode'
	as value of `major-mode' field of default-situation; don't pop up
	`preview-buffer' in suitable window; return `preview-buffer'.
	(mime-view-buffer): Pop up `preview-buffer' in suitable window.

1999-05-31  Keiichi Suzuki  <keiichi@nanap.org>

	* mime-play.el (mime-show-echo-buffer): Bind `buffer-read-only' to
	nil, while insert messages.

1999-05-28  MORIOKA Tomohiko  <tomo@m17n.org>

	* README.en (Required environment): Require APEL 9.20.

1999-05-27  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-play.el (mime-play-entity): Enter to the calist-package
	`mime-view' before call `ctree-find-calist'.

	* mime-view.el (mime-view): New calist-package.
	(mime-display-entity): Enter to the calist-package `mime-view'
	before call `ctree-match-calist'.

1999-05-23  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-edit.el (mime-edit-mime-version-value): Don't use
	`eval-when-compile' to avoid problem with XEmacs-MULE.
	(mime-edit-mime-version-field-for-message/partial): Likewise.

1999-05-20  MORIOKA Tomohiko  <tomo@m17n.org>

	* NEWS (Text property `mime-view-entity-{header|body}'): New
	subsection.
	(Behavior change about `mime-display-header-hook'): Likewise.

	* mime-view.el (mime-display-entity): Don't move to (point-max)
	before run `mime-display-header-hook)'.

1999-05-19  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-view.el (mime-display-entity): Put text-property
	`mime-view-entity-header' and `mime-view-entity-body' to header
	and body; run `mime-display-header-hook' before insert "\n".
	(mime-preview-follow-current-entity): Use text-property
	`mime-view-entity-header'.


1999-05-12  MORIOKA Tomohiko  <tomo@m17n.org>

	* SEMI: Version 1.13.4 (Terai) released.

1999-04-06  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-edit.el (mime-delete-field): Use `std11-field-end'.

1999-03-30  Keiichi Suzuki  <kei-suzu@mail.wbs.ne.jp>

	* mime-edit.el (mime-edit-decode-single-part-in-buffer): Normalize
	EOL code in MIME encoded text part.

1999-03-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-follow-current-entity): Don't copy
	header if current entity is root.

1999-03-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-charset-type-list): Add `tis-620'.


1999-02-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.13.3 (Komaiko) released.

1999-02-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* SEMI-MK (install-semi-package): Install mime-setup.el(c).
	(compile-semi-package): Compile mime-setup.el as well.

1999-02-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-content-types): Add definition of
	application/vnd.ms-powerpoint for myself :-P
	(mime-file-types): Add setting of *.ppt for
	application/vnd.ms-powerpoint.

1999-02-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-partial.el
	(mime-combine-message/partial-pieces-automatically): Call
	`mime-store-message/partial-piece' in the buffer when it is
	called.

	* mime-play.el (mime-store-message/partial-piece): Don't move to
	point-min.

	* mime-play.el (mime-store-message/partial-piece): Don't expect
	called in raw-buffer.


1999-01-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.13.2 (Mikawa) released.

1999-01-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* README.en: Notice that 1.12.5 or later of FLIM is required.

1999-01-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-preview-play-current-entity): Add autoload
	cookie.
	(mime-play-entity): Likewise.

	* mime-view.el (mime-display-message): Add autoload cookie; add
	DOC-string.
	(mime-view-buffer): Add autoload cookie.

1999-01-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-reduce-acting-situation-examples): New
	implementation.

1999-01-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-view-caesar): Select window which displays
	current-buffer if it is not selected <to fix problem with mouse
	operations>.

1999-01-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-edit.el (mime-edit-decode-single-part-in-buffer): Limit the
	search bound for the end of "Content-Transfer-Encoding" field.

1999-01-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-view-caesar): New implementation.

1999-01-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-view-caesar): Don't expect called in
	raw-buffer; use `mime-insert-entity'.

1999-01-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-w3.el (mime-preview-text/html): Display err if error occurs
	in `w3-region'.

	* mime-w3.el (mime-preview-text/html): Guard from error of
	`w3-region'.


1999-01-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.13.1 (Kaga-Kasama) released.

1999-01-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* TODO (Don't expect raw-buffer): New item.
	(lazy generating of situations from mime-entity information): New
	item.

	* TODO (Don't use filter-model): finished.

	* TODO (multipart/related support): virtually finished.

1999-01-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Delete README.ja until it is fixed.

	* mime-w3.el (url-cid): Use `mime-insert-entity-content'.

	* README.ja, README.en (Required environment): Require FLIM
	1.12.4.

	* mime-w3.el (mime-w3-message-structure): New variable.
	(mime-preview-text/html): Set up `mime-w3-message-structure'.
	(url-cid): New function; set up as registered-protocol of url.

1999-01-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.ja: Modify title.

	* README.ja: Add notice about translation.

	* README.ja, README.en (Required environment): Require FLIM
	1.12.3; delete description about enriched.el because anything
	older than Emacs 19.28 are not supported.

	* mime-pgp.el (mime-view-application/pgp): Don't expect called in
	raw-buffer; use `mime-insert-entity'.

	* mime-play.el (mime-view-message/rfc822): Use
	`mime-insert-entity'.

1999-01-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Function `mime-play-entity'): Sync with latest
	specification.

	* mime-pgp.el (mime-verify-multipart/signed): Modify for interface
	change of `mime-play-entity'.

	* mime-play.el (mime-preview-play-current-entity): Modify for
	interface change of `mime-play-entity'.
	(mime-play-entity): Change interface; abolish optional arguments
	`mode' and `ignore-example'.
	(mime-detect-content): Modify for interface change of
	`mime-play-entity'.

	* mime-view.el (mime-entity-situation): Add new optional argument
	`situation'; it is preferred to attributes of entity.

1999-01-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-version): Don't use `eval-when-compile'
	to avoid to break product-code-name.

	* mime-edit.el (mime-edit-version): Don't use `eval-when-compile'
	to avoid to break product-code-name.


1999-01-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.13.0 (Matt-Dò)-A released.

1999-01-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-view-message/rfc822): Don't expect called in
	raw-buffer.

1999-01-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Function `mime-play-entity'): Add description about
	interface change of `mime-play-entity'.

	* mime-play.el (mime-play-entity): Change interface.

1999-01-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Changes in SEMI 1.13): New section.

	* NEWS (Changes in SEMI 1.12): New section.

1999-01-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-view-application/pgp): Don't expect called in
	raw-buffer.
	(mime-verify-application/pgp-signature): Likewise.

	* mime-play.el: Abolish variable
	`mime-preview-after-decoded-position'.
	(mime-preview-play-current-entity): Use `mime-play-entity' simply;
	don't switch to raw-buffer.
	(mime-play-entity): renamed from `mime-raw-play-entity'; don't
	expect called in raw-buffer.
	(mime-activate-mailcap-method): Don't expect called in raw-buffer.
	(mime-show-echo-buffer): Permit to run in preview-buffer.


1999-01-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.12.1 ([JR] Nonoichi) released.

	* mime-play.el (mime-detect-content): Use `mime-entity-content'
	not to refer to buffer directly.

1999-01-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Must require `emu'.

1999-01-04  OKUNISHI Fujikazu <fuji0924@mbox.kyoto-inet.or.jp>

	* mime-view.el (mime-view-insert-entity-button): Use URL if it
	exists in Content-Type field.

	* mime-play.el (mime-raw-browse-url-function): Default to
	`mime-browse-url-function' instead of `mime-browse-url'.

1998-12-24  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-view.el (mime-preview-move-to-next): Don't move forward at
	the end of buffer.

1998-12-03  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-edit.el (mime-edit-user-agent-value): Include
	`xemacs-betaname'.


1998-12-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.12.0 (Nishi-Kanazawa) released.

1998-11-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (eliminate-top-spaces): New function (moved from
	mime-def.el of FLIM).

1998-11-17  Kazuhiro Ohta     <ohta@ele.cst.nihon-u.ac.jp>

	* mime-partial.el
	(mime-combine-message/partial-pieces-automatically): Fix
	DOC-string.

	* mime-view.el (mime-view-buffer): Fix DOC-string.

1998-11-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Changes in SEMI 1.11): New section.

1998-11-18  Katsumi Yamaoka   <yamaoka@jpl.org>

	* semi-setup.el (mime-setup-decode-message-header): Use
	`mime-decode-header-in-buffer' instead of `eword-decode-header'.

	* mime-view.el (mime-preview-follow-current-entity): Likewise.

1998-11-18  Keiichi Suzuki    <kei-suzu@mail.wbs.ne.jp>

	* mime-edit.el (mime-content-transfer-encoding-priority-list): New
	variable.
	(mime-edit-translate-single-part-tag): Change return value to
	`nil' or a cons which include content-type and encoding.
	(mime-edit-translate-region): Generate `encodeing' from
	return value of `mime-edit-translate-single-part-tag'.


1998-11-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.11.0 (Kanazawa) released.

	* README.ja, README.en (Required environment): Modify for APEL
	9.11 and FLIM 1.12.0.

1998-11-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-edit.el (mime-edit-split-ignored-field-regexp): Add "^".

1998-11-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-bbdb.el (mime-bbdb/update-record): Use
	`mime-decode-field-body' instead of
	`eword-decode-structured-field-body'.

1998-10-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-decode-message-in-buffer): Delete fields
	match with `mime-edit-again-ignored-field-regexp' then call
	`mime-decode-header-in-buffer'.
	(mime-edit-again): Delete header filter.

1998-10-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-decode-multipart-in-buffer): Change
	interface.
	(mime-edit-decode-single-part-in-buffer): New function.
	(mime-edit-decode-message-in-buffer): Swap arguments; use function
	`mime-edit-decode-single-part-in-buffer'.
	(mime-edit-again): Modify for
	`mime-edit-decode-message-in-buffer'.

1998-10-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-decode-multipart-in-buffer): New
	function.
	(mime-edit-decode-message-in-buffer): Add new optional argument
	`default-content-type'; use function
	`mime-edit-decode-multipart-in-buffer'; add autoload cookie.
	(mime-edit-again): Add autoload cookie.

	* mime-edit.el (mime-edit-decode-message-in-buffer): Renamed from
	`mime-edit-decode-buffer'; change `not-decode-text' to optional
	argument.


1998-10-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.10.2 (Higashi-Kanazawa) released.

1998-10-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Abolish variable `mime-temp-directory'): New subsection.

1998-10-27  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-edit.el (mime-edit-decode-buffer): Limit search bound for
	"Content-Transfer-Encoding:".


1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.10.1 (Morimoto) released.

	* README.ja, README.en (Required environment): Modify for APEL 9.6
	and FLIM 1.11.2.

1998-10-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-pgp.el, mime-partial.el, mime-image.el,
	mime-edit.el: Use `temporary-file-directory' instead of
	`mime-temp-directory'.


1998-10-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.10.0 (Tsubata) released.

1998-10-22  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* README.ja: New file.

1998-10-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el, mime-view.el: Use `(featurep 'xemacs)' instead of
	`running-xemacs'.

1998-10-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el, SEMI-ELS: Move function `mime-display-text/plain',
	`mime-display-text/enriched' and `mime-display-text/richtext' from
	mime-text to mime-view.el; abolish mime-text.el.

	* mime-play.el: Don't Require `mime-text' when compiling.

	* mime-w3.el: Require `mime' instead of `mime-text'.

1998-10-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-setup.el (mime-setup-enable-inline-image): Use `(featurep
	'xemacs)' instead of `running-xemacs'.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (Required environment): Modify to require APEL 9.5 and
	FLIM 1.11.1.

	* mime-edit.el: - Don't require emu.
	                - Require invisible.

	* semi-def.el: Require poe instead of emu.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-decode-buffer): Convert encoding to
	lower case.

1998-10-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-ignored-field-list): Modify each element
	of initial value to include `:'.
	(mime-view-visible-field-list): Likewise.
	(mime-display-entity): Use `mime-insert-header' instead of
	`mime-insert-decoded-header'.

1998-10-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-decode-buffer): Call
	`mule-caesar-region' for text/x-rot13-47-48 entity.

1998-09-22  Shozo UEHARA      <uehara@eken.phys.nagoya-u.ac.jp>

	* mime-play.el (mime-raw-play-entity): Initialize `max-escore' by
	0. <cf. [tm-ja:3432]>

1998-10-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Changes in SEMI 1.10): New section.

	* NEWS (Changes in SEMI 1.9): New section.

	* NEWS (User-Agent field): New subsection.

1998-10-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-view-caesar): Use `mime-insert-text-content'
	instead of `mime-text-insert-decoded-body'.

	* mime-w3.el (mime-preview-text/html): Use
	`mime-insert-text-content' instead of
	`mime-text-insert-decoded-body'.

	* mime-text.el: Abolish function `mime-text-insert-decoded-body'.
	(mime-display-text/plain): Use `mime-insert-text-content' instead
	of `mime-text-insert-decoded-body'.
	(mime-display-text/richtext): Likewise.
	(mime-display-text/enriched): Likewise.


1998-10-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.9.1 (Kurikara) released.

1998-10-14  Jari Aalto        <jari.aalto@poboxes.com>

	* mime-edit.el (mime-file-types): Add some new mime types, and
	rearrange the types to logical sections: text; octext text and
	binary. <cf. [tm-en:1856]>

1998-10-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* README.en: Add explanation about `VERSION_SPECIFIC_LISPDIR'.

	* Makefile (install): Add new arg `VERSION_SPECIFIC_LISPDIR'.
	(install-elc): Likewise.

	* SEMI-MK (config-semi): Refer to `VERSION_SPECIFIC_LISPDIR'.

	* SEMI-CFG (VERSION_SPECIFIC_LISPDIR): New variable.

1998-10-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Abolish variable `SHELL' and `SHELLOPTION'.

1998-10-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* SEMI-CFG: Use `add-latest-path' for adding "custom" to
	load-path.

1998-10-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Don't use `when' before install is required; don't
	require cl.

1998-10-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* SEMI-CFG: Add "custom" to load-path.


1998-10-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.9.0 (Isurugi) released.

1998-10-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (Required environment): Modify for APEL 9.1 and FLIM
	1.10.1.

1998-10-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-version): Enclose with
	`eval-and-compile'.

	* mime-edit.el (mime-edit-version): Renamed from
	`mime-edit-version-string'; use `mime-user-interface-product',
	`mime-product-name', `mime-product-version' and
	`mime-product-code-name'.
	(mime-edit-user-agent-value): Use `mime-user-interface-product',
	`mime-library-product', `mime-product-name',
	`mime-product-version' and `mime-product-code-name'.
	(mime-edit-mime-version-value): Rename `mime-edit-version-string'
	-> `mime-edit-version'.
	(mime-edit-mime-version-field-for-message/partial): Likewise.

	* mime-play.el (mime-save-acting-situation-examples): Rename
	`mime-view-version-string' -> `mime-view-version'.

	* mime-view.el (mime-view-version): Renamed from
	`mime-view-version-string'; use `mime-user-interface-product',
	`mime-product-name', `mime-product-version' and
	`mime-product-code-name'.

	* semi-def.el (mime-user-interface-product): New constant; abolish
	`mime-user-interface-version'.

1998-10-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-echo-window-is-shared-with-bbdb): Check bbdb
	is install or not to define default value.
	(mime-show-echo-buffer): New implementation about
	`mime-echo-window-is-shared-with-bbdb'.

1998-10-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-charset-type-list): Use `cn-gb' instead of
	`cn-gb2312' because `cn-gb2312' is typo.

1998-09-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-file-types): Use function
	`mime-encoding-list' instead of variable
	`mime-file-encoding-method-alist' to define default value.
	(mime-edit-insert-voice): Use function `mime-encoding-alist'
	instead of variable `mime-file-encoding-method-alist' for
	completion.
	(mime-prompt-for-encoding): Likewise.

1998-09-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-user-agent-value): Add
	system-configuration for Emacs and XEmacs.

1998-09-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-normalize-body): Use "7bit" for nil
	encoding as an argument of `mime-encode-region'.


1998-09-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.8.6 (Fukuoka) released.

1998-09-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (Installation): Add description for `run in expanded
	place' and `install as a XEmacs package'.

	* README.en (Required environment): Require FLIM 1.9.2 or later.

1998-09-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-file-types): Abolish setting for
	text/richtext.
	(mime-edit-insert-text): Likewise.

	* mime-edit.el (mime-content-types): Modify comment style.

1998-09-13  Shin'ichiro Tanaka <tanaka@ifos.se.fujitsu.co.jp>

	* mime-edit.el (mime-content-types): Delete text/richtext and add
	text/css and text/xml (cf. [tm-ja:3387]).

1998-09-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-insert-user-agent-field): New variable
	(abolish `mime-edit-insert-x-emacs-field').
	(mime-edit-user-agent-value): New variable (abolish
	`mime-edit-x-emacs-value').
	(mime-edit-translate-body): Insert User-Agent field instead of
	`X-Emacs' field.
	(mime-edit-again-ignored-field-regexp): Add `User-Agent' instead
	of `X-Emacs' field conditionally.

1998-09-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-MK (config-semi-package): New function.
	(compile-semi-package): New function.
	(install-semi-package): New function.

	* SEMI-CFG (PACKAGEDIR): New variable.

	* Makefile: Abolish variable `SHELL', `MAKE', `CC' and `CFLAGS'.
	(XEMACS): New variable.
	(FLAGS): Add `-l SEMI-MK'.
	(PACKAGEDIR): New variable.
	(elc): Delete `-l SEMI-MK'.
	(install-elc): Delete `-l SEMI-MK'.  Abolish target `all', `tex',
	`dvi' and `ps'.
	(package): New target.
	(install-package): New target.
	(clean): Delete historical setting.


1998-08-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.8.5 (Nishi-Takaoka) released.

	* README.en (Required environment): Modify APEL and FLIM version.

	* mime-ui-en.sgml (Introduction): Translate.

1998-08-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-type-subtype-score-alist): Fix
	mismatched.

1998-08-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el (mime-text-insert-decoded-body): Specify line break
	code type as CRLF.

1998-08-10  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mime-edit.el (mime-edit-normalize-body): Failed to canonicalize
	empty lines.

1998-08-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-w3.el (mime-preview-text/html): Insert dummy "\n" into end
	of entity to avoid keymap text-property problem.

1998-07-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Don't use "file" command to detect content of entity): New
	section.

	* mime-play.el (mime-magic-type-alist): New variable; abolish
	`mime-file-content-type-alist'.
	(mime-detect-content): New implementation (don't use "file"
	command).


1998-07-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.8.4 (Takaoka) released.

1998-07-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ui-en.sgml, mime-ui-ja.sgml (message/partial sending): New
	section.

	* mime-edit.el (mime-edit-split-blind-field-regexp): Add
	DOC-string; change to user option.


1998-07-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* REMI: Version 1.8.4 (Takaoka) released.

1998-07-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: Reduce `mime-acting-situation-example-list' while
	it is bigger than `mime-acting-situation-example-list-max-size'.

1998-07-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-preview-message): Use `mime-view-buffer'
	instead of `mime-view-mode'.


1998-07-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* REMI: Version 1.8.3 (Ecch-Dþ-Nakagawa)-A released.

	* mime-play.el (mime-delq-null-situation): Add new optional
	argument `ignored-value'.
	(mime-raw-play-entity): Add new optional argument
	`ignored-method'; add `ignore-examples' to acting-situation.
	(mime-detect-content): Specify `ignore-examples' of
	acting-situation as `ignore-examples' of `mime-raw-play-entity';
	specify `mime-detect-content' as `ignored-method' of
	`mime-raw-play-entity'.

1998-07-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-extract-current-entity): Change
	interface to add `ignore-examples'.
	(mime-preview-print-current-entity): Likewise.

	* mime-play.el (mime-acting-situation-example-list-max-size): New
	variable.
	(mime-reduce-acting-situation-examples): New function.
	(mime-preview-play-current-entity): Change interface to add
	`ignore-examples'.
	(mime-raw-play-entity): Add new optional argument
	`ignore-examples'.  Reduce `mime-acting-situation-example-list'
	when loading example file.


1998-07-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* REMI: Version 1.8.2 (N-Dòmachi)-A released.

1998-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-acting-situation-example-list): New variable;
	abolish `mime-acting-situation-examples'.
	(mime-save-acting-situation-examples): Modify for
	`mime-acting-situation-example-list'.
	(mime-compare-situation-with-example): New function.
	(mime-raw-play-entity): Change algorithm to compare with
	acting-situation-examples.
	(mime-store-message/partial-piece): Use `mime-view-buffer' instead
	of `mime-view-mode'.

1998-07-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-preview-play-current-entity): Fix problem
	when `mode' is omitted with non-interactive mode (maybe for button
	dispatcher).


1998-07-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* REMI: Version 1.8.1 (Fushiki) released.

1998-07-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ui-en.texi, mime-ui-en.sgml: New files.

	* mime-ui-ja.sgml: Modify node names about MIME-Edit.
	(file-type specification): Fix typo.

1998-07-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-file-content-type-alist): Add "Standard
	MIDI".

	* mime-play.el (mime-detect-content): Fixed.

1998-07-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-activate-mailcap-method): Check filename is
	null string.

1998-07-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ui-ja.sgml, mime-ui-ja.texi: New files; delete
	mime-view-ja.sgml and mime-view-ja.texi.


1998-07-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.8.2 (Kosugi) released.

	* README.en (Required environment): Modify for FLIM 1.8.0.

	* mime-view.el (mime-display-entity): Modify for
	`mime-insert-decoded-header'.

1998-06-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-activate-mailcap-method): Use
	`mime-write-entity-content'.


1998-06-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.8.1 (Kureha) released.

1998-06-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-save-content): Use
	`mime-write-entity-content'.

1998-06-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el:
	  - Abolish local variable `mime-raw-representation-type'.
	  - Abolish function `mime-entity-representation-type'.

	* mime-pgp.el (mime-view-application/pgp): Use
	`mime-entity-cooked-p'.

	* mime-play.el (mime-view-message/rfc822): Use
	`mime-entity-cooked-p'.

1998-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: Abolish function `mime-raw-write-region'.

	* mime-play.el (mime-store-message/partial-piece): Use
	`mime-write-entity-body'.

	* mime-pgp.el (mime-verify-application/pgp-signature): Use
	`mime-write-entity'.

1998-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-view-application/pgp): Specify
	representation-type by argument of `mime-view-buffer'.

1998-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-view-message/rfc822): New implementation.

	* mime-view.el (mime-display-message): Try use window of mother
	buffer to display mime-preview-buffer.

1998-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Abolish `mime-entity-cooked-p'; use
	`mime-entity-cooked-p' of FLIM.
	(mime-view-buffer): New optional argument `representation-type';
	use `mime-open-entity'.
	(mime-view-mode): New implementation.


1998-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* REMI: Version 1.8.0 (Ecch-Dþ-Kokubu)-A released.

1998-06-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (Required environment): Modify for FLIM 1.7.0.

	* mime-view.el (mime-view-mode): New implementation.

1998-06-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el (mime-display-text/plain): Must rename
	`mime-browse-add-url-button' to `mime-add-url-buttons'.

1998-06-25  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* semi-def.el: Don't require 'browse-url.
	Abolish `mime-browse-add-url-buttons-maybe' and `mime-browse-url'.
	(mime-browse-url-function): New variable.
	(mime-add-url-buttons): Renamed from `mime-browse-add-url-button'.
	Use `mime-browse-url-function'.

1998-06-24  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mime-view.el: (mime-preview-condition): Renamed method for
	"anon-ftp" access-type to `mime-view-message/external-anon-ftp'
	and added new method `mime-view-message/external-url' for "url"
	access-type.

1998-06-24  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mime-play.el (mime-preview-play-current-entity): Use
	optional arg of `interactive'.
	(mime-view-message/external-anon-ftp): Renamed from
	`mime-view-message/external-ftp'.
	(mime-raw-browse-url-function): New variable.
	(mime-view-message/external-url): New function.

1998-06-24  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* semi-def.el (mime-browse-url-regexp): Renamed from
	`mime-text-url-regexp'.
	(mime-browse-url): Renamed from `mime-text-browse-url'.
	(mime-browse-add-url-buttons): Renamed from
	`mime-text-add-url-buttons'.
	(mime-browse-add-url-buttons-maybe): Renamed from
	`mime-text-add-url-buttons-maybe'.

	* mime-text.el: Moved URL stuff to semi-def.el.


1998-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.8.0 (Toyama) released.

	* SEMI-CFG: Modify for FLIM 1.6.0.

	* README.en (Required environment): Modify for FLIM 1.6.0.

1998-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el:
	  - Abolish function `mime-raw-find-entity-from-node-id',
	    `mime-raw-find-entity-from-number'.
	  - Move function `mime-entity-parent' to mime.el of FLIM.
	  - Abolish variable `mime-view-uuencode-encoding-name-list'.
	  - Move function `mime-entity-uu-filename' and
	    `mime-entity-filename' to mime.el of FLIM.
	(mime-preview-follow-current-entity): Use function
	`mime-find-entity-from-node-id' instead of
	`mime-raw-find-entity-from-node-id'.
	(mime-preview-move-to-upper): Don't use
	`mime-raw-find-entity-from-node-id'.

	* mime-pgp.el (mime-verify-application/pgp-signature): Don't use
	`mime-raw-find-entity-from-node-id'.
	(mime-decrypt-application/pgp-encrypted): Likewise.

	* mime-view.el, mime-play.el (mime-entity-safe-filename): Use
	`mime-read-field' instead of `mime-entity-read-field'.

	* mime-partial.el
	(mime-combine-message/partial-pieces-automatically): Use
	`mime-read-field' instead of `mime-entity-read-field'.

	* mime-bbdb.el (mime-bbdb/update-record): Use `mime-fetch-field'
	and `mime-read-field' instead of `mime-entity-fetch-field' and
	`mime-entity-read-field'.

1998-06-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-display-message): Use window of
	preview-buffer or preview-buffer to display preview-buffer.
	(mime-view-buffer): fixed.
	(mime-view-mode): fixed.

	* MIME-View-API-ja.ol: Delete MIME-View-API-ja.ol.

1998-06-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Changes in SEMI 1.8): New chapter.

1998-06-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Abolish external x-face viewer.

1998-06-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-def.el: Abolish function `tm:set-fields', `tm:add-fields'
	and `tm:delete-fields'.

	* mime-partial.el: Abolish variable
	`mime-view-partial-message-method-alist' and function
	`mime-view-partial-message'.
	(mime-combine-message/partial-pieces-automatically): Use
	`request-partial-message-method' in acting-situation.

1998-06-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-display-message): Delete unnecessary
	`mime-parse-buffer'.


1998-06-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.7.1 (Higashi-Toyama) released.

	* README.en (Required environment): Delete description about
	`enable-multibyte-characters'; modify for FLIM 1.5.0.

1998-06-22  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mime-edit.el (mime-content-types): Add "url" access-type and
	"subject" parameter of "mail-server" access-type to
	message/external-body media-type.
	(mime-edit-define-menu-for-xemacs): Doc-string fix.

1998-06-22  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* SEMI-CFG: Support run-in-place installation of BBDB and
	Emacs/W3.

1998-06-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Don't require `std11'.

	* mime-view.el: Require `mime' instead of `mime-lib'.
	(mime-entity-filename): Don't use `std11-strip-quoted-string'.

	* mime-edit.el: Don't require `eword-encode'.

1998-06-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-partial.el
	(mime-combine-message/partial-pieces-automatically): Fixed.

	* mime-pgp.el (mime-view-application/pgp): Use function
	`mime-entity-representation-type'.

	* mime-play.el (mime-view-message/rfc822): Use function
	`mime-entity-representation-type'.
	(mime-store-message/partial-piece): `mime-entity-body-start' and
	`mime-entity-body-end'.

	* mime-text.el (mime-text-insert-decoded-body): Use function
	`mime-entity-cooked-p'.

	* mime-view.el (mime-entity-representation-type): New function.
	(mime-entity-cooked-p): New function.
	(mime-display-entity): Use function `mime-entity-cooked-p'.

1998-06-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el (mime-text-insert-decoded-body): Use
	`mime-entity-content'.

	* mime-image.el (mime-display-image): Use `mime-entity-content'.

1998-06-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-entity-safe-filename): New implementation.

1998-06-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el (mime-text-insert-decoded-body): Delete unnecessary
	`save-restriction'.

1998-06-20  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* semi-def.el: Require 'custom.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Don't require `mime-parse'.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: - Modify for FLIM 1.5.0.
		    - Don't signal error if tm is found in load-path.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-save-content): Use `mime-entity-body-start'
	and `mime-entity-body-end'.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-view-application/pgp): fixed.
	(mime-verify-application/pgp-signature): Use
	`mime-message-structure' instead of `mime-raw-message-info'.
	(mime-decrypt-application/pgp-encrypted): Use
	`mime-message-structure' instead of `mime-raw-message-info'.

	* mime-view.el (mime-display-message): Use `mime-parse-buffer';
	abolish variable `mime-raw-message-info'; use
	`mime-message-structure' instead of `mime-raw-message-info'.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-bbdb.el (mime-bbdb/update-record): Use
	`mime-entity-fetch-field' and `mime-entity-read-field'.

1998-06-19  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* SEMI-CFG: Require 'cl first.


1998-06-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.7.0 (Mizuhashi) released.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el, mime-view.el, semi-def.el: Rename
	`mime-module-version' to `mime-user-interface-version'.

	* mime-parse.el, SEMI-ELS: Move mime-parse.el to FLIM layer.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-setup.el (call-after-loaded): Moved from semi-def.el.

	* semi-def.el: Move `call-after-loaded' to semi-setup.el.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-insert-entity-button): Change interface.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-entity-filename): Moved from mime-play.el.
	(mime-view-entity-title): Use `mime-entity-filename'.

	* mime-play.el: Move `mime-entity-filename' to mime-view.el.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-entity-filename): New function; abolish
	`mime-raw-get-original-filename'.
	(mime-entity-safe-filename): New function; abolish
	`mime-raw-get-filename'.
	(mime-activate-mailcap-method): Use `mime-entity-safe-filename'.
	(mime-save-content): Use `mime-entity-safe-filename'.
	(mime-detect-content): Use `mime-entity-safe-filename'.

	* mime-view.el (mime-entity-uu-filename): New function; abolish
	`mime-raw-get-uu-filename'.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-entity-title): Renamed from
	`mime-raw-get-subject'; use `mime-entity-read-field'.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Changes in SEMI 1.7): New chapter.
	(Changes in SEMI 1.6): Add description of entity-detection.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Rename `mime-view-following-method-alist' to
	`mime-preview-following-method-alist'.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-setup.el, mime-pgp.el: Rename
	`mime-method-to-add-application/pgp-keys' to
	`mime-add-application/pgp-keys'.

	* semi-setup.el, mime-pgp.el: Rename
	`mime-method-to-decrypt-application/pgp-encrypted' to
	`mime-decrypt-application/pgp-encrypted'.

	* semi-setup.el, mime-pgp.el: Rename
	`mime-method-to-verify-application/pgp-signature' to
	`mime-verify-application/pgp-signature'.

	* semi-setup.el, mime-pgp.el: Rename
	`mime-method-to-verify-multipart/signed' to
	`mime-verify-multipart/signed'.

	* semi-setup.el, mime-pgp.el: Rename
	`mime-method-for-application/pgp' to `mime-view-application/pgp'.

	* SEMI-naming.ol: New file.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-partial.el: Rename
	`mime-method-to-combine-message/partial-pieces' to
	`mime-combine-message/partial-pieces-automatically'.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-view.el: Rename
	`mime-method-to-display-caesar' to `mime-view-caesar'.

	* mime-play.el, mime-view.el: Rename
	`mime-method-to-display-message/external-ftp' to
	`mime-view-message/external-ftp'.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el, mime-partial.el, mime-play.el: Rename
	`mime-method-to-store-message/partial' to
	`mime-store-message/partial-piece'.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-view.el: Rename
	`mime-method-to-display-message/rfc822' to
	`mime-view-message/rfc822'.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-view.el: Rename `mime-method-to-detect' to
	`mime-detect-content'.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-display-entity): Abolish body-filter support.

	* mime-play.el, mime-view.el: Rename `mime-method-to-save' to
	`mime-save-content'.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-activate-mailcap-method): Fixed.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el (mime-display-image): New function; abolish
	function `mime-preview-filter-for-image'.

	* mime-image.el: Rename `mime-view-content-header-filter-hook' to
	`mime-display-header-hook'.

	* mime-view.el (mime-display-entity): Run
	`mime-display-header-hook'.

	* mime-text.el, mime-view.el: Rename `mime-preview-text/enriched'
	to `mime-display-text/enriched'.

	* mime-text.el, mime-view.el: Rename `mime-preview-text/richtext'
	to `mime-display-text/richtext'.

	* mime-text.el, mime-view.el: Rename `mime-preview-text/plain' to
	`mime-display-text/plain'.

	* mime-view.el (mime-display-multipart/mixed): Renamed from
	`mime-preview-multipart/mixed'.

	* mime-view.el (mime-display-multipart/alternative): Renamed from
	`mime-preview-multipart/alternative'.

	* mime-view.el (mime-display-message/partial-button): Renamed from
	`mime-preview-message/partial-button'.

	* mime-view.el (mime-display-entity): Renamed from
	`mime-view-display-entity'; change interface.
	(mime-display-message): Renamed from `mime-view-display-message'.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (Required environment): Modify for FLIM 1.4.0.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Move function `mime-entity-number' to FLIM layer.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-header-presentation-method-alist): New
	variable; abolish variable
	`mime-view-content-header-filter-alist'; abolish function
	`mime-view-cut-header'; abolish variable
	`mime-view-ignored-field-regexp'.
	(mime-view-display-entity): Use
	`mime-header-presentation-method-alist'.

	* mime-parse.el: Move definition of structure `mime-entity' to
	FLIM layer.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Change order of `mime-entity'.


1998-06-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.6.0 (Namerikawa) released.

1998-06-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view-ja.texi, mime-view-ja.sgml: New files.

	* mime-view.el (mime-view-mode): Fix DOC-string.

1998-06-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-file-content-type-alist): Renamed from
	`mime-file-type-regexp-type-subtype-alist'.

1998-06-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS: Add description about
	`mime-preview-over-to-{previous|next}-method-alist'.

	* mime-view.el (mime-preview-over-to-previous-method-alist):
	Add DOC-string.
	(mime-preview-over-to-next-method-alist): Add DOC-string.

	* mime-view.el (mime-preview-over-to-previous-method-alist):
	Renamed from `mime-view-over-to-previous-method-alist'.
	(mime-preview-over-to-next-method-alist): Renamed from
	`mime-view-over-to-next-method-alist'.

1998-06-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-w3.el (mime-save-background-color): Fixed.

	* mime-view.el (mime-acting-condition): Set up
	`mime-method-to-detect' for application/octet-stream in "play"
	mode.

	* mime-play.el (mime-file-type-regexp-type-subtype-alist): New
	variable.
	(mime-method-to-detect): New function.

1998-06-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-sort-situation): Modify for
	Content-Disposition information.

1998-06-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Abolish variable `mime-view-show-summary-method'
	and function `mime-preview-show-summary'.

1998-06-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-entity-situation): Add information of
	Content-Disposition.

1998-06-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* MIME-View-API-ja.ol (mime-preview-buffer): Add description about
	`mime-preview-original-major-mode'.

	* mime-view.el (mime-preview-original-major-mode): Modify
	DOC-string.

	* NEWS: Add description about abolishment of tm-compatible
	external method support.

	* mime-play.el (mime-raw-play-entity): Abolish tm-compatible
	external method support; abolish function
	`mime-activate-external-method' and
	`mime-make-external-method-args'.

1998-06-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-activate-mailcap-method): Use
	`mime-entity-body-start'.

	* mime-play.el (mime-activate-external-method): Change interface.

	* mime-play.el (mime-activate-mailcap-method): Change interface.

1998-06-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* MIME-View-API-ja.ol (mime-preview-buffer): Delete description
	about text-property `mime-view-raw-buffer'.

	* mime-play.el (mime-preview-play-current-entity): Don't refer
	text-property `mime-view-raw-buffer'.

	* mime-view.el (mime-view-display-entity): Don't set up
	text-property `mime-view-raw-buffer'.

1998-06-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* MIME-View-API-ja.ol: Abolish description about
	`mime-preview-original-major-mode'.

	* NEWS (Changes in SEMI 1.6): New chapter.

	* TODO (multipart/related support): New item.

1998-06-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS: Add description about mime-w3.el.

1998-06-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-w3.el (mime-save-background-color): New macro.
	(mime-preview-text/html): Use `mime-save-background-color'.

1998-06-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: Abolish variable `mime-edit-signing-type' and
	`mime-edit-encrypting-type'.
	(mime-edit-process-multipart-1): Separate "signed" to "pgp-signed"
	and "kazu-signed"; separate "encrypted" to "pgp-encrypted" and
	"kazu-encrypted".
	(mime-edit-enclose-signed-region): Renamed from
	`mime-edit-enclose-pgp-signed-region'.
	(mime-edit-enclose-pgp-encrypted-region): Renamed from
	`mime-edit-enclose-encrypted-region'.
	(mime-edit-enclose-kazu-signed-region): New function.
	(mime-edit-enclose-kazu-encrypted-region): New function.
	(mime-edit-set-sign): Don't refer `mime-edit-signing-type'.
	(mime-edit-set-encrypt): Don't refer `mime-edit-encrypting-type'.

1998-06-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-sign-pgp-kazu): Abolish unused local
	variable.
	(mime-edit-encrypt-pgp-kazu): Abolish unused local variables.

1998-06-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-method-for-application/pgp): Change interface.
	(mime-method-to-verify-multipart/signed): Change interface.
	(mime-method-to-verify-application/pgp-signature): Change
	interface.
	(mime-method-to-decrypt-application/pgp-encrypted): Change
	interface.
	(mime-method-to-add-application/pgp-keys): Change interface.

	* mime-partial.el (mime-method-to-combine-message/partial-pieces):
	Change interface.

	* mime-play.el (mime-raw-play-entity): Change interface of
	internal-method.
	(mime-method-to-save): Change interface.
	(mime-method-to-display-message/rfc822): Change interface.
	(mime-method-to-store-message/partial): Change interface.
	(mime-method-to-display-message/external-ftp): Change interface.
	(mime-method-to-display-caesar): Change interface.

1998-06-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-normalize-body): Use
	`mime-charset-type-list' directly; abolish local variable
	`mime-edit-charset-default-encoding-alist' and function
	`mime-make-charset-default-encoding-alist'.
	(mime-edit-toggle-transfer-level): Don't set up
	`mime-edit-charset-default-encoding-alist'.

1998-06-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-message): Set up
	`mime-raw-message-info'.
	(mime-view-buffer): New function.
	(mime-view-mode): Don't set up `mime-raw-message-info'.

1998-06-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-charset-type-list): Use base64 for cn-gb2312
	and gb2312.
	(mime-edit-normalize-body): If encoding is not specified for
	charset, use quoted-printable or 8bit for mime-transfer-level is 7
	or 8.

	* mime-edit.el (mime-charset-type-list): Add `shift_jis'.

1998-06-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-message): Use
	`mime-maybe-hide-echo-buffer'.
	(mime-view-mode): Don't use `mime-maybe-hide-echo-buffer'.

	* mime-view.el (mime-view-display-message): Move point to top of
	body; run `mime-view-mode-hook'.
	(mime-view-mode): Don't move point; don't run
	`mime-view-mode-hook'.

	* mime-view.el (mime-view-display-message): Add new optional
	argument `default-keymap-or-function'.
	(mime-view-mode): Modify for `mime-view-display-message'.

	* mime-view.el (mime-view-display-message): Add new optional
	argument `mother'; set to `mime-mother-buffer'.
	(mime-view-mode): Modify for `mime-view-display-message'.

1998-06-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-mc.el: Use `eval-and-compile' to load "mc-pgp".

	* mime-view.el (mime-preview-multipart/mixed): Modify for
	`mime-view-display-entity'; don't refer `mime-raw-buffer'.
	(mime-preview-multipart/alternative): Modify for
	`mime-view-display-entity'; don't refer `mime-raw-buffer'.
	(mime-view-display-entity): Change interface to abolish argument
	for raw-buffer; don't refer `mime-raw-buffer'.
	(mime-view-display-message): Abolish variable
	`mime-preview-original-major-mode'; modify for
	`mime-view-display-entity'.
	(mime-preview-original-major-mode): New implementation; add
	optional argument `recursive'.
	(mime-preview-follow-current-entity): Modify for
	`mime-preview-original-major-mode'.
	(mime-preview-move-to-next): Use function
	`mime-preview-original-major-mode'.
	(mime-preview-scroll-up-entity): Use function
	`mime-preview-original-major-mode'.
	(mime-preview-scroll-down-entity): Use function
	`mime-preview-original-major-mode'.
	(mime-preview-quit): Use function
	`mime-preview-original-major-mode'.
	(mime-preview-show-summary): Use function
	`mime-preview-original-major-mode'.

	* mime-view.el (mime-view-display-message): New function; abolish
	function `mime-view-setup-buffers'.
	(mime-view-mode): Use `mime-view-display-message'.

1998-06-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-play-entity): Use
	`mime-entity-situation'.

	* mime-view.el (mime-entity-situation): New function.
	(mime-preview-multipart/alternative): Use `mime-entity-situation'.
	(mime-view-display-entity): Use `mime-entity-situation'.

1998-06-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-enclose-region-internal): Abolish unused
	local variable.

1998-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* MIME-View-API-ja.ol (entity): Add description of
 	`mime-entity-number'.

	* mime-play.el (mime-method-to-display-caesar): Use
 	`mime-entity-number'.

	* mime-parse.el (mime-entity-number): New function.

1998-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* MIME-View-API-ja.ol (entity-button): Modify description of
	`mime-view-insert-entity-button'.

	* mime-view.el (mime-view-insert-entity-button): Change interface.
	(mime-view-display-entity): Modify for
	`mime-view-insert-entity-button'.

1998-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* MIME-View-API-ja.ol (entity-button): Modify description of
	`mime-view-entity-button-visible-p'.

	* mime-view.el (mime-view-entity-button-visible-p): Change
	interface.
	(mime-view-display-entity): Modify for
	`mime-view-entity-button-visible-p'.

1998-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* MIME-View-API-ja.ol: Add description of `mime-entity-parent' and
	abolish description `mime-raw-entity-parent'.

	* mime-view.el (mime-entity-parent): New function; abolish
	`mime-raw-entity-parent'.
	(mime-view-entity-button-visible-p): Use `mime-entity-parent'
	instead of `mime-raw-entity-parent'.


1998-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.5.4 (Higashi-Namerikawa) released.

	* mime-edit.el (mime-edit-normalize-body): Abolish unused local
	variable.

1998-06-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-translate-single-part-tag): Add new
	argument `boundary'.
	(mime-edit-translate-region): Modify for
	`mime-edit-translate-single-part-tag'.

1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-w3.el (mime-put-keymap-region): New macro.
	(mime-preview-text/html): Use macro `mime-put-keymap-region'.

1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-ELS (semi-modules-to-compile): Add 'mime-w3 if w3 is found.

	* semi-setup.el (mime-setup-enable-inline-html): New variable; add
	setting for mime-w3.el conditionally.

	* mime-w3.el: New module.

1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-multipart/alternative): Fix typo.

1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-x-emacs-value): Check
 	`enable-multibyte-characters' is bound or not.


1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.5.3 (Uozu) released.

	* NEWS (`pgp-elkins' -> `pgp-mime'): New section.

	* mime-edit.el: Rename `pgp-elkins' -> `pgp-mime'.

1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-sign-pgp-elkins): Abolish unused local
	variable.
	(mime-edit-encrypt-pgp-elkins): Abolish unused local variable.

1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-parse-multipart): fixed.


1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.5.2 (Kurobe) released.

	* mime-play.el (mime-delq-null-situation): New function.
  	(mime-raw-play-entity): Use `mime-delq-null-situation'.

1998-06-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* TODO (Better implementation for multipart/alternative): done.

	* NEWS (type-subtype-score): New section.

1998-06-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-raw-message-info): Modify DOC-string.

	* MIME-View-API-ja.ol: Modify for SEMI 1.5.

1998-06-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-touched-flag): Define by `defvar'.
	(mime-edit-mode): Don't check `mime-edit-touched-flag' is bound or
	not.

	* mime-edit.el (mime-edit-find-inmost): Abolish unused local
	variables.

1998-06-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el (mime-text-insert-decoded-body): Don't refer
	`mime-raw-buffer'.

	* mime-parse.el: Change format of `mime-entity' to add `buffer'.

1998-06-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: When it is compiled, require 'bbdb or define
	`bbdb-buffer-name' to avoid compiler warning.

	(mime-method-to-display-caesar): Abolish unused local variable.

	Use `eval-buffer' to eval contents of
	`mime-acting-situation-examples-file'.

1998-06-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el: Move definition of variable
	`mime-raw-representation-type' to mime-view.el.

	* mime-view.el: Move definition of variable
	`mime-raw-representation-type' from mime-text.el.
	(mime-raw-message-info): Modify DOC-string.

	* MIME-View-API-ja.ol: New file.


1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.5.1 (Ikuji) released.

	* mime-view.el (mime-raw-message-info): Fix typo.
	(mime-view-type-subtype-score-alist): New variable.
	(mime-preview-multipart/alternative): New function; set up for
	`mime-preview-condition'.
	(mime-view-display-entity): Add optional argument `situation'.

1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-entity): Call
	body-presentation-method to display multipart if it is function.

	* NEWS: Add news about SEMI 1.5.

1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-multipart/mixed): New function.
	(mime-view-display-entity): Use `mime-preview-multipart/mixed'.

1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-entity): Display entity-button
	in body if button is invisible and body-presentation-method is not
	found.


1998-06-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.5.0 (Nishi-Ny-Dþzen)-A released.

	* README.en (Required environment): Modify for FLIM 1.3.0.

1998-06-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-write-region): New implementation; refer
	`mime-raw-representation-type' or
	`mime-raw-representation-type-alist' instead of
	`mime-raw-buffer-coding-system-alist'.

	* mime-view.el: Abolish variable
	`mime-raw-buffer-coding-system-alist'.

1998-06-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-method-for-application/pgp): Use
	`mime-raw-representation-type-alist' instead of
	`mime-text-decoder-alist'; set up to
	`mime-raw-representation-type' instead of `mime-text-decoder'.

	* mime-play.el (mime-method-to-display-message/rfc822): Use
	`mime-raw-representation-type-alist' instead of
	`mime-text-decoder-alist'; set up to
	`mime-raw-representation-type' instead of `mime-text-decoder'.
	(mime-method-to-display-caesar): Use
	`mime-text-insert-decoded-body'.

	* mime-text.el (mime-raw-representation-type): New variable;
	abolish `mime-text-decoder'.
	(mime-text-insert-decoded-body): Change interface; refer
	`mime-raw-representation-type' or
	`mime-raw-representation-type-alist' instead of
	`mime-text-decoder' or `mime-text-decoder-alist'; abolish function
	`mime-text-decode-buffer' and `mime-text-decode-buffer-maybe'.
	(mime-preview-text/plain): Modify for new interface of
	`mime-text-insert-decoded-body'.
	(mime-preview-text/richtext): Modify for new interface of
	`mime-text-insert-decoded-body'.
	(mime-preview-text/enriched): Modify for new interface of
	`mime-text-insert-decoded-body'.

	* mime-view.el (mime-raw-representation-type-alist): New variable;
	abolish `mime-text-decoder-alist'.

1998-05-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-parse-multipart): fixed.


1998-06-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.4.6 (Ny-Dþzen)-A released.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el (mime-text-insert-decoded-body): New function;
	abolish 'mime-text-decode-body.
	(mime-preview-text/plain): Use 'mime-text-insert-decoded-body.
	(mime-preview-text/richtext): Use 'mime-text-insert-decoded-body.
	(mime-preview-text/enriched): Use 'mime-text-insert-decoded-body.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-condition): Set up for
	'mime-preview-text/enriched instead of
	'mime-preview-filter-for-text/enriched.

	* mime-text.el (mime-preview-text/enriched): New function; abolish
	'mime-preview-filter-for-text/enriched.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-condition): Set up for
	'mime-preview-text/richtext instead of
	'mime-preview-filter-for-text/richtext.

	* mime-text.el (mime-preview-text/richtext): New function; abolish
	'mime-preview-filter-for-text/richtext.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Rename 'mime-view-insert-message/partial-button to
	'mime-preview-message/partial-button.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-condition): Set up for
	'mime-preview-text/plain instead of
	'mime-preview-filter-for-text/plain.
	(mime-view-insert-message/partial-button): Change interface for
	new spec of body-presentation-method.
	(mime-view-display-entity): Change interface of
	body-presentation-method.

	* mime-text.el (mime-preview-text/plain): New function; abolish
	'mime-preview-filter-for-text/plain.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (make-mime-entity): Change format.
	(mime-entity-header-start): New function.
	(mime-entity-header-end): New function.
	(mime-entity-body-start): New function.
	(mime-entity-body-end): New function.
	(mime-entity-content-type): Modify for new format.
	(mime-entity-content-disposition): Modify for new format.
	(mime-entity-encoding): Modify for new format.
	(mime-entity-children): Modify for new format.
	(mime-entity-point-min): Change to alias of
	'mime-entity-header-start.
	(mime-entity-point-max): Change to alias of 'mime-entity-body-end.
	(mime-parse-multipart): Modify for 'make-mime-entity.
	(mime-parse-message): Modify for 'make-mime-entity.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-parse-multipart): Change interface; abolish
	local variable 'beg and 'end.
	(mime-parse-message): Modify for 'mime-parse-multipart.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-parse-multipart): Use
	'mime-content-type-parameter.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-parse-Content-Transfer-Encoding): New
	function.
	(mime-read-Content-Transfer-Encoding): Use function
	'mime-parse-Content-Transfer-Encoding.
	(mime-parse-message): Use 'mime-parse-* instead of 'mime-read-*.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Move 'regexp-* and 'regexp-or to mime-def.el of
	FLIM (Chao); move 'std11-quoted-pair-regexp, 'std11-qtext-regexp
	and 'std11-quoted-string-regexp to mime-def.el of FLIM (Chao).

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Rename 'rfc822/quoted-string-regexp ->
	'std11-quoted-string-regexp.

	* mime-parse.el: Rename 'rfc822/qtext-regexp ->
	'std11-qtext-regexp.

	* mime-parse.el: Rename 'rfc822/quoted-pair-regexp ->
	'std11-quoted-pair-regexp.

1998-05-29  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-view.el (mime-preview-scroll-down-entity): Use (not (bobp))
	instead of (> (point) 1).

1998-05-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-play.el (mime-preview-play-current-entity): Don't widen.

1998-05-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-play.el (mime-raw-play-entity): Abolish point correcting
	procedures for VM.

	* mime-play.el (mime-preview-play-current-entity): Do widen befor
	playing the entity.


1998-05-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.4.5 (Tomari) released.

	* README.en (Mailing lists): Add notice about direct-mail for
	authors.

1998-05-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-dired-function): Don't refer
	'mime/use-multi-frame.

	* semi-def.el: Abolish variable 'mime/use-multi-frame.

	* semi-def.el (mime-insert-button): Merge arguments of two
	'insert.

	* semi-def.el: Abolish function 'get-version-string because it is
	not used.

	* TODO (Don't use filter-model): New item.

	* TODO (Fix problem of dynamic configuration for
	'mime-acting-condition): Done.

	* TODO (Mother entity should modify preview-situation of
	children): Done.

1998-05-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-setup-buffers): Use
	'mime-view-display-entity; abolish 'mime-view-display-message.
	(mime-view-display-entity): fixed.

1998-05-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-message): fixed.

1998-05-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-raw-get-subject): Use
	'mime-content-disposition-filename.

	* mime-parse.el (mime-content-type-parameter): New function.

	* mime-parse.el (mime-content-disposition-parameter): New
	function.
	(mime-content-disposition-filename): New function.

1998-05-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-get-original-filename): Abolish optional
	argument 'encoding; modify for 'mime-raw-get-uu-filename.

	* mime-view.el (mime-raw-get-uu-filename): Change interface; don't
	check encoding.
	(mime-raw-get-subject): Change interface; new implementation.

1998-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-entity): fixed.

	* mime-parse.el (mime-parse-multipart): Change interface.

1998-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (make-mime-entity): Add 'content-disposition.
	(mime-entity-content-disposition): New function.
	(mime-parse-multipart): Modify for 'make-mime-entity.
	(mime-parse-message): Modify for 'make-mime-entity.

1998-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-play-entity): Don't use
	'mime-entity-media-type, 'mime-entity-media-subtype and
	'mime-entity-parameters.

1998-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-entity): Don't use
	'mime-entity-media-type, 'mime-entity-media-subtype and
	'mime-entity-parameters.

1998-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-message): Don't use
	'mime-entity-media-type, 'mime-entity-media-subtype and
	'mime-entity-parameters.

1998-05-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-setup.el: Avoid warning message of byte-compiler.


1998-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.4.4 (Ecch-Dþ-Miyazaki)-A released.

	* mime-play.el (mime-mailcap-method-filename-alist): New variable.
	(mime-mailcap-method-sentinel): New function.
	(mime-activate-mailcap-method): Use 'mime-mailcap-method-sentinel;
	don't use 'mime-show-echo-buffer.

1998-05-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-activate-mailcap-method): Regard
	'mime-temp-directory.

1998-05-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (make-mime-entity): Change interface and
	data-format.
	(mime-entity-content-type): New access function.
	(mime-entity-media-type): New implementation.
	(mime-entity-subtype): New implementation.
	(mime-entity-parameters): New implementation.
	(mime-parse-multipart): Change interface; modify for
	'make-mime-entity.
	(mime-parse-message): Modify for 'make-mime-entity.


1998-05-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.4.3 (Ichiburi) released.

1998-05-12  Kazuhiro Ohta     <ohta@ele.cst.nihon-u.ac.jp>

	* mime-partial.el: start and end of the region fixed.

1998-05-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (make-mime-content-type): New function.
	(mime-parse-Content-Type): Use 'make-mime-content-type.
	(mime-parse-multipart): Use 'make-mime-content-type.

1998-05-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Change data format of mime-content-disposition.

1998-05-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Rename 'mime/Content-Transfer-Encoding ->
	'mime-read-Content-Transfer-Encoding.

1998-05-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-raw-get-subject): Use
	'mime-content-disposition-parameters.

	* mime-play.el (mime-raw-get-original-filename): Use
	'mime-content-disposition-parameters.

	* mime-parse.el (mime-content-disposition-type): New function.
	(mime-content-disposition-parameters): New function.

1998-05-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el, mime-play.el, mime-view.el: Rename
	'mime/Content-Disposition -> 'mime-read-Content-Disposition.

1998-05-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile (PACKAGE): New variable.
	(tar): Use $(PACKAGE).

1998-05-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Change data format of mime-content-type.

1998-05-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-decode-buffer): Use
 	'mime-content-type-primary-type, 'mime-content-type-subtype and
 	'mime-content-type-parameters.

1998-05-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-content-type-primary-type): New function.
  	(mime-content-type-subtype): New function.
  	(mime-content-type-parameters): New function.
  	(mime-parse-message): Use 'mime-content-type-primary-type,
 	'mime-content-type-subtype and 'mime-content-type-parameters.

1998-05-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Abolish function 'symbol-concat because it is not
 	used.


1998-05-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.4.2 (Oyashirazu) released.

1998-05-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (Authors): New section.

	* README.en (CVS based development): New section.

1998-05-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-move-to-previous): Must regard
	previous entity separated by null property region.
	(mime-preview-move-to-next): Must regard next entity separated by
	null property region.

1998-05-03  Simon Josefsson  <jas@pdc.kth.se>

       * mime-view.el (mime-preview-move-to-previous): check that new
       prop is non-null

       * mime-view.el (mime-preview-move-to-next): skip leading null
       props, check that new prop is non-null

1998-05-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Use 'ctree-set-calist-with-default instead of
	'ctree-set-calist-strictly to set up mailcap entries.


1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.4.1 (-DÒmi)-A released.

	* README.en (Required environment): Modify for FLIM 1.2.0.

1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Move 'mime-type/subtype-string to
	flim/mime-def.el.

1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-sort-situation): New function.
	(mime-raw-play-entity): Use 'mime-sort-situation.

1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-activate-mailcap-method): Use
	'mailcap-format-command.

1998-05-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (What's SEMI?): Add description about mailcap.
	(Documentation): Add RFC 1524; change location of RFC.


1998-05-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.4.0 (Itoigawa) released.

	* README.en (Required environment): Modify for FLIM 1.1.0.

	* SEMI-CFG: Modify error message for FLIM 1.1.0.

1998-05-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-def.el: Abolish 'mime/find-file-function because it is not
 	used.

1998-05-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* TODO (keymap-prefix): done.
	(mailcap support): done.
	(Change 'mime-acting-condition to condition-tree format): done.
	(Unify entity display specifications to 'mime-preview-condition):
 	done.

1998-05-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS: Add description for SEMI 1.4.

1998-05-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Abolish setting for tm-sh-scripts.

	* semi-setup.el: Abolish MUA depended signature setting.

	* mail-mime-setup.el: Move setting for 'mail-signature from
 	semi-setup.el.

1998-05-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-setup.el: Use 'mime-add-condition to set up for mime-pgp.

	* mime-pgp.el: Abolish setting for 'mime-preview-condition and
 	mime-acting-condition.

	* semi-def.el (mime-condition-type-alist): New variable.
	(mime-condition-mode-alist): New variable.
	(mime-add-condition): New function.

1998-05-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-acting-condition): Use
	'ctree-set-calist-with-default to set up 'mime-method-to-save.

1998-05-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-acting-condition): Delete setting for
	metamail.

1998-05-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-activate-mailcap-method): New function.
	(mime-raw-play-entity): Use 'mime-activate-mailcap-method for
 	mailcap method.

	* mime-view.el (mime-acting-condition): Read mailcap.

1998-05-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el: Move mailcap.el to FLIM.

1998-05-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-play-entity): Sort before registering to
 	'mime-acting-situation-examples.


1998-04-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.3.4 (Kajiyashiki) released.

1998-04-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Modify messages for APEL 8.7.

	* README.en (Required environment): Modify for APEL 8.7.

1998-04-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-find-every-acting-situation): Change
 	default value to 't.

1998-04-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-save-acting-situation-examples): New
 	function; set up for 'kill-emacs-hook.

	* mime-play.el (mime-acting-situation-examples): Renamed from
 	'mime-user-acting-condition.

	* mime-play.el: Load MIME acting-example file.

	* mime-view.el (mime-acting-situation-examples-file): New
 	variable.

1998-04-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-play-entity): Use
 	'ctree-match-calist-partially.


1998-04-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.3.3 (Uramoto) released.

1998-04-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-play-entity): Refer
	'mime-view-find-every-acting-situation.

	* mime-view.el (mime-view): New customize group.
	(mime-view-find-every-acting-situation): New variable.

1998-04-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-user-acting-condition): New variable.
	(mime-raw-play-entity): Refer it.

1998-04-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-play-entity): Get all available
 	acting-situations; display menu of methods to select
 	acting-situation to activate.

	* semi-def.el (select-menu-alist): New function.


1998-04-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.3.2 (N-Dò)-A was released.

	* mime-edit.el (mime-edit-mode-entity-prefix): New variable.
	(mime-edit-mode-entity-map): New variable.
	(mime-edit-mode-enclosure-prefix): New variable.
	(mime-edit-mode-enclosure-map): New variable.
	(mime-edit-mode-map): Use 'mime-edit-mode-entity-map and
 	'mime-edit-mode-enclosure-map.

	* mime-view.el (mime-acting-condition): Fix setting.

1998-04-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-raw-play-entity): Use 'ctree-match-calist
 	directly; abolish 'mime/get-content-decoding-alist.


1998-04-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.3.1 (Tsutsuishi) was released.

	* mime-view.el (mime-preview-follow-current-entity): Abolish
	unused local variable 'message-info.

1998-04-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-split-ignored-field-regexp): Add
 	Message-Id field.

1998-04-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mail-mime-setup.el: Must require 'alist.


1998-04-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.3.0 (Nadachi) was released.

1998-04-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-def.el: Don't require 'atype; abolish function
 	'field-unifier-for-mode.

1998-04-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el: Use 'ctree-set-calist-strictly instead of
 	'set-atype to set up for 'mime-acting-condition.

	* mime-play.el (mime/get-content-decoding-alist): Use
 	'ctree-match-calist instead of 'get-unified-alist.

	* mime-view.el (mime-acting-condition): Change format from list of
 	atype to ctree.


1998-04-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.2.4 (Arimagawa) was released.

	* NEWS: Modify for SEMI 1.2.4 (Arimagawa).

	* mime-view.el (mime-view-display-message): Check 'message-button
 	is 'visible.
	(mime-view-display-entity): Check 'header is 'visible.

1998-04-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Abolish variable
 	'mime-view-childrens-header-showing-Content-Type-list and function
 	'mime-view-header-visible-p.
	(mime-preview-follow-current-entity): Don't use
 	'mime-view-header-visible-p.

1998-04-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-condition): Don't display body of
 	message/rfc822 and message/news; add '(entity-button . invisible)
 	to default situation of child entity.
	(mime-view-display-entity): Don't display entity-button if
 	'entity-button field value of preview-condition is 'invisible.


1998-04-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.2.3 (Tanihama) was released.

	* mime-view.el: Abolish function 'mime-view-body-visible-p and
 	'mime-view-entity-separator-visible-p.
	(mime-view-display-entity): Don't use
 	'mime-view-entity-separator-visible-p.

1998-04-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview-condition): Specify
 	'childrens-situation field for message/rfc822 and message/news.
	(mime-view-display-message): Use value of 'childrens-situation
 	field of preview-situation as default-situation of children.
	(mime-view-display-entity): Add new argument 'default-situation;
 	use it as elements of draft of preview-situation; use value of
 	'header field of preview-situation instead of
 	'mime-view-header-visible-p; use value of 'childrens-situation
 	field of preview-situation as default-situation of children.


1998-04-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.2.2 (Naoetsu) was released.

	* README.en: Modify for FLIM.

1998-04-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Modify messages for FLIM and APEL 8.2.

1998-04-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Add "flim" instead of "rime" to 'load-path.

1998-04-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-calist::field-match-method-as-default-rule):
 	New function; setup for calist-field-match-method for 'header and
 	'body.

1998-04-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-preview-condition): Add (message-button
 	. visible) to application/pgp again.

1998-04-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-message): Abolish unused local
 	variable 'ctype.
	(mime-view-display-entity): Abolish unused local variable 'ctype.

	* mime-view.el (mime-view-display-message): Don't use
 	'mime-view-content-button-visible-ctype-list; abolish it.

1998-04-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-entity-button-visible-p): Omit to check
	entity is not message.
	(mime-view-header-visible-p): Omit to check entity is message.
	(mime-view-setup-buffers): Call 'mime-view-display-message instead
	of 'mime-view-display-entity.
	(mime-view-display-message): New function.
	(mime-view-display-entity): Abolish local variable
	'entity-node-id; don't check entity is message or not.

1998-04-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Add "rime" instead of "mel" to 'load-path.

1998-04-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-ELS (semi-modules-to-compile): Delete 'mime-def,
	'eword-encode and 'eword-decode.

	* mime-def.el, eword-encode.el, eword-decode.el: Abolish
	mime-def.el, eword-decode.el and eword-encode.el; (moved to RIME).

1998-04-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (regexp-or): Moved from semi-def.el.

	* semi-def.el: Move 'regexp-or to mime-parse.el.
	Move 'eliminate-top-spaces to mime-def.el.

	* mime-def.el (eliminate-top-spaces): Moved from semi-def.el.

1998-04-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-ELS (semi-modules-to-compile): Add 'semi-def.

	* semi-setup.el: Require 'semi-def instead of 'mime-def.

	* mime-view.el: Require 'semi-def.

	* mime-def.el: Move SEMI depended definitions to semi-def.el.

	* semi-def.el: Move SEMI depended definitions from mime-def.el.

	* eword-decode.el (eword-decode-version): Don't use
	`mime-module-version'.


1998-04-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.2.1 (Nomachi) was released.

1998-04-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-setup-buffers): Don't use
	'mime-raw-flatten-message-info.
	(mime-view-display-entity): Display recursively.

1998-04-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* TODO: New file.

1998-04-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-version): Use
	`mime-module-version' instead of `semi-version'.

	* mime-edit.el (mime-edit-version-string): Use
	`mime-module-version' instead of `semi-version'.

	* mime-view.el (mime-view-version-string): Use
	`mime-module-version' instead of `semi-version'.

	* mime-def.el (mime-module-version): New variable; abolish
	`semi-version'.


1998-03-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.2.0 (Nishiizumi) was released.

	* NEWS: Update for SEMI 1.2.

1998-03-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el: Rename 'mime-view-plain-text-preview-hook ->
	'mime-preview-text/plain-hook.

	* mime-text.el (mime-text-add-url-buttons): New function.
	(mime-text-add-url-buttons-maybe): New function.

1998-03-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el, mime-text.el, mime-image.el: Rename
 	'mime-view-filter-for-* -> 'mime-preview-filter-for-*.

1998-03-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el: Rename 'mime-decode-text-body ->
 	'mime-text-decode-body.

1998-03-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el (mime-decode-text-body): Change interface; call
 	'mime-text-decode-hook.

1998-03-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* VERSION: New file.


1998-03-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.1.2 (Shin-Nishikanazawa) was released.

1998-03-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS: Modify about 'image-format.

	* mime-image.el (mime-view-filter-for-image): Refer 'image-format
	of preview-situation instead of 'mime-view-image-converter-alist;
	abolish variable 'mime-view-image-converter-alist.

1998-03-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS: Modify about 'body-filter.

1998-03-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el: Abolish 'mime-view-ps-to-gif-command.

	* mime-image.el (mime-view-filter-for-image): Change interface.
	Abolish `mime-view-filter-for-application/postscript'.

	* mime-text.el (mime-view-filter-for-text/plain): Change
	interface.
	(mime-view-filter-for-text/richtext): Change interface.
	(mime-view-filter-for-text/enriched): Change interface.

	* mime-view.el (mime-view-display-entity): Change interface of
	body-filter.

1998-03-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el (mime-preview-condition): Set 'with-filter in
	body-presentation-method for body-filter.

	* mime-view.el (mime-view-display-entity): Call body-filter only
	when body-presentation-method is 'with-filter.

1998-03-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-entity): Modify to omit check
	for body-presentation-method.

1998-03-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS: Modify about `mime-preview-condition'.

1998-03-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el: Set up for `mime-preview-condition' instead of
	`mime-view-body-visible-condition' and
	`mime-view-content-filter-alist'.

	* mime-view.el (mime-preview-condition): New variable.
	(mime-view-body-visible-p): Use `mime-preview-condition' instead
	of `mime-view-body-visible-condition'; abolish variable
	`mime-view-body-visible-condition'.
	(mime-view-insert-message/partial-button): Add argument
	`situation'.
	(mime-view-display-entity): Use `mime-preview-condition' instead
	of `mime-view-content-filter-alist'; don't hard-coding for
	`message/partial-button'; abolish variable
	`mime-view-content-filter-alist'.

1998-03-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: Require 'mime-text when compiling.

1998-03-21  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* eword-decode.el (eword-lexical-analyze-internal): Fixed return
	value.

	* mime-view.el (mime-view-body-visible-condition): text media-
	type is always visible.


1998-03-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.1.1 (Oshino) was released.

	* mime-play.el (mime-method-to-save): Must treat nil encoding as
	7bit.

1998-03-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS: Update for latest version.

1998-03-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Must set up load-path before version check codes.

1998-03-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Don't require mime-text.el; add autoload setting
	for mime-text.el.
	(mime-text-decoder-alist): moved from mime-text.el.
	(mime-view-entity-separator-visible-p): New function.
	Abolish `mime-view-display-header', `mime-view-display-body' and
	`mime-view-entity-separator-function'.

	* mime-text.el: Require mime-view (mime-text.el is autoloaded by
	mime-view); variable `mime-text-decoder-alist' was moved to
	mime-view.el.

	* mime-play.el (mime-method-to-save): fixed.

1998-03-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS: New file.


1998-03-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.1.0 (Nonoichi) was released.

1998-03-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-method-to-verify-application/pgp-signature):
	Abolish unused local-variable `raw-buf'.

	* mime-play.el (mime-raw-play-entity): fixed.

	* mime-view.el (mime-preview-original-window-configuration): Use
	`defvar' to avoid warning of byte-compiler.

	* mime-view.el (mime-view-display-entity): Don't use
	`mime-view-entity-button-function' (abolish it); use
	`mime-root-entity-p'.

1998-03-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-entity-button-visible-p): New function.
	(mime-view-entity-button-function): Use function
 	`mime-view-entity-button-visible-p'.

	* mime-view.el (mime-raw-entity-parent): New function.
	(mime-view-entity-button-function): Use `mime-raw-entity-parent'.

	* mime-view.el (mime-view-entity-button-function): Use
 	`mime-root-entity-p'.

	* mime-parse.el (mime-root-entity-p): New function.

1998-03-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Insert version check code.

1998-03-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el: Set up `mime-view-body-visible-condition' instead
 	of `mime-view-visible-media-type-list'.

	* mime-view.el (mime-view-body-visible-condition): New variable.
	(mime-view-body-visible-p): Use `mime-view-body-visible-condition'
 	instead of `mime-view-visible-media-type-list'.
	Abolish `mime-view-visible-media-type-list'.

	* mime-parse.el (mime-type/subtype-string): New function.
	(mime-entity-type/subtype): Use `mime-type/subtype-string'.

1998-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-method-to-verify-application/pgp-signature):
	Use `mime-raw-write-region'.

	* mime-view.el (mime-raw-buffer-coding-system-alist): Move setting
	for mh-show-mode.

	* mime-play.el, mime-view.el: Rename
	`mime-raw-coding-system-alist' ->
	`mime-raw-buffer-coding-system-alist'.

	* mime-view.el, mime-play.el: Move `mime-raw-coding-system-alist'
	from mime-play.el to mime-view.el.

1998-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-raw-point-to-entity-node-id): Use
	`mime-raw-find-entity-from-point'.
	(mime-raw-point-to-entity-number): Likewise.

	* mime-view.el (mime-raw-find-entity-from-point): New function.

1998-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-body): Change interface.

1998-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-view.el: Rename `mime-view-entity-info' ->
	`mime-view-entity'.

	* mime-view.el: Rename `mime-raw-entity-number-to-entity-info' ->
	`mime-raw-find-entity-from-number'.

	* mime-pgp.el, mime-view.el: Rename
	`mime-raw-entity-node-id-to-entity-info' ->
	`mime-raw-find-entity-from-node-id'.

	* mime-pgp.el, mime-partial.el, mime-play.el, mime-view.el,
 	mime-parse.el: Rename `mime-entity-info' -> `mime-entity'.

1998-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-header-visible-p): Change interface.
	(mime-view-body-visible-p): Change interface.

	* mime-view.el (mime-view-insert-entity-button): Change interface.
	(mime-view-entity-button-function): Change interface.

	* mime-view.el (mime-view-body-visible-p): Add DOC-string.

	* mime-view.el: `rcnum' -> `entity-node-id'.

1998-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-method-to-verify-application/pgp-signature):
	Don't use temporary buffer for signed entity.

	* mime-pgp.el (mime-method-to-verify-application/pgp-signature):
	Don't use temporary buffer for PGP-signature.

1998-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-method-to-verify-application/pgp-signature):
	Use `write-region-as-binary'.

	* mime-pgp.el (mime-method-to-verify-application/pgp-signature):
	Use `mime-write-decoded-region'.

	* mime-pgp.el: Rename `rmcnum' -> `mother-node-id'.

1998-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-method-to-decrypt-application/pgp-encrypted):
	Use `mime-raw-point-to-entity-node-id'; abolish `entity-number'.

	* (mime-method-to-verify-application/pgp-signature): Use
	`mime-raw-point-to-entity-node-id'; abolish `entity-number'.

	* mime-pgp.el (mime-method-to-verify-multipart/signed): Use
	`mime-raw-point-to-entity-node-id'.

	* mime-view.el (mime-raw-point-to-entity-node-id): New function.

	* mime-view.el, mime-pgp.el: Rename `reversed-entity-number' ->
	`entity-node-id'.

	* mime-view.el, mime-parse.el: Rename `reversed-number' ->
	`node-id'.

	* mime-pgp.el: `rcnum' -> `reversed-entity-number'.

	* mime-pgp.el: `cnum' -> `entity-number'.

	* mime-pgp.el: `beg' -> `start'.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el (mailcap-look-at-field): Change field-name to symbol.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el (mailcap-look-at-type-field): Must allow
	"implicit-wild".
	(mailcap-look-at-field): fixed.

1998-03-13  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* README.en (Bug reports): Modify description of tm mailing list.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el, mime-play.el: Rename
	`mime-view-quitting-method-for-mime-show-message-mode' ->
	`mime-preview-quitting-method-for-mime-show-message-mode'.

	* mime-play.el, mime-edit.el, mime-view.el: Rename
	`mime-view-quitting-method-alist' ->
	`mime-preview-quitting-method-alist'.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: Rename `mime-article::write-region' ->
	`mime-raw-write-region'.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el, mime-play.el: Rename `mime-playback-entity' ->
	`mime-raw-play-entity'.

	* mime-play.el, mime-view.el: Rename `mime-view-cinfo' ->
	`mime-view-entity-info'.

	* mime-view.el, mime-parse.el: Rename `mime-entity-info-rnum' ->
	`mime-entity-info-reversed-number'.

	* mime-view.el: Rename `mime/flatten-content-info' ->
	`mime-raw-flatten-message-info'.

	* mime-pgp.el, mime-view.el: Rename `mime-raw-rcnum-to-cinfo' ->
	`mime-raw-reversed-entity-number-to-entity-info'.

	* mime-view.el: Rename `mime-raw-cnum-to-cinfo' ->
	`mime-raw-entity-number-to-entity-info'.

	* mime-pgp.el, mime-partial.el, mime-view.el: Rename
	`mime-raw-entity-info' -> `mime-raw-message-info'.

	* mime-play.el, mime-pgp.el, mime-view.el: Rename
	`mime-raw-point-content-number' ->
	`mime-raw-point-to-entity-number'.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-pgp.el, mime-view.el: Rename ` mime-article/'
	-> `mime-raw-'.

	* mime-view.el: Rename `mime-view-get-original-major-mode' ->
	`mime-preview-original-major-mode'.

	* mime-view.el: Rename `mime-view-display-x-face' ->
	`mime-preview-display-x-face'.

	* mime-play.el, mime-pgp.el, mime-bbdb.el, mime-view.el: Rename
	`mime-view-buffer' -> `mime-preview-buffer'.

	* mime-play.el, mime-view.el: Rename `mime::preview/' ->
	`mime-preview-'.

	* mime-view.el: Rename `mime-view-original-major-mode' ->
	`mime-preview-original-major-mode'.

	* mime-play.el, mime-edit.el, mime-view.el: Rename
	`mime-view-kill-buffer' -> `mime-preview-kill-buffer'.

	* mime-view.el: Rename `mime-view-show-summary' ->
	`mime-preview-show-summary'.

	* mime-view.el: Rename `mime-view-quit' -> `mime-preview-quit'.

	* mime-view.el: Rename `mime-view-follow-current-entity' ->
	`mime-preview-follow-current-entity'.

	* mime-view.el: Rename `mime-view-print-current-entity' ->
	`mime-preview-print-current-entity'.

	* mime-view.el (mime-view-menu-list): Modify menu.

	* mime-view.el: Rename `mime-view-extract-current-entity' ->
	`mime-preview-extract-current-entity'.

	* mime-def.el, mime-play.el, mime-view.el: Rename
	`mime-view-play-current-entity' ->
	`mime-preview-play-current-entity'.

	* mime-view.el: Rename `mime-view-previous-line-content' ->
	`mime-preview-previous-line-entity'.

	* mime-view.el: Rename `mime-view-next-line-content' ->
	`mime-preview-next-line-entity'.

	* mime-view.el: Rename `mime-view-scroll-' ->
	`mime-preview-scroll-'.

	* mime-view.el: Rename `mime-view-move-to-' ->
	`mime-preview-move-to-'.

	* mime-play.el, mime-image.el: Rename `mime-preview/' ->
	`mime-preview-'.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-partial.el (mime-method-to-combine-message/partial-pieces):
	Rename `mime-raw-content-info' -> `mime-raw-entity-info'.

	* mime-pgp.el, mime-view.el: Rename `mime-raw-content-info' ->
	`mime-raw-entity-info'.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-raw-content-info): Modify DOC-string.

1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el: Abolish `eword-encode-RCS-ID'.

1998-03-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-partial.el: Rename
 	`mime-combine-message/partials-automatically' ->
 	`mime-method-to-combine-message/partial-pieces'.

1998-03-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-acting-condition): Separate type and subtype.

	* mime-view.el (mime-acting-condition): Separate type and subtype.

	* mime-play.el (mime-playback-entity): Separate type and subtype.


1998-03-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.0.2 (Nonoichi-K-Dòdaimae)-A was released.

1998-03-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el: Rename `mime-pgp-add-keys' ->
	`mime-method-to-add-application/pgp-keys'.

	* mime-pgp.el: Rename `mime-pgp-decrypt-application/pgp-encrypted'
	-> `mime-method-to-decrypt-application/pgp-encrypted'.

	* mime-pgp.el: Rename `mime-pgp-check-application/pgp-signature'
	-> `mime-method-to-verify-application/pgp-signature'.

	* mime-pgp.el: Rename `mime-check-multipart/signed' ->
	`mime-method-to-verify-multipart/signed'.

	* mime-pgp.el: Rename `mime-process-application/pgp' ->
	`mime-method-for-application/pgp'.

1998-03-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el (mailcap-look-at-type-field): Change type and subtype
	to symbol.

	* mailcap.el (mailcap-file): New variable.
	(mailcap-parse-file): New function.

1998-03-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (What's SEMI?): Remove what does SEMI stand for.

1998-03-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-acting-condition): Use `mime-method-to-save'
	instead of external method "tm-file".

	* mime-play.el: Rename `mime-extract-current-entity' ->
	`mime-method-to-save'.

1998-03-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-ELS (semi-modules-to-compile): Abolish mime-file.el.

	* mime-play.el (mime-extract-current-entity): New function; copied
	from mime-file.el; abolish mime-file.el.

	* mime-view.el (mime-acting-condition), mime-partial.el
	(mime-combine-message/partials-automatically), mime-play.el:
	Rename `mime-display-message/partial' ->
	`mime-method-to-store-message/partial'.

1998-03-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-acting-condition), mime-play.el: Rename
	`mime-display-caesar' -> `mime-method-to-display-caesar'.

	* mime-view.el (mime-acting-condition), mime-play.el: Rename
	`mime-display-message/external-ftp' ->
	`mime-method-to-display-message/external-ftp'.

	* mime-view.el (mime-acting-condition), mime-play.el: Rename
	`mime-display-message/rfc822' ->
	`mime-method-to-display-message/rfc822'.

	* mime-play.el: Rename `mime-article/make-method-args' ->
	`mime-make-external-method-args'.

	* mime-file.el: Fix setting.

1998-03-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: Rename `mime-article/start-external-method-region'
	-> `mime-activate-external-method'.

	* mime-play.el, mime-pgp.el: Rename `mime-display-content' ->
	`mime-playback-entity'.

	* mime-file.el (mime-extract-current-entity): Use
	`mime-write-decoded-region'.

	* mime-file.el: Rename `mime-article/extract-file' ->
	`mime-extract-current-entity'.

1998-03-03  François Pinard   <pinard@iro.umontreal.ca>

	* mime-edit.el (mime-edit-insert-signature): Function
 	`mime-edit-insert-tag' is sometimes called with more arguments
 	than it is ready to accept. (cf. [tm-en:1585])

1998-03-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-insert-text): New optional argument
	`subtype'.


1998-02-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.0.1 (Magae) was released.

1998-02-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-check-multipart/signed): New function.

1998-02-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-and-fold-structured-field): Fixed.

	* mime-edit.el (mime-file-types): Use `defcustom'.


1998-02-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 1.0.0 (Nukaj-Dþtaku-mae)-A was released.

	* SEMI-ELS: Remove mime-tar.el.

1998-02-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-version): Use `semi-version';
	abolish `eword-decode-RCS-ID'.

	* mime-view.el (mime-view-version-string): Use `semi-version';
	abolish `mime-view-version' and `mime-view-RCS-ID'.

	* mime-edit.el (mime-edit-version-string): Use `semi-version';
	abolish `mime-edit-version' and `mime-edit-RCS-ID'.

	* mime-def.el (semi-version): New constant; abolish constant
	`semi-version-name'.

	* mime-view.el: Rename `mime-view-version-name' ->
	`mime-view-version-string'.

	* mime-edit.el: Rename `mime-edit-version-name' ->
	`mime-edit-version-string'.

	* eword-decode.el (eword-lexical-analyzers): New variable.
	(eword-analyze-quoted-string): Add second argument.
	(eword-analyze-domain-literal): New function.
	(eword-analyze-spaces): New function.
	(eword-analyze-special): New function.
	(eword-analyze-atom): Add second argument.
	(eword-lexical-analyze-internal): Use `eword-lexical-analyzers'.


1998-02-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.118.2 (Otomaru) was released.

	* eword-decode.el (eword-decode-and-unfold-structured-field): New
 	function.

	* eword-decode.el (eword-decode-and-fold-structured-field): New
 	function.
	(eword-decode-structured-field-body): Use it.
	(eword-decode-header): Likewise.

	* eword-decode.el (eword-decode-structured-field-body): If
 	`START-COLUMN' is nil, it uses `mapconcat'.

	* eword-decode.el (eword-decode-token): New function.
	(eword-decode-structured-field-body): Add new optional arguments
 	`START-COLUMN' and `MAX-COLUMN'; fill results; use function
 	`eword-decode-token'.
	(eword-decode-header): Specify START-COLUMN for
 	`eword-decode-structured-field-body'.

1998-02-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-header): Unfold fields including
 	encoded-words.

	* eword-decode.el (eword-decode-ignored-field-list): New variable.
	(eword-decode-structured-field-list): New variable.
	(eword-decode-header): Refer them.

	* eword-decode.el (eword-decode-header): Don't use
 	`eword-decode-unstructured-field-body'.

1998-02-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-header): New implementation; add
 	new argument `CODE-CONVERSION' as first argument.  Change
 	`SEPARATOR' as second argument.


1998-02-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.118.1 (Shijima) was released.

	* README.en (Bug reports): Modified for SEMI.

1998-02-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-normalize-body): Must not ignore case to
 	search "From " in beginning of line.

1998-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el: Comment out setting for inline Postscript
	feature.

1998-01-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-analyze-atom): New function.
	(eword-lexical-analyze-internal): Use `eword-analyze-atom' instead
	of `std11-analyze-atom'.

1997-11-26  Thierry Emery     <Thierry.Emery@aar.alcatel-alsthom.fr>

	* mime-edit.el (mime-edit-insert-text): Fix to avoid unexpected
 	entering enriched-mode. (cf. [tm-ja:2697])


1997-11-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.118 (Sodani) was released.

1997-11-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-maybe-hide-echo-buffer): bury MIME echo
 	buffer.

1997-11-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-maybe-hide-echo-buffer): New inline function;
	abolish `mime-hide-echo-buffer'.
	(mime-view-mode): Use `mime-maybe-hide-echo-buffer'.

1997-11-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el: Rename `mime-article/add-pgp-keys' ->
 	`mime-pgp-add-keys'.

	* mime-pgp.el: Rename `mime-article/decrypt-pgp' ->
 	`mime-pgp-decrypt-application/pgp-encrypted'.

	* mime-pgp.el: Rename `mime-article/check-pgp-signature' ->
 	`mime-pgp-check-application/pgp-signature'.

	* mime-pgp.el: Rename `mime::article/call-pgp-to-check-signature'
 	-> `mime-pgp-check-signature'.

	* mime-pgp.el: Rename `mime-article/view-application/pgp' ->
 	`mime-process-application/pgp'.


1997-11-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.116 (D-Dòhòji)-A was released.

1997-11-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el, mime-pgp.el, mime-partial.el: Rename
	`mime::article/content-info' -> `mime-raw-content-info'.

1997-11-11  François Pinard   <pinard@iro.umontreal.ca>

	* mime-edit.el: Modify space in prompt and removespurious trailing
	spaces in the files. (cf. [tm-en:1507])

1997-11-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: Rename `mime-edit-enclose-region' ->
	`mime-edit-enclose-region-internal'.

	* mime-edit.el (mime-edit-enclose-quote-region,
	mime-edit-enclose-mixed-region, mime-edit-enclose-parallel-region,
	mime-edit-enclose-digest-region,
	mime-edit-enclose-alternative-region,
	mime-edit-enclose-signed-region,
	mime-edit-enclose-encrypted-region): Change subtype to symbol.

1997-11-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-bbdb.el, semi-setup.el: Use path-util.el instead of
	file-detect.el.

1997-11-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Add group `mime' to `default-mime-charset'.

1997-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-field): Must regard MIME-Version
	field as structured field.


1997-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.115.2 (Inokuchi) was released.

1997-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-split-message): Use `defcustom'.
	(mime-edit-message-default-max-lines): Use `defcustom'.
	(mime-edit-message-max-lines-alist): Use `defcustom'.

1997-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile: Abolish `execs' and `install-execs'.

1997-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit): New customize group.
	(mime-ignore-preceding-spaces): Use `defcustom'.
	(mime-ignore-trailing-spaces): Use `defcustom'.
	(mime-ignore-same-text-tag): Use `defcustom'.
	(mime-auto-hide-body): Use `defcustom'.
	(mime-edit-voice-recorder): Use `defcustom'.
	(mime-edit-mode-hook): Use `defcustom'.
	(mime-edit-translate-hook): Use `defcustom'.
	(mime-edit-exit-hook): Use `defcustom'.

	* mime-def.el (mime): New customize group.
	(mime-button-face): Use `defcustom'.
	(mime-button-mouse-face): Use `defcustom'.

1997-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-x-emacs-value): Don't add mule-version
	if enable-multibyte-characters is nil.

1997-10-31  Kazuhiro Ohta     <ohta@ele.cst.nihon-u.ac.jp>

	* mime-play.el (mime-article::write-region): fixed
	(cf. [tm-ja:2641]).

1997-10-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-setup.el (mime-setup-set-signature-key): Check local keymap
	is exist or not to fix problem about
	`gnus-summary-resend-message'.


1997-10-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.115.1 (Oyanagi) was released.

1997-10-03  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mime-play.el (mime-display-message/partial): Use `write-region'.

	* mime-pgp.el (mime-article/check-pgp-signature): Use
	`write-region'.

	* mime-file.el (mime-article/extract-file): Use `write-region'.

1997-10-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Don't use `third' (don't use cl function).

	* SEMI-CFG: Add current directory to load-path.

	* mime-def.el, mime-edit.el (mime-edit-insert-text): Rename
 	`second' -> `cadr' (Don't use cl function).


1997-09-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.115 (Hinomiko) was released.

	* README.en: Modify for Emacs 20.2.

1997-09-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (butlast, nbutlast): Don't use `defun-maybe' for cl
	functions.

1997-09-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (butlast): New function; imported from cl.el.
	(nbutlast): New function; imported from cl.el.

1997-09-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-cut-header): Don't use `member-if'.

	* mime-def.el: Don't require cl.

	* eword-encode.el: Abolish variable `eword-generate-X-Nsubject'.
	(eword-encode-header): Abolish X-Nsubject field generator.

	* eword-encode.el (eword-find-field-encoding-method): New inline
	function.
	(eword-encode-header): Use it.

1997-09-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el: Use `exec-installed-p' to search
	`uncompface-program'.

1997-09-24  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* signature.el: Add doc-string to `signature-file-alist'.

	* mime-bbdb.el: Remove Artur Pioro from the authors list; Recent
	versions don't contain his code.

1997-09-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Don't use cl.
	(mime-article/rcnum-to-cinfo): New implementation (use function
	`mime-article/cnum-to-cinfo'); use `defsubst'.

1997-09-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-x-emacs-value): Use `(featurep
	'xemacs)'; add DOC-string.

1997-09-17  Hisashi Miyashita <himi@bird.scphys.kyoto-u.ac.jp>

	* mime-edit.el (mime-edit-x-emacs-value): Add `(Meadow-version)'
	when running Meadow. (cf. [tm-ja:2567], [mule-win32:4339])

1997-09-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-mime-version-field-for-message/partial):
	New constant.
	(mime-edit-insert-partial-header): Use it.


1997-09-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.112 (Tsurugi) was released.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-insert-entity-button): Change interface
	to use `media-type' and `media-subtype' instead of `ctype'.
	(mime-view-entity-button-function): ditto.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-body-visible-p): Change interface to use
	`media-type' and `media-subtype' instead of `ctype'.
	(mime-view-entity-separator-function): ditto.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-entity): Use `media-type' and
	`media-subtype' instead of `ctype' to compare with
	message/partial.

	* mime-view.el (mime-view-follow-current-entity,
	mime-view-display-entity, mime-view-entity-button-function): Use
	`mime-entity-info-media-type' and `mime-entity-info-media-subtype'
	instead of `mime-entity-info-type/subtype'.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Abolish macro `define-structure'.

	(make-mime-entity-info, mime-entity-info-rnum,
	mime-entity-info-point-min, mime-entity-info-point-max,
	mime-entity-info-parameters, mime-entity-info-encoding,
	mime-entity-info-children): New implementation.

	(mime-entity-info-media-type, mime-entity-info-media-subtype): New
	inline function.

	* mime-view.el (mime-view-display-entity,
	mime-article/point-content-number, mime-article/cnum-to-cinfo,
	mime/flatten-content-info): Use `mime-entity-info-children'
	instead of `mime::content-info/children'.

	* mime-parse.el (mime-entity-info-children): New inline function.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-body-visible-p,
	mime-view-display-entity): Use `mime-entity-info-encoding' instead
	of `mime::content-info/encoding'.

	* mime-play.el (mime-display-content): Use
	`mime-entity-info-encoding' instead of
	`mime::content-info/encoding'.

	* mime-parse.el (mime-entity-info-encoding): New inline function.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-entity), mime-partial.el
	(mime-combine-message/partials-automatically), mime-play.el
	(mime-display-content): Use `mime-entity-info-parameters' instead
	of `mime::content-info/parameters'.

	* mime-parse.el (mime-entity-info-parameters): New inline
	function.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-header-visible-p,
	mime-view-body-visible-p, mime-view-entity-button-function,
	mime-view-display-entity, mime-view-follow-current-entity),
	mime-play.el (mime-display-content): Use
	`mime-entity-info-type/subtype' instead of
	`mime::content-info/type'.

	* mime-parse.el (mime-entity-info-type/subtype): New inline
	function.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-entity,
	mime-article/rcnum-to-cinfo, mime-view-follow-current-entity,
	mime-view-move-to-upper): Use `mime::content-info/rcnum' instead
	of `mime-entity-info-rnum'.

	* mime-parse.el (mime-entity-info-rnum): New inline function.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-display-entity,
	mime-article/point-content-number,
	mime-view-follow-current-entity), mime-play.el
	(mime-display-content), mime-pgp.el
	(mime-article/check-pgp-signature, mime-article/decrypt-pgp): Use
	`mime-entity-info-point-{min|max}' instead of
	`mime::content-info/point-{min|max}'.

	* mime-parse.el (mime-entity-info-point-min): New inline function.
	(mime-entity-info-point-max): New inline function.
	(mime-parse-multipart): Use `mime-entity-info-point-max' instead
	of `mime::content-info/point-max'.

1997-09-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el (mailcap-skip-comment): Check `chr' is nil.

	* mime-edit.el (mime-edit-decode-buffer): Modify for new return
	format of `mime-parse-Content-Type'.

	* mime-parse.el (mime-parse-Content-Type): Change return format.
	(mime-read-Content-Type): Modify DOC-string.
	(make-mime-entity-info): New inline function.
	(mime-parse-multipart): Change interface.
	(mime-parse-message): Rename names of arguments.

	* mime-def.el (mime-tspecials): Remove `.' and control-characters.
	(mime-token-regexp): Add specification for control-characters.

1997-09-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-cut-header): Use `defun' instead of
	`defsubst'.

	* mime-view.el: Rename `mime-preview/display-body' ->
	`mime-view-display-body'.

	* mime-view.el: Rename `mime-preview/display-header' ->
	`mime-view-display-header'.

1997-09-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el, mime-edit.el: Rename `mime/Content-Type' ->
	`mime-read-Content-Type'.

	* mime-parse.el (symbol-concat): New implementation.

1997-08-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Abolish alias `last*'.

	* eword-decode.el (eword-lexical-analyze): `last' of Emacs 20.0.97
	allows two arguments.

1997-08-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-lexical-analyze): Use `last*' instead of
	`last' (for Emacs 20.0.96).

	* mime-def.el (last*): New alias for old emacsen.

1997-07-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el, mime-def.el: Constant
	`mime-disposition-type-regexp' was moved from mime-def.el to
	mime-parse.el.


1997-07-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.97 (Naka-Tsurugi) was released.

1997-07-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: Delete unnecessary "[mime-edit.el]" from
	DOC-strings.

1997-07-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-analyze-encoded-word): cdr of return
	value must not nil (cf.[tm-ja:2496])

1997-07-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el, mime-play.el: `mime-article/view-message/rfc822'
	-> `mime-display-message/rfc822'.

1997-07-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-phrase-route-addr-to-rwl): Use function
	`eword-addr-seq-to-rwl'.

	* eword-encode.el: `tm-eword::phrase-route-addr-to-rwl' ->
	`eword-phrase-route-addr-to-rwl'.

	* eword-encode.el (eword-addr-seq-to-rwl): New function.
	(eword-addr-spec-to-rwl): Use function `eword-addr-seq-to-rwl'.

	* eword-encode.el (eword-addr-spec-to-rwl): New implementation.

	* eword-encode.el: `tm-eword::addr-spec-to-rwl' ->
	`eword-addr-spec-to-rwl'.

1997-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Constant `mime::ctype-regexp' was abolished.

	* mime-parse.el: Constant `mime::dtype-regexp' was abolished.

	* mime-parse.el, mime-def.el: `mime/disposition-type-regexp' ->
	`mime-disposition-type-regexp'.


1997-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.96 (Kaga-Ichinomiya) was released.

1997-07-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: (mime-edit-normalize-body):
	- Protect "From " in beginning of line (insert `ESC ( B' before it
	  if possible, otherwise encode by quoted-printable)
	- canonicalize line break code for base64

1997-07-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* signature.el (signature-separator): New variable.
	(insert-signature): Insert `signature-separator' when signature is
	inserted at end of file.

1997-07-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-version-name): Add `semi-version-name'.

	* mime-view.el (mime-view-version-name): New constant.

	* mime-def.el (semi-version-name): New constant.

1997-07-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (Required environment): Updated.

1997-07-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el, mime-def.el: `mime/content-type-subtype-regexp'
	-> `mime-media-type/subtype-regexp'.

1997-07-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el, mime-def.el, mailcap.el: `mime/token-regexp' ->
	`mime-token-regexp'.

	* mime-def.el: `mime/tspecials' -> `mime-tspecials'.

1997-07-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-pgp.el, mime-def.el: `mime/temp-buffer-name'
	-> `mime-temp-buffer-name'.

1997-07-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el (mime-decode-text-body): Canonicalize line break
	code.

1997-06-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el: New file.

1997-06-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-field-encoding-method-alist): Add
	"Message-ID" as ignored.

1997-06-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (tm-eword::encode-string-1): avoid infinite loop
	caused by long non-encoded-word element. (cf. [tm-en:1356])

1997-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: `mime-preview/display-message/partial' ->
	`mime-view-insert-message/partial-button'.

	* mime-view.el (mime-preview/display-message/partial): Use
	`mime-add-button' again.

1997-06-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el: `tm-eword::lc-words-to-words' ->
	`eword-encode-charset-words-to-words'.

	* eword-encode.el (tm-eword::lc-words-to-words): New
	implementation; function `tm-eword::parse-word' was abolished.

1997-06-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el: `tm-eword::split-to-lc-words' ->
	`eword-encode-divide-into-charset-words'.

	* eword-encode.el: Function `tm-eword::parse-lc-word' was
	abolished.
	(tm-eword::split-to-lc-words): New implementation.

1997-06-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el: `tm-eword::char-type' ->
	`eword-encode-char-type'.

	* eword-encode.el: `tm-eword::encode-encoded-text' ->
	`eword-encode-text'

	* mime-view.el (mime-view-insert-entity-button,
	mime-preview/display-message/partial): Use `mime-insert-button'.

	(mime-view-setup-buffers): Enclose codes to display preview-buffer
	by `(let ((inhibit-read-only t)) ...)'.

	* mime-def.el (mime-insert-button): New inline function.

	* mime-def.el (mime-add-button): Argument `func' was renamed to
	`function'; Use overlay for `mime-button-mouse-face'.


1997-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.92 was released.

	* mime-view.el, mime-play.el, mime-partial.el:
	`mime-article/decode-' -> `mime-display-'.

	* mime-play.el (mime-display-caesar): fixed.

1997-06-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-structured-field-body): fixed.

1997-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-lexical-analyze-cache): New variable.
	(eword-lexical-analyze-cache-max): New variable.
	(eword-analyze-quoted-string): New function.
	(eword-analyze-comment): New function.
	(eword-analyze-encoded-word): New function.
	(eword-lexical-analyze-internal): New function.
	(eword-lexical-analyze): New function.
	(eword-decode-structured-field-body): New function.
	(eword-decode-unstructured-field-body): New function.
	(eword-extract-address-components): New function.

1997-06-11  Steven L Baur     <steve@xemacs.org>

	* eword-encode.el (tm-eword::char-type, tm-eword::encode-rwl,
	tm-eword::encode-rwl): Clean up Ebola
	infection. (cf.[tm-en:1346],[xemacs-beta:9333])


1997-05-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.91 was released.

Wed May 28 13:16:15 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-define-keymap): fixed problem about
	[tab], [delete] and [backspace] keys.

Tue May 27 03:26:23 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-sign-pgp-elkins): Enclose PGP-processing
	by `as-binary-process'.

1997-05-23  Steven L Baur  <steve@altair.xemacs.org>

	* mime-view.el (mime-acting-condition): Add image/png
	mime type. (cf.[tm-en:1334])

	* mime-image.el: Add image/png mime type. (cf.[tm-en:1334])

	* mime-edit.el (mime-file-types): Add png handling.
	(mime-content-types): Ditto. (cf.[tm-en:1334])

Fri May 23 22:13:47 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-define-keymap): Doesn't bind
	`beginning-of-buffer' and `end-of-buffer' for "<" and ">" keys.


1997-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.88 was released.

Thu May 15 06:05:13 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile (tar): New implementation.

Tue May 13 14:32:39 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-MK (config-semi): fixed.

	* SEMI-CFG: Add site-lisp/apel/ even if LISPDIR is specified.

Tue May 13 14:11:48 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en: Add `LISPDIR'.

	* Makefile (LISPDIR): New variable.

	* SEMI-CFG: Setting for load-path is modified.

Mon May 12 12:30:42 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-tar.el, mime-play.el, mime-pgp.el, mime-file.el,
	mime-view.el: `mime/content-decoding-condition' ->
	`mime-acting-condition'.


1997-05-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.87 was released.

Fri May  9 04:19:21 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-tar.el: `mime-viewer/uuencode-encoding-name-list' ->
	`mime-view-uuencode-encoding-name-list'.

Fri May  9 03:07:02 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: Use "text/x-rot13-47-48" instead of
	"text/x-rot13-47".

	* mime-view.el (mime/content-decoding-condition): Add
	"text/x-rot13-47-48".

Fri May  9 01:26:13 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-normalize-body): Use
	`mule-caesar-region' instead of `caesar-region'.

	* mime-play.el (mime-display-caesar): Use `mule-caesar-region'
	instead of `caesar-region'.

	* mime-def.el: Add autoload for mule-caesar.el.

	* mime-def.el: Function caesar-region was abolished.

Thu May  8 23:31:45 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-edit.el, mime-def.el: `tm:caesar-region' ->
	`caesar-region'.

Thu May  8 22:37:47 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-define-keymap): Use
	`set-keymap-default-binding' for XEmacs.

Wed May  7 10:04:36 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-display-caesar): Don't use
	`buffer-substring'.

	* mime-play.el (mime-display-caesar): Use `view-buffer' instead of
	`view-mode-enter'.

Wed May  7 09:37:54 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: Don't require `view'.

	Constant `mime-view-text/plain-mode-map' was abolished.

	Function `mime-view-text/plain-mode' and
	`mime-view-text/plain-exit' were abolished.

	(mime-display-caesar): Use `view-mode-enter mother' instead of
	`mime-view-text/plain-mode'.

Wed May  7 09:33:48 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-view.el (mime/content-decoding-condition):
	`mime-article/decode-caesar' -> `mime-display-caesar'.

Wed May  7 05:49:03 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-cut-header): fixed. (cf.[tm-ja:2386])


1997-04-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI: Version 0.83 was released.

Sat Apr  5 06:20:34 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Overlay is required by emu.

Thu Apr  3 18:09:35 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el, mime-view.el, mime-text.el:
 	`mime-preview/filter-' -> `mime-view-filter-'.

	* mime-view.el: `mime-preview/get-original-major-mode' ->
 	`mime-view-get-original-major-mode'.

Thu Mar 27 22:16:53 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-mode): Hide mime-echo window.

	* mime-view.el: Function `mime-hide-echo-buffer' was moved from
 	mime-play.el.

	* mime-play.el: Function `mime-hide-echo-buffer' was moved to
 	mime-view.el.

	* mime-play.el (mime-hide-echo-buffer): New inline function.

	* mime-play.el (mime-echo-window-height): New variable.

Thu Mar 27 21:48:32 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-content-end): Abolish unused local
 	variable `beg'.

Thu Mar 27 21:45:49 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-follow-current-entity): Abolish unused
 	local variable `rc'.

Thu Mar 27 21:42:08 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-field): Intern down-cased
 	field-name and use `memq' instead of `member' to detect a field is
 	address-list or not.

Thu Mar 27 21:17:25 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-article/check-pgp-signature): Use
 	`insert-buffer-substring'.

Thu Mar 27 20:59:00 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-article/check-pgp-signature):
 	`mime-article/show-output-buffer' -> `mime-show-echo-buffer'.

	* mime-play.el: `mime-article/show-output-buffer' ->
 	`mime-show-echo-buffer'.

	* mime-play.el: `mime/output-buffer-window-is-shared-with-bbdb' ->
 	`mime-echo-window-is-shared-with-bbdb'.

Thu Mar 27 20:47:14 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: Variable
 	`mime/output-buffer-window-is-shared-with-bbdb' was moved from
 	mime-def.el.

	* mime-def.el: Variable
 	`mime/output-buffer-window-is-shared-with-bbdb' was moved to
 	mime-play.el.

Thu Mar 27 20:40:57 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-mode): `mime/output-buffer-name' ->
 	`mime-echo-buffer-name'.

	* mime-play.el: `mime/output-buffer-name' ->
 	`mime-echo-buffer-name'.

	* mime-pgp.el (mime-article/check-pgp-signature):
 	`mime/output-buffer-name' -> `mime-echo-buffer-name'.

	* mime-def.el (mime-echo-buffer-name): Renamed from
 	`mime/output-buffer-name'.

Fri Mar 21 17:55:10 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-content-end): Abolish unused local
 	variable `top'.

	* mime-view.el: Function `mime-view-make-preview-buffer' was
 	abolished.

	* mime-view.el: `mime-view-setup-buffer' ->
 	`mime-view-setup-buffers'.


1997-03-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* MU: Version 0.40.2 was released.
	* SEMI: Version 0.75 was released.

Tue Mar 18 15:28:25 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-edit-translate-single-part-tag): Add
 	DOC-string.

Tue Mar 18 15:21:28 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: `mime::preview/original-major-mode' ->
 	`mime-view-original-major-mode'.

Tue Mar 18 15:17:48 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el, mime-view.el: `mime::preview/mother-buffer' ->
 	`mime-mother-buffer'.

Tue Mar 18 15:12:10 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el, mime-play.el, mime-edit.el, mime-view.el:
 	`mime::preview/article-buffer' -> `mime-raw-buffer'.

Tue Mar 18 14:47:23 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-tar.el, mime-play.el, mime-pgp.el, mime-bbdb.el,
 	mime-view.el: `mime::article/preview-buffer' ->
 	`mime-view-buffer'.

Tue Mar 18 14:32:53 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Structure `mime::preview-content-info' was
 	abolished.

	(mime-view-setup-buffer): Return only
 	`mime::article/preview-buffer'.

	(mime-view-make-preview-buffer): Don't generate
 	preview-content-list; Return only `mime::article/preview-buffer'.

	(mime-view-display-entity): Don't create
 	`mime::preview-content-info'.

	(mime-view-mode): Don't set for `mime::preview/content-list'.

Tue Mar 18 13:56:18 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-partial.el (mime-combine-message/partials-automatically):
 	Don't use preview-content-list.

Tue Mar 18 13:06:09 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-setup.el: Don't require mime-partial; It is autoloaded.

	* mime-partial.el: `mime-article/grab-message/partials' ->
 	`mime-combine-message/partials-automatically'.

	* mime-partial.el: `mime-partial/preview-article' ->
 	`mime-view-partial-message'.

	* mime-partial.el: `mime-partial/preview-article-method-alist' ->
 	`mime-view-partial-message-method-alist'.

	* mime-play.el
 	(mime-view-quitting-method-for-mime-show-message-mode): Don't use
 	preview-content-list.

	* mime-text.el (mime-text-decoder-alist): `mime/show-message-mode'
 	-> `mime-show-message-mode'.

	* mime-pgp.el (mime-article/view-application/pgp):
 	`mime/show-message-mode' -> `mime-show-message-mode'.

	* mime-view.el (mime-view-follow-current-entity): New
 	implementation.

Tue Mar 18 08:24:07 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: `mime-view-follow-content' ->
 	`mime-view-follow-current-entity'.

	* mime-view.el (mime-view-mode): Don't use preview-content-list to
 	move to initial point.

	* mime-view.el: Function `mime-preview/cinfo-to-pcinfo' was
 	abolished.

	* mime-view.el: Function `mime-preview/point-pcinfo' was
 	abolished.

	* mime-view.el: Function `mime-preview/point-content-number' was
 	abolished.

	* mime-play.el (mime-view-play-current-entity): New
 	implementation.

Mon Mar 17 17:18:29 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-quit): Use variable
 	`mime::preview/original-major-mode'.

	* mime-view.el (mime-view-show-summary): Use variable
 	`mime::preview/original-major-mode'.

	* mime-view.el (mime-view-scroll-down-entity): New implementation.

	* mime-view.el (mime-view-scroll-up-entity): New implementation.

Mon Mar 17 16:19:30 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: `mime-view-scroll-down-content' ->
 	`mime-view-scroll-down-entity'.

	* mime-view.el: `mime-view-scroll-up-content' ->
 	`mime-view-scroll-up-entity'.

	* mime-view.el (mime-view-move-to-next): New implementation.

Mon Mar 17 16:03:11 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: `mime-view-next-content' ->
 	`mime-view-move-to-next'.

	* mime-view.el (mime-view-move-to-previous): New implementation.

	* mime-view.el: `mime-view-previous-content' ->
 	`mime-view-move-to-previous'.

	* mime-view.el: `mime-view-up-content' ->
 	`mime-view-move-to-upper'.

Mon Mar 17 15:39:17 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el, mime-play.el: `mime/show-message-mode' ->
 	`mime-show-message-mode'.

	* mime-view.el (mime-view-up-content): New implementation.

	* mime-view.el: `mime-preview/display-content' ->
 	`mime-view-display-entity'.

	* mime-view.el (mime-preview/display-content): Put
 	`mime-view-raw-buffer' and `mime-view-cinfo' as text-property.

	* mime-view.el: Variable `mime-view-visible-field-regexp' was
 	abolished.

	* mime-view.el: `mime-preview/cut-header' ->
 	`mime-view-cut-header'.

	* mime-view.el (mime-view-entity-separator-function): New
 	implementation.

	* mime-view.el: `mime-preview/default-content-separator' ->
 	`mime-view-entity-separator-function'.

Mon Mar 17 13:49:27 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-view-header-visible-p): Abolish optional
 	argument `ctype'.

	* mime-view.el (mime-view-entity-button-function): New
 	implementation.

	* mime-view.el: Variable
 	`mime-view-content-button-ignored-ctype-list' was abolished.

	* mime-view.el: `mime-preview/default-content-button-function' ->
 	`mime-view-entity-button-function'.

	* mime-view.el: Variable `mime-preview/content-button-function'
 	was abolished.

	* mime-def.el (mime-add-button): New implementation.

	* mime-view.el (mime-view-insert-entity-button): modified.

	* mime-view.el: `mime-preview/insert-content-button' ->
 	`mime-view-insert-entity-button'.

	* mime-view.el (mime-view-header-visible-p): Don't calculate ctype
 	is optional argument `ctype' is not nil.

Mon Mar 17 12:12:01 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: `mime-print-entity' ->
 	`mime-view-print-current-entity'.

	* mime-view.el: `mime-extract-entity' ->
 	`mime-view-extract-current-entity'.

	* mime-play.el, mime-view.el: `mime-play-entity' ->
 	`mime-view-play-current-entity'.

	* mime-view.el (mime-play-entity, mime-extract-entity,
 	mime-print-entity): Add DOC-string.

	* mime-view.el: `mime-view-print-content' -> `mime-print-entity'.

	* mime-view.el: `mime-view-extract-content' ->
 	`mime-extract-entity'.

	* mime-play.el: Variable `mime-view-decoding-mode' was abolished.

	* mime-play.el: Variable `mime-view-decoding-mode' was moved from
 	mime-view.el.

	* mime-view.el: Variable `mime-view-decoding-mode' was moved to
 	mime-play.el.

Mon Mar 17 05:09:05 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el: Use `mime-play-entity' instead of
 	`mime-view-play-content'.

Mon Mar 17 05:06:33 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el, mime-play.el: `mime-preview/decode-content' ->
 	`mime-play-entity'.

	* mime-view.el (mime-view-play-content, mime-view-extract-content,
 	mime-view-print-content): Modify to use optional argument `mode'.

Mon Mar 17 04:41:21 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el (mime-preview/decode-content,
 	mime-article/decode-content): Add new optional argument `mode'.

Sun Mar 16 02:23:31 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el: `mime-charset/maybe-decode-buffer' ->
 	`mime-text-decode-buffer-maybe'.

	* mime-text.el: `mime-preview/decode-text-buffer' ->
 	`mime-decode-text-body'.

	* mime-view.el (mime-view-visible-media-type-list): Add
 	"text/rfc822-headers".

Sun Mar 16 01:02:03 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el, mime-view.el:
 	`mime-view-default-showing-Content-Type-list' ->
 	`mime-view-visible-media-type-list'.

Sun Mar 16 00:22:03 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: `mime-raw::text-decoder' -> `mime-text-decoder'.

	* mime-pgp.el (mime-article/view-application/pgp):
 	`mime-charset/decode-buffer' -> `mime-text-decode-buffer'.

	* mime-text.el: `mime-charset/decode-buffer' ->
 	`mime-text-decode-buffer'.

Sat Mar 15 23:59:09 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-article/view-application/pgp):
 	`mime-raw::text-decoder' -> `mime-text-decoder'.

	* mime-text.el: `mime-raw::text-decoder' -> `mime-text-decoder'.

Sat Mar 15 23:53:49 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el: Variable `mime-raw::text-decoder' was moved from
 	mime-view.el.

	* mime-view.el: Variable `mime-raw::text-decoder' was moved to
 	mime-text.el.

Sat Mar 15 22:40:50 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-article/view-application/pgp): Use
 	`insert-buffer-substring'.

Sat Mar 15 22:27:53 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-article/view-application/pgp):
 	`mime::article/code-converter' -> `mime-raw::text-decoder'.

	* mime-play.el (mime-article/view-message/rfc822):
 	`mime::article/code-converter' -> `mime-raw::text-decoder'.

	* mime-text.el (mime-preview/decode-text-buffer):
 	`mime::article/code-converter' -> `mime-raw::text-decoder'.

	* mime-view.el: `mime::article/code-converter' ->
 	`mime-raw::text-decoder'.

Sat Mar 15 21:20:02 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el (mime-article/add-pgp-keys): Abolish unused local
 	variables `charset' and `mime::article/preview-buffer'.

	* mime-pgp.el (mime-article/add-pgp-keys): Abolish unused local
 	variable `mode'.

Sat Mar 15 21:10:43 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-image.el (mime-preview/filter-for-image): Abolish unused
 	local variable `charset'.

	* mime-pgp.el (mime-article/check-pgp-signature): Abolish unused
 	local variable `status'.

	* mime-pgp.el: (mime-article/view-application/pgp,
 	mime-article/add-pgp-keys): Abolish unused local variable
 	`cur-buf'.

	* mime-image.el (mime-preview/filter-for-image,
 	mime-preview/filter-for-application/postscript): Abolish unused
 	local variable `mode'.

Sat Mar 15 20:56:19 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el
 	(mime-preview/filter-for-text/richtext,
 	mime-preview/filter-for-text/enriched): Abolish unused local
 	variable `mode'.

	* mime-text.el (mime-preview/decode-text-buffer): New
 	implementation.

	* mime-view.el (mime-view-follow-content): Abolish unused
 	variables `f', `mid', `subj', `reply-to', `cc', `to', `from', `he'
 	and `hb'.

	* mime-edit.el (mime-edit-goto-tag): Abolish unused variable
 	`multipart'.

	* mime-file.el (mime-article/extract-file): Abolish unused local
 	variable `the-buf'.

	* mime-tar.el: Quote *autoconv*.

Sat Mar 15 20:29:25 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-partial.el (mime-article/grab-message/partials): Unused
 	local variable `mother' was abolished.

	* mime-play.el (mime-article/decode-caesar): Unused local variable
 	`cur-buf' was abolished.

	* mime-play.el (mime-article/decode-message/external-ftp): Unused
 	local variable `access-type' was abolished; Comment out `mode'.

	* mime-play.el (mime-article/view-message/rfc822): Unused local
 	variable `cur-buf' was abolished.

	* mime-text.el (mime-preview/filter-for-text/richtext,
 	mime-preview/filter-for-text/enriched): Unused local variable `m'
 	was abolished.

	* mime-parse.el (mime-parse-multipart):
	Unused local variable `ct' was abolished.

	* eword-encode.el: Require eword-decode.

	* mime-image.el (mime-preview/filter-for-application/postscript):
 	Unused local variable `m' was abolished.

Sat Mar 15 19:47:27 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el: (mime-article/view-application/pgp):
 	`mime-viewer/code-converter-alist' -> `mime-text-decoder-alist'.

	* mime-pgp.el (mime-pgp-command): New variable.

	(mime::article/call-pgp-to-check-signature): Use variable
 	`mime-pgp-command'. (cf. [tm-en:1259])

Sat Mar 15 19:25:25 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-pgp.el: `mime/viewer-mode' -> `mime-view-mode'.
  	(cf. [tm-en:1259])


1997-03-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* emu: Version 7.40.1 was released.
	* APEL: Version 3.2 was released.
	* bitmap-mule: Version 7.17 was released.
	* MU: Version 0.40.1 was released.
	* MEL: Version 6.3 was released.
	* SEMI: Version 0.72 was released.

Fri Mar 14 08:48:07 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-ELS (semi-modules-to-compile): Add mail-mime-setup.el.

Fri Mar 14 08:47:06 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mail-mime-setup.el: New module.

	* mime-setup.el: Only loads MUA specific setup files.

	* semi-setup.el: Setting for mime-edit, signature and mu-cite were
 	moved from mime-setup.el.

	* semi-setup.el: Setting for gnus-mime was moved to
 	gnus-mime/gnus-mime-setup.el.

	* semi-setup.el: Setting for mh-e was moved to emh/emh-setup.el.

	* Makefile: modified for SEMI package.

Fri Mar 14 07:42:44 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-MK: Don't compile and install other packages.

Fri Mar 14 06:09:23 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: Definition of `mime-edit-mode' must be previous to
 	`add-minor-mode'.

	* mime-image.el (mime-preview/filter-for-image): Don't use
 	`assoc-value'.

Fri Mar 14 04:49:04 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: Variable `mime-edit-prefix' and `mime-edit-map'
 	were abolished; Use `mime-edit-mode-map' directly.

	Use "C-c C-m" for enclosure commands.

	Add new binding "C-c C-x s" for `mime-edit-set-sign', "C-c C-x e"
 	for `mime-edit-set-encrypt'.

Fri Mar 14 04:41:27 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-setup.el: Require file-detect.

Wed Mar 12 07:49:41 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Delete variables about other packages.

Mon Mar 10 15:16:26 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Variable `mime-temp-directory' was moved to
 	mel/mel.el.

1997-03-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-ELS (semi-modules-to-compile): Delete `mime-ftp'.

	* mime-view.el (mime/content-decoding-condition): Set up for
	`mime-article/decode-message/external-ftp'.

	* semi-setup.el: tm-latex.el was abolished.

	* semi-setup.el: tm-ftp is merged to mime-play.el.

	* mime-play.el (mime-article/dired-function): New variable; copied
 	from tm-ftp.el.

	(mime-article/dired-function-for-one-frame,
 	mime-article/decode-message/external-ftp): New function; copied
 	from tm-ftp.el.

1997-03-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-partial.el (mime-article/grab-message/partials): Don't use
 	`assoc-value'.

1997-03-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-play.el: Require filename.

1997-03-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-setup.el: Don't check `(boundp 'epoch::version)'.

	* mime-setup.el: Use `turn-on-mime-edit' instead of
 	`mime-edit-mode'.

	* mime-edit.el (mime-edit-decode-buffer): Renamed from
 	`mime-editor::edit-again'; optional argument `code-conversion' was
 	changed to `not-decode-text' (behavior was reversed).
	(mime-edit-again): modified for `mime-edit-decode-buffer'.

	* mime-edit.el (mime-edit-again-ignored-field-regexp): New
 	variable.

	* mime-edit.el (mime-edit-again): optional argument
 	`code-conversion' was changed to `not-decode-text' (behavior was
 	reversed); optional argument `no-mode' was renamed to
 	`not-turn-on'; `mail-header-separator' was replaced to null line
 	before converting.

1997-03-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: `mime-edit-mode' -> `turn-on-mime-edit';
 	`mime-edit-toggle-mode' -> `mime-edit-mode'.

	Alias `mime-mode' was abolished.

1997-03-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-header): fixed.

	* mime-edit.el: Comments was modified.
	(mime-edit-mode): DOC-string was modified.

	* mime-edit.el: Function `mime-edit-define-menu-for-emacs19' was
 	abolished.  Buffer local variable `mime-edit-mode-old-local-map'
 	was abolished.

	* mime-edit.el: `mime-edit-minor-mime-map' ->
 	`mime-edit-mode-map'.

	* mime-edit.el: `mime-edit-mime-map' -> `mime-edit-map'.

	* mime-edit.el: Function `mime-edit-define-keymap' was abolished.

1997-03-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: `mime-prefix' -> `mime-edit-prefix'.

1997-03-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* semi-setup.el: tm-pgp.el was already renamed to mime-pgp.el.

1997-03-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (pgp-function-alist): `tm:mc-' -> `mime-mc-'.

1997-03-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (mime-temp-directory): Refer environment variable
 	"MIME_TMP_DIR" as default value.

1997-03-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-ELS (semi-modules-to-compile): tm-latex.el and tm-html.el
 	were abolished.

	* mime-tar.el (mime-decode-message/tar), mime-play.el, mime-pgp.el
	(mime-article/check-pgp-signature), mime-partial.el
	(mime-article/grab-message/partials), mime-image.el, mime-edit.el
	(mime-edit-split-and-send), mime-def.el: Variable `mime/tmp-dir'
 	was renamed to `mime-temp-directory'.

	* mime-edit.el: `mime/edit-again' was renamed to
 	`mime-edit-again'.

1997-03-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-text.el, mime-edit.el: `mime/temporary-message-mode' was
 	renamed to `mime-temp-message-mode'.

	* mime-edit.el: Draft preview feature was abolished.

	* mime-edit.el (mime-transfer-level-string): Fixed DOC-string.

	Buffer local variable `mime/editing-buffer' was renamed to
 	`mime-edit-buffer'.

	* mime-edit.el (mime-edit-insert-x-emacs-field): New variable.
	(mime-edit-x-emacs-value): New variable.
	(mime-edit-translate-body): Insert X-Emacs field if variable
 	`mime-edit-insert-x-emacs-field' is not nil.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-view.el (mime-preview/insert-content-button): Don't use
 	function `assoc-value'.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-bbdb.el: `mime-bbdb-' -> `mime-bbdb/'.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-MK: compile and install emu and apel.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-ELS: tm-bbdb.el was renamed to mime-bbdb.el.

	* mime-bbdb.el: Renamed from tm-bbdb.el.

	* SEMI-CFG (EMU_PREFIX, EMU_DIR): New variable.
	(APEL_PREFIX, APEL_DIR, APEL_RELATIVE_DIR): New variable.
	(load-path): Add "../apel" instead of "../tl".

	* SEMI-ELS: alist.el was moved to ../apel/.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Require emu; Function `char-list-to-string' was
 	abolished.

	* mime-edit.el: Require emu; definitions about visible/invisible
 	were abolished.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el: Require emu; function
 	`find-non-ascii-charset-string' and
 	`find-non-ascii-charset-region' were abolished.

	* mime-def.el: Require atype; functions about atype were
 	abolished.

1997-03-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Require emu; Variable `running-xemacs' was
 	abolished; Macro `defun-maybe' was abolished; Function `functionp'
 	was abolished; Variable `charsets-mime-charset-alist',
 	`default-mime-charset' and `mime-charset-coding-system-alist' were
 	abolished; Function `mime-charset-to-coding-system',
 	`charsets-to-mime-charset', `detect-mime-charset-region',
 	`encode-mime-charset-region', `decode-mime-charset-region',
 	`encode-mime-charset-string' and `decode-mime-charset-string' were
 	abolished.

Sat Mar  1 04:12:37 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-def.el (charsets-to-mime-charset): New function; copied
 	from emu.el.

	* eword-encode.el: Use `char-bytes' instead of `char-length'.

	* mime-def.el (eliminate-top-spaces): New inline-function; copied
 	from tl-str.el.

	* mime-edit.el: Fixed about definition of visible/invisible
 	functions for XEmacs.

Sat Mar  1 03:39:01 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-edit.el (enable-invisible, end-of-invisible): New macro;
 	copied from emu-19.el.
	(invisible-region, invisible-p, next-visible-point): New function;
 	copied from emu-19.el and emu-xemacs.el.
	(visible-region): New function; copied from emu-19.el.

	* mime-edit.el (mime-edit-make-boundary): New function.
	(mime-edit-translate-body, mime-edit-translate-region): Use
	`mime-edit-make-boundary'.

	* mime-edit.el (replace-space-with-underline): New inline
	function; copied from tl-str.el.

Sat Mar  1 02:07:00 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-encode.el (find-non-ascii-charset-region): New
 	inline-function; copied from emu-e20.el.

Fri Feb 28 06:46:48 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-def.el: Require cl.

	* mime-view.el (mouse-button-2): New variable; copied from
 	emu-19.el and emu-xemacs.el.

	* mime-def.el (defun-maybe): New macro; copied from emu.el.
	(functionp): New function; copied from emu.el.

Fri Feb 28 05:14:54 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-play.el: Supports only Emacs/mule API.

	* mime-def.el (field-unify): Fixed.

	* semi-setup.el: Don't require mime-play.

	* mime-def.el: Function `put-fields' were abolished.

	* mime-def.el: atype functions were moved from mime-play.el.

	* mime-play.el: atype functions were moved to mime-def.el.

Fri Feb 28 04:50:13 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-def.el (call-after-loaded): New function; moved from
 	semi-setup.el.

	* semi-setup.el: Function `call-after-loaded' was moved to
 	mime-def.el; require mime-def.

Fri Feb 28 04:44:27 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* semi-setup.el: require mime-play instead of mime-view when
 	compiling.

Fri Feb 28 04:21:43 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* SEMI-MK: BINS were abolished.

	* SEMI-CFG: require cl.

	* SEMI-CFG: Variable `BIN_SRC_DIR' and `BINS' were abolished.

Fri Feb 28 04:08:12 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* SEMI-MK: Renamed from TM-MK.

	* SEMI-CFG: Don't require tl-misc.

	* SEMI-ELS (semi-modules-to-compile): Add alist.el.

Fri Feb 28 02:33:20 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-play.el (field-unify): Fixed.

Fri Feb 28 02:22:38 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-setup.el, mime-image.el, mime-edit.el, mime-play.el:
 	Require alist.

	* alist.el: New module; separated from tl-list.el.

	* mime-play.el: Function `put-alist' and `del-alist' were moved to
 	alist.el.

	* mime-play.el (mime-article/coding-system-alist): Use
 	`no-conversion' instead of *noconv*.

Thu Feb 27 13:48:48 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-parse.el (char-list-to-string): New inline-function; copied
 	from emu-19.el.

Thu Feb 27 13:43:38 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-parse.el (symbol-concat): New inline-function; copied from
 	tl-str.el.

	* semi-setup.el: require 'mime-view when compiling.

	* mime-parse.el (regexp-*): New inline-function; copied from
 	tl-str.el.

Thu Feb 27 13:28:10 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* semi-setup.el (running-xemacs): New variable.

Thu Feb 27 09:00:33 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-play.el: `mime/viewer-mode' -> `mime-view-mode'.

	* mime-def.el: fixed DOC string.

Thu Feb 27 08:56:45 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-decode.el: Don't require emu.

	* mime-def.el (charsets-mime-charset-alist, default-mime-charset,
 	mime-charset-coding-system-alist): New variable; copied from
 	emu-e20.el.
	(mime-charset-to-coding-system, detect-mime-charset-region,
 	encode-mime-charset-region, decode-mime-charset-region,
 	encode-mime-charset-string, decode-mime-charset-string): New
 	function; copied from emu-e20.el.

	* eword-encode.el (find-non-ascii-charset-string): New
 	inline-function; copied from emu-e20.el.

Thu Feb 27 08:36:01 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-tar.el: Don't require emu.

Thu Feb 27 08:34:21 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-play.el (put-alist, del-alist): New function; copied from
 	tl-list.el.
	(put-fields, field-unifier-for-default, field-unifier-for-mode,
 	field-unify, assoc-unify, get-unified-alist, delete-atype,
 	remove-atype, replace-atype, set-atype): New function; copied from
 	tl-atype.el.  Don't require tl-atype.

Thu Feb 27 08:18:16 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* semi-setup.el (call-after-loaded): New function; imported from
 	tl-misc.el; Don't require tl-misc.

Thu Feb 27 08:10:24 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-pgp.el: Renamed from tm-pgp.el.

Thu Feb 27 08:05:45 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-def.el (pgp-function-alist): tm-edit-mc.el was renamed to
 	mime-mc.el.

	* mime-mc.el: Renamed from tm-edit-mc.el.

Thu Feb 27 06:38:44 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-text.el: `tm:mother-button-dispatcher' ->
 	`mime-button-mother-dispatcher'.

	* mime-def.el, mime-text.el (mime-preview/filter-for-text/plain),
 	mime-view.el, mime-tar.el (mime-tar-set-properties):
 	`tm:add-button' -> `mime-add-button'.

	* mime-file.el: Renamed from tm-file.el.

Wed Feb 26 13:01:25 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-decode.el: Must require emu.

	* eword-decode.el (eword-decode-region): Unused local variable
 	`charset', `encoding' and `text'.

Wed Feb 26 07:58:29 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-decode.el (eword-decode-encoded-word): Use
 	`add-text-properties' directly.

Wed Feb 26 07:44:22 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-def.el (tm:add-button): Use `add-text-properties' directly.

	* mime-def.el (running-xemacs): New variable; if it is not nil,
 	require overlay.

	* mime-def.el (regexp-or): New function.

Wed Feb 26 04:57:33 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-tar.el: Renamed from tm-tar.el.

	* mime-view.el (mime-view-define-keymap): `tm:button-dispatcher'
 	-> `mime-button-dispatcher'.

	* mime-def.el: `tm:button-dispatcher' -> `mime-button-dispatcher'.

	* mime-def.el: `tm:mother-button-dispatcher' ->
 	`mime-button-mother-dispatcher'.

	* mime-def.el: `semi-data' -> `mime-button-data'.

	* mime-def.el: `semi-callback' -> `mime-button-callback'.

	* mime-def.el: `tm:mouse-face' -> `mime-button-mouse-face'.

	* mime-def.el: `tm:button-face' -> `mime-button-face'.

	* mime-def.el (tm:add-button, tm:button-dispatcher):
 	`mime-callback' was renamed to `semi-callback'; `mime-data' was
 	renamed to `semi-data'.

Wed Feb 26 03:54:17 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-def.el (tm:add-button): Use `make-overlay' directly.

	* mime-def.el (tm:add-button): Use `overlay-put' directly.

Tue Feb 25 07:40:37 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-text.el: `tm:browse-url' was renamed to
 	`mime-text-browse-url'.

	* mime-text.el: Require browse-url.

	* mime-text.el: `tm:URL-regexp' was renamed to
 	`mime-text-url-regexp'.

	* mime-text.el: Variable `tm:URL-regexp',
 	`browse-url-browser-function' and function `tm:browse-url' were
 	moved from mime-def.el.

	* mime-def.el: Variable `tm:URL-regexp',
 	`browse-url-browser-function' and function `tm:browse-url' were
 	moved to mime-text.el.

	* eword-decode.el: Variable `tm:warning-face' was renamed to
 	`eword-warning-face'.

	* eword-decode.el: Variable `tm:warning-face' was moved from
 	mime-def.el.

	* mime-def.el: Variable `tm:warning-face' was moved to
 	eword-decode.el.

	* mime-def.el: Function `tm:set-face-region' was abolished.

	* mime-edit.el: `mime-edit-make-charset-default-encoding-alist' ->
 	`mime-make-charset-default-encoding-alist'.

	* mime-edit.el: `mime-edit-transfer-level' ->
 	`mime-transfer-level'.

	* mime-edit.el: Function `mime/encoding-name' was renamed to
 	`mime-encoding-name'.

	* mime-def.el: Function `mime/make-charset-default-encoding-alist'
 	was abolished.

	* mime-edit.el: Function `mime/encoding-name' was moved from
 	mime-def.el.

	* mime-def.el: Function `mime/encoding-name' was moved to
 	mime-edit.el.

Tue Feb 25 06:15:53 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-edit.el: Variable `mime-charset-type-list' was moved from
 	mime-def.el.

	* mime-def.el: Variable `mime-charset-type-list' was moved to
 	mime-edit.el.

Mon Feb 24 10:07:33 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-encode.el (eword-encode-header): fixed typo.

Mon Feb 24 10:04:23 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-edit.el (mime-edit-insert-message, mime-edit-insert-mail,
 	mime-editor::edit-again): Don't use `assoc-value'; Don't require
 	tl-list.

Mon Feb 24 10:00:50 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-play.el: require tl-atype.

	* mime-view.el: Don't require tl-atype.

Mon Feb 24 09:58:14 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-view.el: Don't require tl-misc.

Mon Feb 24 09:57:03 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-encode.el (eword-encode-header): Use function `assoc-if'
 	instead of `ASSOC'; require cl instead of tl-list.

	* mime-parse.el (define-structure): New macro; Don't require
 	tl-misc.el.

	* mime-view.el (mime-preview/insert-content-button): Don't use
 	function `assoc-value'.

	* mime-view.el: Require cl instead of tl-list.

	* mime-view.el: Don't require tl-str.el.

Mon Feb 24 09:12:12 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-parse.el (define-structure): New macro; Don't require
 	tl-misc.el.

	* mime-view.el (mime-preview/insert-content-button): Don't use
 	function `assoc-value'.

	* mime-view.el: Require cl instead of tl-list.

	* mime-view.el: Don't require tl-str.el.

Mon Feb 24 09:04:48 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-decode.el: Constant
 	`eword-Q-encoding-and-encoded-text-regexp' was abolished.

	* eword-decode.el (quoted-printable-hex-chars,
 	quoted-printable-octet-regexp, eword-Q-encoded-text-regexp,
 	eword-Q-encoding-and-encoded-text-regexp): New constant; moved
 	from mime-def.el.

	* mime-def.el (quoted-printable-hex-chars,
 	quoted-printable-octet-regexp, eword-Q-encoded-text-regexp,
 	eword-Q-encoding-and-encoded-text-regexp): Moved to
 	eword-decode.el.

	* eword-decode.el (base64-token-regexp,
 	base64-token-padding-regexp, eword-B-encoded-text-regexp): New
 	constant; moved from mime-def.el.

	* mime-def.el: Constant `base64-token-regexp',
 	`base64-token-padding-regexp' and `eword-B-encoded-text-regexp'
 	were moved to eword-decode.el.

	* mime-def.el: Constant `eword-B-encoding-and-encoded-text-regexp'
 	was abolished.

Mon Feb 24 08:52:01 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-decode.el: Don't require emu.

	* eword-decode.el: Don't require tl-str.el.

	* mime-def.el (get-version-string): New inline-function; imported
 	from tl-str.el.

Mon Feb 24 02:42:24 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-setup.el: Function `mime/encode-message-header' was renamed
 	to `eword-encode-header'.

	* mime-edit.el, eword-encode.el: Function
 	`eword-encode-message-header' was renamed to
 	`eword-encode-header'.

Mon Feb 24 02:26:02 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-decode.el (eword-decode-header): New optional argument
 	`SEPARATOR'; Use function `std11-narrow-to-header'.

	* mime-view.el, mime-setup.el, eword-decode.el: Function
 	`eword-decode-message-header' was renamed to
 	`eword-decode-header'.

Mon Feb 24 02:17:11 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-edit.el: tm-ew-e.el was renamed to eword-encode.el;
 	Function `mime/encode-message-header' was renamed to
 	`eword-encode-message-header'.

Mon Feb 24 01:59:28 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-view.el: Function `mime-eword/decode-string' was renamed to
 	`eword-decode-string'.

	* mime-def.el: `mime/Q-' -> `eword-Q-'.

	* mime-def.el: `mime/B-' -> `eword-B-'.

Mon Feb 24 01:46:59 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* eword-decode.el: Constant `eword-charset-regexp' was renamed to
 	`mime-charset-regexp'.

	* mime-def.el: Constant `mime/charset-regexp' was renamed to
 	`mime-charset-regexp'.

Mon Feb 24 01:38:18 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-view.el: Function `mime/decode-message-header' was renamed to
	`eword-decode-message-header'.

	* mime-view.el: tm-ew-d.el was renamed to eword-decode.el.

Mon Feb 24 01:32:33 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-setup.el: tm-ew-d.el was renamed to eword-decode.el;
 	Function `mime/decode-message-header' was renamed to
 	`eword-decode-message-header'.

Sat Feb 22 17:30:15 1997  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-CFG: Renamed from TM-CFG.

	* SEMI-ELS: Renamed from TM-ELS.

	* eword-encode.el: `eword-exist-encoded-word-in-subject' ->
 	`eword-in-subject-p'.

	* eword-encode.el: `mime/' -> `eword-'.

	* eword-encode.el (eword-generate-X-Nsubject): Don't refer
 	variable `mime/use-X-Nsubject'.

	* eword-encode.el (eword-generate-X-Nsubject): Renamed from
 	`mime/generate-X-Nsubject'.

	* eword-encode.el (eword-field-encoding-method-alist): Don't refer
 	variable `mime/no-encoding-header-fields'.

	* eword-encode.el (eword-field-encoding-method-alist): Renamed
 	from `mime/field-encoding-method-alist'.

	* eword-encode.el: Renamed from tm-ew-e.el.

	* eword-decode.el: Renamed from tm-ew-d.el.

	* mime-view.el: Don't require tm-def.

	* mime-parse.el: tm-def.el was renamed to mime-def.el.

	* mime-def.el: Renamed from tm-def.el.

1997-02-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* SEMI-ELS: Renamed from TM-ELS.

1997-02-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el: `eword-exist-encoded-word-in-subject' ->
 	`eword-in-subject-p'.

	* eword-encode.el: `mime/' -> `eword-'.

	* eword-encode.el (eword-generate-X-Nsubject): Don't refer
 	variable `mime/use-X-Nsubject'.

	* eword-encode.el (eword-generate-X-Nsubject): Renamed from
 	`mime/generate-X-Nsubject'.

	* eword-encode.el (eword-field-encoding-method-alist): Don't refer
 	variable `mime/no-encoding-header-fields'.

	* eword-encode.el (eword-field-encoding-method-alist): Renamed
 	from `mime/field-encoding-method-alist'.

	* eword-encode.el: Renamed from tm-ew-e.el.

	* eword-decode.el: Renamed from tm-ew-d.el.

	* mime-view.el: Don't require tm-def.

	* mime-parse.el: tm-def.el was renamed to mime-def.el.

1997-02-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Renamed from tm-def.el.

Fri Feb 21 08:04:42 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-view.el: Don't `suppress-keymap'.

Fri Feb 21 07:42:32 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-view.el: tm-parse.el was renamed to mime-parse.el.

	* mime-parse.el: Renamed from tm-parse.el.

	* mime-view.el: Key-binding for function
 	`mime-view-display-x-face' was abolished.

Fri Feb 21 07:04:51 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-setup.el: modified for mime-edit.el.

Fri Feb 21 07:02:52 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-edit.el: `mime-editor/' -> `mime-edit-'.

Fri Feb 21 06:57:11 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-edit.el: based on tm-edit 7.105.

	* semi-setup.el: tm-image.el was renamed to mime-image.el.

	* mime-image.el: Renamed from tm-image.el.

Fri Feb 21 05:57:53 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* semi-setup.el: Renamed from tm-setup.el.

	* mime-setup.el: Setting for GNUS was abolished.

	* mime-setup.el: Variable `mime-setup-use-sc' was abolished.

	* mime-view.el: tm-play.el was renamed to mime-play.el.

	* mime-partial.el: Renamed from tm-partial.el.

	* mime-play.el: Renamed from tm-play.el.

	* mime-view.el: `tm-text' is renamed to `mime-text'.

	* mime-view.el (mime-view-mode): Optional argument `mother-keymap'
 	was renamed to `default-keymap-or-function'; optional argument
 	`default-function' was abolished.

	* mime-text.el: `mime-view-code-converter-alist' ->
 	`mime-text-decoder-alist'.

	* mime-text.el: Renamed from tm-text.el.

Thu Feb 20 09:02:36 1997  Tomohiko Morioka  <tmorioka@mule.etl.go.jp>

	* mime-view.el: `mime/viewer-mode' -> `mime-view-mode'.

	* mime-view.el: Renamed from tm-view.el.

Thu Jul 11 14:57:42 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-file-types): add for patch.

	* mime-edit.el: rearrangement.

Wed Jul 10 12:05:05 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/normalize-body): Use function
 	`encode-mime-charset-region' instead of
 	`mime-charset-encode-region'.

Wed Jul 10 11:51:13 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/normalize-body): fixed.

	* mime-edit.el (mime-editor/define-charset):
	Argument `charset' was changed to
	symbol.
	(mime-editor/choose-charset): Changed to return symbol.
	(mime-editor/normalize-body): charset was changed to symbol.

Wed Jul 10 11:22:55 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/make-charset-default-encoding-alist):
 	New function.
	(mime-editor/charset-default-encoding-alist): Use function
 	`mime-editor/make-charset-default-encoding-alist'.
	(mime-editor/toggle-transfer-level): Use function
 	`mime-editor/make-charset-default-encoding-alist'.

	* mime-edit.el (mime-editor/choose-charset): Use function
 	`detect-mime-charset-region' instead of
 	`mime/find-charset-region'.

Tue Jul  9 13:24:21 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime/editor-mode): Don't toggle.

	(mime-editor/toggle-mode): New function.

Tue Jul  2 14:06:53 1996  Alastair Burt <burt@dfki.uni-kl.de>

	* mime-edit.el: I think the following is the best way to handle
 	tm-edit as a minor mode in XEmacs (at least in 19.14 -- I am not
 	sure if "add-minor-mode" works the same way in earlier versions).
  	By clicking on the mode line you can turn mime/editor-mode on or
 	off.

Thu Jun 27 14:08:17 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/encrypt-pgp-kazu): Use macro
 	`as-binary-process'.

	* mime-edit.el (mime-editor/sign-pgp-kazu): Use macro
 	`as-binary-process'.

Wed Jun 12 05:58:23 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/split-message-sender-alist): setting
 	for `mail-mode' was moved to tm-rmail.el.

Sun Jun  9 06:44:19 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: Variable
 	`mime-editor/message-default-sender-alist' was abolished.

Sun Jun  9 06:40:26 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: Variable `mime-editor/window-config-alist' was
 	abolished.

Sun Jun  9 06:35:10 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/split-and-send): New implementation.

Mon Jun  3 17:39:10 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor::edit-again): fixed about multipart.

Wed May 29 09:57:53 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/define-charset,
 	mime-editor/set-parameter): Function `mime-set-parameter' was
 	renamed to `mime-editor/set-parameter'.

	* mime-edit.el (mime-set-parameter): New implementation

	(mime-editor/translate-single-part-tag): New function.
	(mime-editor/translate-region): Use function
 	`mime-editor/translate-single-part-tag'.

Tue May 28 15:15:33 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor::edit-again): fixed.

	* mime-edit.el (mime/edit-again): fixed.

	* mime-edit.el (mime-editor::edit-again): modified for new tag
 	rule.

	* mime-edit.el (mime-editor/insert-signature): Use variable
 	`signature-file-name' instead of `signature'.

	* mime-edit.el (mime-editor/multipart-beginning-regexp): Don't
 	require begging new-line.

	(defconst mime-editor/multipart-end-regexp): Don't require begging
 	new-line.

	(mime-editor/find-inmost): modified for new enclosure tag rule.

	(mime-editor/translate-region): modified for new enclosure tag rule.

	(mime-editor/enclose-region): modified for new enclosure tag rule.

Sun May 26 05:04:20 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el: Add `(provide 'tm-edit)'.

	Do `(run-hooks 'tm-edit-load-hook)' if variable
 	`mime-edit-load-hook' is not bound.

Sun May 26 02:10:08 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/insert-binary-buffer): fixed.
	(mime-editor/normalize-body): fixed.

Sat May 25 20:47:32 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/normalize-body): fixed.

	(mime-editor/content-end): Used function `invisible-p' and
 	`next-visible-point'.

Sat May 25 20:05:20 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/insert-binary-buffer): Use function
 	`invisible-region' instead of `mime-flag-region'.
	(mime-editor/normalize-body): Use function `visible-region'
 	instead of `mime-flag-region'.
	(mime-editor/content-end): New implementation.

Sat May 25 16:04:28 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/enquote-region): New command; bound to
 	`C-c C-x q'.

	(mime-editor/menu-list): New item for function
 	`mime-editor/enquote-region'.

Sat May 25 15:52:44 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/process-multipart-1): Use function
 	`string-equal' instead of `string='.

Sat May 25 15:48:33 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/process-multipart-1): fixed about
 	condition of next tag inserting.

Sat May 25 15:36:58 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/enclose-region): fixed for new format.

Sat May 25 15:15:03 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/insert-partial-header): Comment of
 	Mime-Version field was modified.

	* mime-edit.el (mime-editor/insert-tag): Don't insert unnecessary
 	line break.

	* mime-edit.el (mime-editor/version-name): New constant.

	(mime-editor/mime-version-value): Use constant
	`mime-editor/version-name'.

	(mime-editor/insert-partial-header): Use constant
	`mime-editor/version-name'.

Fri May 24 15:16:37 1996  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-edit.el (mime-editor/goto-tag): fixed for a tag without
 	line break.
	(mime-editor/normalize-body): fixed for a tag without line break.

	* mime-edit.el (mime-editor/translate-region): fixed for a part
 	starting without line break.

	* mime-edit.el (mime-editor/single-part-tag-regexp): It allows any
 	column.
	(mime-editor/quoted-single-part-tag-regexp): New constant.
	(mime-editor/enquote-region): New function.
	(mime-editor/dequote-region): New function.
	(mime-editor/process-multipart-1): Processing for ``quote''
 	enclosure was added.
	(mime-editor/translate-body): Use function
 	`mime-editor/dequote-region'.

	(mime-editor/mime-version-value): Comment was renamed.

	* mime-edit.el: Renamed from tm-edit.el
